[Planck.js API Doc](README.md) › [Globals](globals.md)

# Planck.js API Doc

## Index

### Enumerations

* [ContactFeatureType](enums/contactfeaturetype.md)
* [ManifoldType](enums/manifoldtype.md)
* [PointState](enums/pointstate.md)
* [SeparationFunctionType](enums/separationfunctiontype.md)
* [TOIOutputState](enums/toioutputstate.md)

### Classes

* [AABB](classes/aabb.md)
* [Body](classes/body.md)
* [BoxShape](classes/boxshape.md)
* [BroadPhase](classes/broadphase.md)
* [ChainShape](classes/chainshape.md)
* [CircleShape](classes/circleshape.md)
* [ClipVertex](classes/clipvertex.md)
* [Contact](classes/contact.md)
* [ContactEdge](classes/contactedge.md)
* [ContactID](classes/contactid.md)
* [ContactImpulse](classes/contactimpulse.md)
* [DistanceInput](classes/distanceinput.md)
* [DistanceJoint](classes/distancejoint.md)
* [DistanceOutput](classes/distanceoutput.md)
* [DistanceProxy](classes/distanceproxy.md)
* [DynamicTree](classes/dynamictree.md)
* [EdgeShape](classes/edgeshape.md)
* [Fixture](classes/fixture.md)
* [FixtureProxy](classes/fixtureproxy.md)
* [FrictionJoint](classes/frictionjoint.md)
* [GearJoint](classes/gearjoint.md)
* [Joint](classes/joint.md)
* [JointEdge](classes/jointedge.md)
* [Manifold](classes/manifold.md)
* [ManifoldPoint](classes/manifoldpoint.md)
* [Mat22](classes/mat22.md)
* [Mat33](classes/mat33.md)
* [MotorJoint](classes/motorjoint.md)
* [MouseJoint](classes/mousejoint.md)
* [PolygonShape](classes/polygonshape.md)
* [Position](classes/position.md)
* [PrismaticJoint](classes/prismaticjoint.md)
* [PulleyJoint](classes/pulleyjoint.md)
* [RevoluteJoint](classes/revolutejoint.md)
* [RopeJoint](classes/ropejoint.md)
* [Rot](classes/rot.md)
* [SeparationFunction](classes/separationfunction.md)
* [Settings](classes/settings.md)
* [Shape](classes/shape.md)
* [ShapeCastInput](classes/shapecastinput.md)
* [ShapeCastOutput](classes/shapecastoutput.md)
* [Simplex](classes/simplex.md)
* [SimplexCache](classes/simplexcache.md)
* [SimplexVertex](classes/simplexvertex.md)
* [Solver](classes/solver.md)
* [Sweep](classes/sweep.md)
* [TOIInput](classes/toiinput.md)
* [TOIOutput](classes/toioutput.md)
* [Testbed](classes/testbed.md)
* [TimeStep](classes/timestep.md)
* [Transform](classes/transform.md)
* [TreeNode](classes/treenode.md)
* [Vec2](classes/vec2.md)
* [Vec3](classes/vec3.md)
* [Velocity](classes/velocity.md)
* [VelocityConstraintPoint](classes/velocityconstraintpoint.md)
* [WeldJoint](classes/weldjoint.md)
* [WheelJoint](classes/wheeljoint.md)
* [World](classes/world.md)
* [WorldManifold](classes/worldmanifold.md)

### Interfaces

* [AABBValue](interfaces/aabbvalue.md)
* [BodyDef](interfaces/bodydef.md)
* [DistanceJointDef](interfaces/distancejointdef.md)
* [DistanceJointOpt](interfaces/distancejointopt.md)
* [FixtureDef](interfaces/fixturedef.md)
* [FixtureOpt](interfaces/fixtureopt.md)
* [FrictionJointDef](interfaces/frictionjointdef.md)
* [FrictionJointOpt](interfaces/frictionjointopt.md)
* [GearJointDef](interfaces/gearjointdef.md)
* [GearJointOpt](interfaces/gearjointopt.md)
* [JointDef](interfaces/jointdef.md)
* [JointOpt](interfaces/jointopt.md)
* [MassData](interfaces/massdata.md)
* [MotorJointDef](interfaces/motorjointdef.md)
* [MotorJointOpt](interfaces/motorjointopt.md)
* [MouseJointDef](interfaces/mousejointdef.md)
* [MouseJointOpt](interfaces/mousejointopt.md)
* [PrismaticJointDef](interfaces/prismaticjointdef.md)
* [PrismaticJointOpt](interfaces/prismaticjointopt.md)
* [PulleyJointDef](interfaces/pulleyjointdef.md)
* [PulleyJointOpt](interfaces/pulleyjointopt.md)
* [RayCastInput](interfaces/raycastinput.md)
* [RayCastOutput](interfaces/raycastoutput.md)
* [RevoluteJointDef](interfaces/revolutejointdef.md)
* [RevoluteJointOpt](interfaces/revolutejointopt.md)
* [RopeJointDef](interfaces/ropejointdef.md)
* [RopeJointOpt](interfaces/ropejointopt.md)
* [RotValue](interfaces/rotvalue.md)
* [Style](interfaces/style.md)
* [Vec2Value](interfaces/vec2value.md)
* [Vec3Value](interfaces/vec3value.md)
* [WeldJointDef](interfaces/weldjointdef.md)
* [WeldJointOpt](interfaces/weldjointopt.md)
* [WheelJointDef](interfaces/wheeljointdef.md)
* [WheelJointOpt](interfaces/wheeljointopt.md)
* [WorldDef](interfaces/worlddef.md)

### Type aliases

* [ActiveKeys](globals.md#activekeys)
* [BodyType](globals.md#bodytype)
* [DynamicTreeQueryCallback](globals.md#dynamictreequerycallback)
* [EvaluateFunction](globals.md#evaluatefunction)
* [KEY](globals.md#key)
* [RayCastCallback](globals.md#raycastcallback)
* [ShapeType](globals.md#shapetype)
* [TestbedCallback](globals.md#testbedcallback)
* [TestbedFactoryOptions](globals.md#testbedfactoryoptions)
* [TestbedMountOptions](globals.md#testbedmountoptions)
* [TransformValue](globals.md#transformvalue)
* [WorldAABBQueryCallback](globals.md#worldaabbquerycallback)
* [WorldRayCastCallback](globals.md#worldraycastcallback)

### Variables

* [Box](globals.md#const-box)
* [Chain](globals.md#const-chain)
* [Circle](globals.md#const-circle)
* [EPSILON](globals.md#const-epsilon)
* [Edge](globals.md#const-edge)
* [Polygon](globals.md#const-polygon)
* [world](globals.md#const-world)

### Functions

* [ChainCircleContact](globals.md#chaincirclecontact)
* [CollideCircles](globals.md#const-collidecircles)
* [CollideEdgeCircle](globals.md#const-collideedgecircle)
* [CollideEdgePolygon](globals.md#const-collideedgepolygon)
* [CollidePolygonCircle](globals.md#const-collidepolygoncircle)
* [CollidePolygons](globals.md#const-collidepolygons)
* [Distance](globals.md#const-distance)
* [ShapeCast](globals.md#const-shapecast)
* [TimeOfImpact](globals.md#const-timeofimpact)
* [clamp](globals.md#clamp)
* [clipSegmentToLine](globals.md#clipsegmenttoline)
* [getPointStates](globals.md#getpointstates)
* [getTransform](globals.md#gettransform)
* [isPowerOfTwo](globals.md#ispoweroftwo)
* [mixFriction](globals.md#mixfriction)
* [mixRestitution](globals.md#mixrestitution)
* [mod](globals.md#mod)
* [nextPowerOfTwo](globals.md#nextpoweroftwo)
* [random](globals.md#random)
* [testOverlap](globals.md#const-testoverlap)

### Object literals

* [internal](globals.md#const-internal)
* [stats](globals.md#const-stats)

## Type aliases

###  ActiveKeys

Ƭ **ActiveKeys**: *object*

#### Type declaration:

___

###  BodyType

Ƭ **BodyType**: *"static" | "kinematic" | "dynamic"*

___

###  DynamicTreeQueryCallback

Ƭ **DynamicTreeQueryCallback**: *function*

#### Type declaration:

▸ (`nodeId`: number): *boolean*

**Parameters:**

Name | Type |
------ | ------ |
`nodeId` | number |

___

###  EvaluateFunction

Ƭ **EvaluateFunction**: *function*

#### Type declaration:

▸ (`manifold`: [Manifold](classes/manifold.md), `xfA`: [TransformValue](globals.md#transformvalue), `fixtureA`: [Fixture](classes/fixture.md), `indexA`: number, `xfB`: [TransformValue](globals.md#transformvalue), `fixtureB`: [Fixture](classes/fixture.md), `indexB`: number): *void*

**Parameters:**

Name | Type |
------ | ------ |
`manifold` | [Manifold](classes/manifold.md) |
`xfA` | [TransformValue](globals.md#transformvalue) |
`fixtureA` | [Fixture](classes/fixture.md) |
`indexA` | number |
`xfB` | [TransformValue](globals.md#transformvalue) |
`fixtureB` | [Fixture](classes/fixture.md) |
`indexB` | number |

___

###  KEY

Ƭ **KEY**: *"0" | "1" | "2" | "3" | "4" | "5" | "6" | "7" | "8" | "9" | "A" | "B" | "C" | "D" | "E" | "F" | "G" | "H" | "I" | "J" | "K" | "L" | "M" | "N" | "O" | "P" | "Q" | "R" | "S" | "T" | "U" | "V" | "W" | "X" | "Y" | "Z" | "right" | "left" | "up" | "down" | "fire"*

___

###  RayCastCallback

Ƭ **RayCastCallback**: *function*

#### Type declaration:

▸ (`subInput`: [RayCastInput](interfaces/raycastinput.md), `id`: number): *number*

**Parameters:**

Name | Type |
------ | ------ |
`subInput` | [RayCastInput](interfaces/raycastinput.md) |
`id` | number |

___

###  ShapeType

Ƭ **ShapeType**: *"circle" | "edge" | "polygon" | "chain"*

___

###  TestbedCallback

Ƭ **TestbedCallback**: *function*

**`deprecated`** 

#### Type declaration:

▸ (`testbed`: Testbed): *World*

**Parameters:**

Name | Type |
------ | ------ |
`testbed` | Testbed |

___

###  TestbedFactoryOptions

Ƭ **TestbedFactoryOptions**: *string | object*

___

###  TestbedMountOptions

Ƭ **TestbedMountOptions**: *object*

#### Type declaration:

___

###  TransformValue

Ƭ **TransformValue**: *object*

#### Type declaration:

* **p**: *[Vec2Value](interfaces/vec2value.md)*

* **q**: *[RotValue](interfaces/rotvalue.md)*

___

###  WorldAABBQueryCallback

Ƭ **WorldAABBQueryCallback**: *function*

Called for each fixture found in the query AABB. It may return `false` to terminate the query.

#### Type declaration:

▸ (`fixture`: [Fixture](classes/fixture.md)): *boolean*

**Parameters:**

Name | Type |
------ | ------ |
`fixture` | [Fixture](classes/fixture.md) |

___

###  WorldRayCastCallback

Ƭ **WorldRayCastCallback**: *function*

Callback function for ray casts, see [World.rayCast](classes/world.md#raycast).

Called for each fixture found in the query.
The returned value replaces the ray-cast input maxFraction.
You control how the ray cast proceeds by returning a numeric/float value.

- `0` to terminate the ray cast
- `fraction` to clip the ray cast at current point
- `1` don't clip the ray and continue
- `-1` (or anything else) to continue

**`param`** The fixture hit by the ray

**`param`** The point of initial intersection

**`param`** The normal vector at the point of intersection

**`param`** The fraction along the ray at the point of intersection

**`returns`** A number to update the maxFraction

#### Type declaration:

▸ (`fixture`: [Fixture](classes/fixture.md), `point`: Vec2, `normal`: Vec2, `fraction`: number): *number*

**Parameters:**

Name | Type |
------ | ------ |
`fixture` | [Fixture](classes/fixture.md) |
`point` | Vec2 |
`normal` | Vec2 |
`fraction` | number |

## Variables

### `Const` Box

• **Box**: *[BoxShape](classes/boxshape.md)* = BoxShape

___

### `Const` Chain

• **Chain**: *[ChainShape](classes/chainshape.md)* = ChainShape

___

### `Const` Circle

• **Circle**: *[CircleShape](classes/circleshape.md)* = CircleShape

___

### `Const` EPSILON

• **EPSILON**: *1e-9* = 1e-9

___

### `Const` Edge

• **Edge**: *[EdgeShape](classes/edgeshape.md)* = EdgeShape

___

### `Const` Polygon

• **Polygon**: *[PolygonShape](classes/polygonshape.md)* = PolygonShape

___

### `Const` world

• **world**: *World‹›* = new World()

## Functions

###  ChainCircleContact

▸ **ChainCircleContact**(`manifold`: [Manifold](classes/manifold.md), `xfA`: [TransformValue](globals.md#transformvalue), `fixtureA`: [Fixture](classes/fixture.md), `indexA`: number, `xfB`: [TransformValue](globals.md#transformvalue), `fixtureB`: [Fixture](classes/fixture.md), `indexB`: number): *void*

**Parameters:**

Name | Type |
------ | ------ |
`manifold` | [Manifold](classes/manifold.md) |
`xfA` | [TransformValue](globals.md#transformvalue) |
`fixtureA` | [Fixture](classes/fixture.md) |
`indexA` | number |
`xfB` | [TransformValue](globals.md#transformvalue) |
`fixtureB` | [Fixture](classes/fixture.md) |
`indexB` | number |

**Returns:** *void*

___

### `Const` CollideCircles

▸ **CollideCircles**(`manifold`: [Manifold](classes/manifold.md), `circleA`: [CircleShape](classes/circleshape.md), `xfA`: [Transform](classes/transform.md), `circleB`: [CircleShape](classes/circleshape.md), `xfB`: [Transform](classes/transform.md)): *void*

**Parameters:**

Name | Type |
------ | ------ |
`manifold` | [Manifold](classes/manifold.md) |
`circleA` | [CircleShape](classes/circleshape.md) |
`xfA` | [Transform](classes/transform.md) |
`circleB` | [CircleShape](classes/circleshape.md) |
`xfB` | [Transform](classes/transform.md) |

**Returns:** *void*

___

### `Const` CollideEdgeCircle

▸ **CollideEdgeCircle**(`manifold`: [Manifold](classes/manifold.md), `edgeA`: [EdgeShape](classes/edgeshape.md), `xfA`: [TransformValue](globals.md#transformvalue), `circleB`: [CircleShape](classes/circleshape.md), `xfB`: [TransformValue](globals.md#transformvalue)): *void*

**Parameters:**

Name | Type |
------ | ------ |
`manifold` | [Manifold](classes/manifold.md) |
`edgeA` | [EdgeShape](classes/edgeshape.md) |
`xfA` | [TransformValue](globals.md#transformvalue) |
`circleB` | [CircleShape](classes/circleshape.md) |
`xfB` | [TransformValue](globals.md#transformvalue) |

**Returns:** *void*

___

### `Const` CollideEdgePolygon

▸ **CollideEdgePolygon**(`manifold`: [Manifold](classes/manifold.md), `edgeA`: [EdgeShape](classes/edgeshape.md), `xfA`: [TransformValue](globals.md#transformvalue), `polygonB`: [PolygonShape](classes/polygonshape.md), `xfB`: [TransformValue](globals.md#transformvalue)): *void*

This function collides and edge and a polygon, taking into account edge
adjacency.

**Parameters:**

Name | Type |
------ | ------ |
`manifold` | [Manifold](classes/manifold.md) |
`edgeA` | [EdgeShape](classes/edgeshape.md) |
`xfA` | [TransformValue](globals.md#transformvalue) |
`polygonB` | [PolygonShape](classes/polygonshape.md) |
`xfB` | [TransformValue](globals.md#transformvalue) |

**Returns:** *void*

___

### `Const` CollidePolygonCircle

▸ **CollidePolygonCircle**(`manifold`: [Manifold](classes/manifold.md), `polygonA`: [PolygonShape](classes/polygonshape.md), `xfA`: [TransformValue](globals.md#transformvalue), `circleB`: [CircleShape](classes/circleshape.md), `xfB`: [TransformValue](globals.md#transformvalue)): *void*

**Parameters:**

Name | Type |
------ | ------ |
`manifold` | [Manifold](classes/manifold.md) |
`polygonA` | [PolygonShape](classes/polygonshape.md) |
`xfA` | [TransformValue](globals.md#transformvalue) |
`circleB` | [CircleShape](classes/circleshape.md) |
`xfB` | [TransformValue](globals.md#transformvalue) |

**Returns:** *void*

___

### `Const` CollidePolygons

▸ **CollidePolygons**(`manifold`: [Manifold](classes/manifold.md), `polyA`: [PolygonShape](classes/polygonshape.md), `xfA`: [TransformValue](globals.md#transformvalue), `polyB`: [PolygonShape](classes/polygonshape.md), `xfB`: [TransformValue](globals.md#transformvalue)): *void*

Find edge normal of max separation on A - return if separating axis is found<br>
Find edge normal of max separation on B - return if separation axis is found<br>
Choose reference edge as min(minA, minB)<br>
Find incident edge<br>
Clip

The normal points from 1 to 2

**Parameters:**

Name | Type |
------ | ------ |
`manifold` | [Manifold](classes/manifold.md) |
`polyA` | [PolygonShape](classes/polygonshape.md) |
`xfA` | [TransformValue](globals.md#transformvalue) |
`polyB` | [PolygonShape](classes/polygonshape.md) |
`xfB` | [TransformValue](globals.md#transformvalue) |

**Returns:** *void*

___

### `Const` Distance

▸ **Distance**(`output`: [DistanceOutput](classes/distanceoutput.md), `cache`: [SimplexCache](classes/simplexcache.md), `input`: [DistanceInput](classes/distanceinput.md)): *void*

Compute the closest points between two shapes. Supports any combination of:
CircleShape, PolygonShape, EdgeShape. The simplex cache is input/output. On
the first call set SimplexCache.count to zero.

**Parameters:**

Name | Type |
------ | ------ |
`output` | [DistanceOutput](classes/distanceoutput.md) |
`cache` | [SimplexCache](classes/simplexcache.md) |
`input` | [DistanceInput](classes/distanceinput.md) |

**Returns:** *void*

___

### `Const` ShapeCast

▸ **ShapeCast**(`output`: [ShapeCastOutput](classes/shapecastoutput.md), `input`: [ShapeCastInput](classes/shapecastinput.md)): *boolean*

Perform a linear shape cast of shape B moving and shape A fixed. Determines
the hit point, normal, and translation fraction.

**Parameters:**

Name | Type |
------ | ------ |
`output` | [ShapeCastOutput](classes/shapecastoutput.md) |
`input` | [ShapeCastInput](classes/shapecastinput.md) |

**Returns:** *boolean*

true if hit, false if there is no hit or an initial overlap

___

### `Const` TimeOfImpact

▸ **TimeOfImpact**(`output`: [TOIOutput](classes/toioutput.md), `input`: [TOIInput](classes/toiinput.md)): *void*

Compute the upper bound on time before two shapes penetrate. Time is
represented as a fraction between [0,tMax]. This uses a swept separating axis
and may miss some intermediate, non-tunneling collisions. If you change the
time interval, you should call this function again.

Note: use Distance to compute the contact point and normal at the time of
impact.

CCD via the local separating axis method. This seeks progression by computing
the largest time at which separation is maintained.

**Parameters:**

Name | Type |
------ | ------ |
`output` | [TOIOutput](classes/toioutput.md) |
`input` | [TOIInput](classes/toiinput.md) |

**Returns:** *void*

___

###  clamp

▸ **clamp**(`num`: number, `min`: number, `max`: number): *number*

**`deprecated`** 
Returns a min if num is less than min, and max if more than max, otherwise returns num.

**Parameters:**

Name | Type |
------ | ------ |
`num` | number |
`min` | number |
`max` | number |

**Returns:** *number*

___

###  clipSegmentToLine

▸ **clipSegmentToLine**(`vOut`: [ClipVertex](classes/clipvertex.md)[], `vIn`: [ClipVertex](classes/clipvertex.md)[], `normal`: [Vec2Value](interfaces/vec2value.md), `offset`: number, `vertexIndexA`: number): *number*

Clipping for contact manifolds. Sutherland-Hodgman clipping.

**Parameters:**

Name | Type |
------ | ------ |
`vOut` | [ClipVertex](classes/clipvertex.md)[] |
`vIn` | [ClipVertex](classes/clipvertex.md)[] |
`normal` | [Vec2Value](interfaces/vec2value.md) |
`offset` | number |
`vertexIndexA` | number |

**Returns:** *number*

___

###  getPointStates

▸ **getPointStates**(`state1`: [PointState](enums/pointstate.md)[], `state2`: [PointState](enums/pointstate.md)[], `manifold1`: [Manifold](classes/manifold.md), `manifold2`: [Manifold](classes/manifold.md)): *void*

Compute the point states given two manifolds. The states pertain to the
transition from manifold1 to manifold2. So state1 is either persist or remove
while state2 is either add or persist.

**Parameters:**

Name | Type |
------ | ------ |
`state1` | [PointState](enums/pointstate.md)[] |
`state2` | [PointState](enums/pointstate.md)[] |
`manifold1` | [Manifold](classes/manifold.md) |
`manifold2` | [Manifold](classes/manifold.md) |

**Returns:** *void*

___

###  getTransform

▸ **getTransform**(`xf`: [TransformValue](globals.md#transformvalue), `p`: [Vec2Value](interfaces/vec2value.md), `c`: [Vec2Value](interfaces/vec2value.md), `a`: number): *[TransformValue](globals.md#transformvalue)*

**Parameters:**

Name | Type |
------ | ------ |
`xf` | [TransformValue](globals.md#transformvalue) |
`p` | [Vec2Value](interfaces/vec2value.md) |
`c` | [Vec2Value](interfaces/vec2value.md) |
`a` | number |

**Returns:** *[TransformValue](globals.md#transformvalue)*

___

###  isPowerOfTwo

▸ **isPowerOfTwo**(`x`: number): *boolean*

**`deprecated`** 

**Parameters:**

Name | Type |
------ | ------ |
`x` | number |

**Returns:** *boolean*

___

###  mixFriction

▸ **mixFriction**(`friction1`: number, `friction2`: number): *number*

Friction mixing law. The idea is to allow either fixture to drive the
friction to zero. For example, anything slides on ice.

**Parameters:**

Name | Type |
------ | ------ |
`friction1` | number |
`friction2` | number |

**Returns:** *number*

___

###  mixRestitution

▸ **mixRestitution**(`restitution1`: number, `restitution2`: number): *number*

Restitution mixing law. The idea is allow for anything to bounce off an
inelastic surface. For example, a superball bounces on anything.

**Parameters:**

Name | Type |
------ | ------ |
`restitution1` | number |
`restitution2` | number |

**Returns:** *number*

___

###  mod

▸ **mod**(`num`: number, `min?`: number, `max?`: number): *number*

**`deprecated`** 

**Parameters:**

Name | Type |
------ | ------ |
`num` | number |
`min?` | number |
`max?` | number |

**Returns:** *number*

___

###  nextPowerOfTwo

▸ **nextPowerOfTwo**(`x`: number): *number*

**`deprecated`** 
Next Largest Power of 2 Given a binary integer value x, the next largest
power of 2 can be computed by a SWAR algorithm that recursively "folds" the
upper bits into the lower bits. This process yields a bit vector with the
same most significant 1 as x, but all 1's below it. Adding 1 to that value
yields the next largest power of 2. For a 32-bit value:

**Parameters:**

Name | Type |
------ | ------ |
`x` | number |

**Returns:** *number*

___

###  random

▸ **random**(`min?`: number, `max?`: number): *number*

**`deprecated`** 
Returns a random number between min and max when two arguments are provided.
If one arg is provided between 0 to max.
If one arg is passed between 0 to 1.

**Parameters:**

Name | Type |
------ | ------ |
`min?` | number |
`max?` | number |

**Returns:** *number*

___

### `Const` testOverlap

▸ **testOverlap**(`shapeA`: [Shape](classes/shape.md), `indexA`: number, `shapeB`: [Shape](classes/shape.md), `indexB`: number, `xfA`: [TransformValue](globals.md#transformvalue), `xfB`: [TransformValue](globals.md#transformvalue)): *boolean*

Determine if two generic shapes overlap.

**Parameters:**

Name | Type |
------ | ------ |
`shapeA` | [Shape](classes/shape.md) |
`indexA` | number |
`shapeB` | [Shape](classes/shape.md) |
`indexB` | number |
`xfA` | [TransformValue](globals.md#transformvalue) |
`xfB` | [TransformValue](globals.md#transformvalue) |

**Returns:** *boolean*

## Object literals

### `Const` internal

### ▪ **internal**: *object*

**`deprecated`** Merged with main namespace

###  CollidePolygons

• **CollidePolygons**: *CollidePolygons*

###  Distance

• **Distance**: *Distance*

###  DynamicTree

• **DynamicTree**: *[DynamicTree](classes/dynamictree.md)*

###  Manifold

• **Manifold**: *[Manifold](classes/manifold.md)*

###  Settings

• **Settings**: *SettingsInternal*

###  Sweep

• **Sweep**: *[Sweep](classes/sweep.md)*

###  TimeOfImpact

• **TimeOfImpact**: *TimeOfImpact*

###  stats

• **stats**: *object*

#### Type declaration:

* **gjkCalls**: *number* = 0

* **gjkIters**: *number* = 0

* **gjkMaxIters**: *number* = 0

* **toiCalls**: *number* = 0

* **toiIters**: *number* = 0

* **toiMaxIters**: *number* = 0

* **toiMaxRootIters**: *number* = 0

* **toiMaxTime**: *number* = 0

* **toiRootIters**: *number* = 0

* **toiTime**: *number* = 0

* **toString**(`newline?`: string): *string*

___

### `Const` stats

### ▪ **stats**: *object*

###  gjkCalls

• **gjkCalls**: *number* = 0

###  gjkIters

• **gjkIters**: *number* = 0

###  gjkMaxIters

• **gjkMaxIters**: *number* = 0

###  toiCalls

• **toiCalls**: *number* = 0

###  toiIters

• **toiIters**: *number* = 0

###  toiMaxIters

• **toiMaxIters**: *number* = 0

###  toiMaxRootIters

• **toiMaxRootIters**: *number* = 0

###  toiMaxTime

• **toiMaxTime**: *number* = 0

###  toiRootIters

• **toiRootIters**: *number* = 0

###  toiTime

• **toiTime**: *number* = 0

###  toString

▸ **toString**(`newline?`: string): *string*

**Parameters:**

Name | Type |
------ | ------ |
`newline?` | string |

**Returns:** *string*
