[Planck.js API Doc](../README.md) › [Globals](../globals.md) › [JointOpt](jointopt.md)

# Interface: JointOpt

Joint definitions are used to construct joints.

## Hierarchy

* **JointOpt**

  ↳ [JointDef](jointdef.md)

  ↳ [DistanceJointOpt](distancejointopt.md)

  ↳ [FrictionJointOpt](frictionjointopt.md)

  ↳ [RevoluteJointOpt](revolutejointopt.md)

  ↳ [PrismaticJointOpt](prismaticjointopt.md)

  ↳ [GearJointOpt](gearjointopt.md)

  ↳ [MotorJointOpt](motorjointopt.md)

  ↳ [MouseJointOpt](mousejointopt.md)

  ↳ [PulleyJointOpt](pulleyjointopt.md)

  ↳ [RopeJointOpt](ropejointopt.md)

  ↳ [WeldJointOpt](weldjointopt.md)

  ↳ [WheelJointOpt](wheeljointopt.md)

## Index

### Properties

* [collideConnected](jointopt.md#optional-collideconnected)
* [userData](jointopt.md#optional-userdata)

## Properties

### `Optional` collideConnected

• **collideConnected**? : *boolean*

Set this flag to true if the attached bodies
should collide.

___

### `Optional` userData

• **userData**? : *any*

Use this to attach application specific data to your joints.
