/**
 * Planck.js v1.0.2
 * @license The MIT license
 * @copyright Copyright (c) 2023 Erin Catto, Ali Shakiba
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?e(exports):"function"==typeof define&&define.amd?define(["exports"],e):e((t="undefined"!=typeof globalThis?globalThis:t||self).planck={})}(this,(function(t){"use strict";
/*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */var e=function(t,i){return(e=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(t,e){t.__proto__=e}||function(t,e){for(var i in e)Object.prototype.hasOwnProperty.call(e,i)&&(t[i]=e[i])})(t,i)};function i(t,i){if("function"!=typeof i&&null!==i)throw new TypeError("Class extends value "+String(i)+" is not a constructor or null");function s(){this.constructor=t}e(t,i),t.prototype=null===i?Object.create(i):(s.prototype=i.prototype,new s)}var s=function(){return(s=Object.assign||function(t){for(var e,i=1,s=arguments.length;i<s;i++)for(var o in e=arguments[i])Object.prototype.hasOwnProperty.call(e,o)&&(t[o]=e[o]);return t}).apply(this,arguments)},o=function(t,e){null==t&&(t={});var i=s({},t);for(var o in e)e.hasOwnProperty(o)&&void 0===t[o]&&(i[o]=e[o]);if("function"==typeof Object.getOwnPropertySymbols)for(var n=Object.getOwnPropertySymbols(e),r=0;r<n.length;r++){var a=n[r];e.propertyIsEnumerable(a)&&void 0===t[a]&&(i[a]=e[a])}return i},n=Math.random,r=1e-9,a=Number.isFinite;function h(t,e,i){return void 0===e?(i=1,e=0):void 0===i&&(i=e,e=0),i>e?(t=(t-e)%(i-e))+(t<0?i:e):(t=(t-i)%(e-i))+(t<=0?e:i)}function m(t,e,i){return t<e?e:t>i?i:t}var c=Object.create(Math);c.EPSILON=r,c.isFinite=a,c.nextPowerOfTwo=function(t){return t|=t>>1,t|=t>>2,t|=t>>4,t|=t>>8,(t|=t>>16)+1},c.isPowerOfTwo=function(t){return t>0&&0==(t&t-1)},c.mod=h,c.clamp=m,c.random=function(t,e){return void 0===t?(e=1,t=0):void 0===e&&(e=t,t=0),t===e?t:n()*(e-t)+t};var l=Math.abs,_=Math.sqrt,u=Math.max,p=Math.min,y=function(){function t(e,i){if(!(this instanceof t))return new t(e,i);void 0===e?(this.x=0,this.y=0):"object"==typeof e?(this.x=e.x,this.y=e.y):(this.x=e,this.y=i)}return t.prototype._serialize=function(){return{x:this.x,y:this.y}},t._deserialize=function(e){var i=Object.create(t.prototype);return i.x=e.x,i.y=e.y,i},t.zero=function(){var e=Object.create(t.prototype);return e.x=0,e.y=0,e},t.neo=function(e,i){var s=Object.create(t.prototype);return s.x=e,s.y=i,s},t.clone=function(e){return t.neo(e.x,e.y)},t.prototype.toString=function(){return JSON.stringify(this)},t.isValid=function(t){return null!=t&&(Number.isFinite(t.x)&&Number.isFinite(t.y))},t.assert=function(t){},t.prototype.clone=function(){return t.clone(this)},t.prototype.setZero=function(){return this.x=0,this.y=0,this},t.prototype.set=function(t,e){return"object"==typeof t?(this.x=t.x,this.y=t.y):(this.x=t,this.y=e),this},t.prototype.setNum=function(t,e){return this.x=t,this.y=e,this},t.prototype.setVec2=function(t){return this.x=t.x,this.y=t.y,this},t.prototype.wSet=function(t,e,i,s){return void 0!==i||void 0!==s?this.setCombine(t,e,i,s):this.setMul(t,e)},t.prototype.setCombine=function(t,e,i,s){var o=t*e.x+i*s.x,n=t*e.y+i*s.y;return this.x=o,this.y=n,this},t.prototype.setMul=function(t,e){var i=t*e.x,s=t*e.y;return this.x=i,this.y=s,this},t.prototype.add=function(t){return this.x+=t.x,this.y+=t.y,this},t.prototype.wAdd=function(t,e,i,s){return void 0!==i||void 0!==s?this.addCombine(t,e,i,s):this.addMul(t,e)},t.prototype.addCombine=function(t,e,i,s){var o=t*e.x+i*s.x,n=t*e.y+i*s.y;return this.x+=o,this.y+=n,this},t.prototype.addMul=function(t,e){var i=t*e.x,s=t*e.y;return this.x+=i,this.y+=s,this},t.prototype.wSub=function(t,e,i,s){return void 0!==i||void 0!==s?this.subCombine(t,e,i,s):this.subMul(t,e)},t.prototype.subCombine=function(t,e,i,s){var o=t*e.x+i*s.x,n=t*e.y+i*s.y;return this.x-=o,this.y-=n,this},t.prototype.subMul=function(t,e){var i=t*e.x,s=t*e.y;return this.x-=i,this.y-=s,this},t.prototype.sub=function(t){return this.x-=t.x,this.y-=t.y,this},t.prototype.mul=function(t){return this.x*=t,this.y*=t,this},t.prototype.length=function(){return t.lengthOf(this)},t.prototype.lengthSquared=function(){return t.lengthSquared(this)},t.prototype.normalize=function(){var t=this.length();if(t<r)return 0;var e=1/t;return this.x*=e,this.y*=e,t},t.lengthOf=function(t){return _(t.x*t.x+t.y*t.y)},t.lengthSquared=function(t){return t.x*t.x+t.y*t.y},t.distance=function(t,e){var i=t.x-e.x,s=t.y-e.y;return _(i*i+s*s)},t.distanceSquared=function(t,e){var i=t.x-e.x,s=t.y-e.y;return i*i+s*s},t.areEqual=function(t,e){return t===e||"object"==typeof e&&null!==e&&t.x===e.x&&t.y===e.y},t.skew=function(e){return t.neo(-e.y,e.x)},t.dot=function(t,e){return t.x*e.x+t.y*e.y},t.cross=function(e,i){return"number"==typeof i?t.neo(i*e.y,-i*e.x):"number"==typeof e?t.neo(-e*i.y,e*i.x):e.x*i.y-e.y*i.x},t.crossVec2Vec2=function(t,e){return t.x*e.y-t.y*e.x},t.crossVec2Num=function(e,i){return t.neo(i*e.y,-i*e.x)},t.crossNumVec2=function(e,i){return t.neo(-e*i.y,e*i.x)},t.addCross=function(e,i,s){return"number"==typeof s?t.neo(s*i.y+e.x,-s*i.x+e.y):"number"==typeof i?t.neo(-i*s.y+e.x,i*s.x+e.y):void 0},t.addCrossVec2Num=function(e,i,s){return t.neo(s*i.y+e.x,-s*i.x+e.y)},t.addCrossNumVec2=function(e,i,s){return t.neo(-i*s.y+e.x,i*s.x+e.y)},t.add=function(e,i){return t.neo(e.x+i.x,e.y+i.y)},t.wAdd=function(e,i,s,o){return void 0!==s||void 0!==o?t.combine(e,i,s,o):t.mulNumVec2(e,i)},t.combine=function(e,i,s,o){return t.zero().setCombine(e,i,s,o)},t.sub=function(e,i){return t.neo(e.x-i.x,e.y-i.y)},t.mul=function(e,i){return"object"==typeof e?t.neo(e.x*i,e.y*i):"object"==typeof i?t.neo(e*i.x,e*i.y):void 0},t.mulVec2Num=function(e,i){return t.neo(e.x*i,e.y*i)},t.mulNumVec2=function(e,i){return t.neo(e*i.x,e*i.y)},t.prototype.neg=function(){return this.x=-this.x,this.y=-this.y,this},t.neg=function(e){return t.neo(-e.x,-e.y)},t.abs=function(e){return t.neo(l(e.x),l(e.y))},t.mid=function(e,i){return t.neo(.5*(e.x+i.x),.5*(e.y+i.y))},t.upper=function(e,i){return t.neo(u(e.x,i.x),u(e.y,i.y))},t.lower=function(e,i){return t.neo(p(e.x,i.x),p(e.y,i.y))},t.prototype.clamp=function(t){var e=this.x*this.x+this.y*this.y;if(e>t*t){var i=t/_(e);this.x*=i,this.y*=i}return this},t.clamp=function(e,i){var s=t.neo(e.x,e.y);return s.clamp(i),s},t.scaleFn=function(e,i){return function(s){return t.neo(s.x*e,s.y*i)}},t.translateFn=function(e,i){return function(s){return t.neo(s.x+e,s.y+i)}},t}(),d=Math.max,f=Math.min,v=function(){function t(e,i){if(!(this instanceof t))return new t(e,i);this.lowerBound=y.zero(),this.upperBound=y.zero(),"object"==typeof e&&this.lowerBound.setVec2(e),"object"==typeof i?this.upperBound.setVec2(i):"object"==typeof e&&this.upperBound.setVec2(e)}return t.prototype.isValid=function(){return t.isValid(this)},t.isValid=function(t){return null!=t&&(y.isValid(t.lowerBound)&&y.isValid(t.upperBound)&&y.sub(t.upperBound,t.lowerBound).lengthSquared()>=0)},t.assert=function(t){},t.prototype.getCenter=function(){return y.neo(.5*(this.lowerBound.x+this.upperBound.x),.5*(this.lowerBound.y+this.upperBound.y))},t.prototype.getExtents=function(){return y.neo(.5*(this.upperBound.x-this.lowerBound.x),.5*(this.upperBound.y-this.lowerBound.y))},t.prototype.getPerimeter=function(){return 2*(this.upperBound.x-this.lowerBound.x+this.upperBound.y-this.lowerBound.y)},t.prototype.combine=function(t,e){e=e||this;var i=t.lowerBound,s=t.upperBound,o=e.lowerBound,n=e.upperBound,r=f(i.x,o.x),a=f(i.y,o.y),h=d(n.x,s.x),m=d(n.y,s.y);this.lowerBound.setNum(r,a),this.upperBound.setNum(h,m)},t.prototype.combinePoints=function(t,e){this.lowerBound.setNum(f(t.x,e.x),f(t.y,e.y)),this.upperBound.setNum(d(t.x,e.x),d(t.y,e.y))},t.prototype.set=function(t){this.lowerBound.setNum(t.lowerBound.x,t.lowerBound.y),this.upperBound.setNum(t.upperBound.x,t.upperBound.y)},t.prototype.contains=function(t){var e=!0;return e=(e=(e=(e=e&&this.lowerBound.x<=t.lowerBound.x)&&this.lowerBound.y<=t.lowerBound.y)&&t.upperBound.x<=this.upperBound.x)&&t.upperBound.y<=this.upperBound.y},t.prototype.extend=function(e){return t.extend(this,e),this},t.extend=function(t,e){return t.lowerBound.x-=e,t.lowerBound.y-=e,t.upperBound.x+=e,t.upperBound.y+=e,t},t.testOverlap=function(t,e){var i=e.lowerBound.x-t.upperBound.x,s=t.lowerBound.x-e.upperBound.x,o=e.lowerBound.y-t.upperBound.y,n=t.lowerBound.y-e.upperBound.y;return!(i>0||o>0||s>0||n>0)},t.areEqual=function(t,e){return y.areEqual(t.lowerBound,e.lowerBound)&&y.areEqual(t.upperBound,e.upperBound)},t.diff=function(t,e){var i=d(0,f(t.upperBound.x,e.upperBound.x)-d(e.lowerBound.x,t.lowerBound.x)),s=d(0,f(t.upperBound.y,e.upperBound.y)-d(e.lowerBound.y,t.lowerBound.y));return(t.upperBound.x-t.lowerBound.x)*(t.upperBound.y-t.lowerBound.y)+(e.upperBound.x-e.lowerBound.x)*(e.upperBound.y-e.lowerBound.y)-i*s},t.prototype.rayCast=function(t,e){for(var i=-1/0,s=1/0,o=e.p1,n=y.sub(e.p2,e.p1),a=y.abs(n),h=y.zero(),m="x";null!==m;m="x"===m?"y":null)if(a.x<r){if(o[m]<this.lowerBound[m]||this.upperBound[m]<o[m])return!1}else{var c=1/n[m],l=(this.lowerBound[m]-o[m])*c,_=(this.upperBound[m]-o[m])*c,u=-1;if(l>_){var p=l;l=_,_=p,u=1}if(l>i&&(h.setZero(),h[m]=u,i=l),i>(s=f(s,_)))return!1}return!(i<0||e.maxFraction<i)&&(t.fraction=i,t.normal=h,!0)},t.prototype.toString=function(){return JSON.stringify(this)},t.combinePoints=function(t,e,i){return t.lowerBound.x=f(e.x,i.x),t.lowerBound.y=f(e.y,i.y),t.upperBound.x=d(e.x,i.x),t.upperBound.y=d(e.y,i.y),t},t.combinedPerimeter=function(t,e){var i=f(t.lowerBound.x,e.lowerBound.x),s=f(t.lowerBound.y,e.lowerBound.y);return 2*(d(t.upperBound.x,e.upperBound.x)-i+d(t.upperBound.y,e.upperBound.y)-s)},t}(),x=Math.PI,g=function(){function t(){}return Object.defineProperty(t,"polygonRadius",{get:function(){return 2*t.linearSlop},enumerable:!1,configurable:!0}),t.lengthUnitsPerMeter=1,t.maxManifoldPoints=2,t.maxPolygonVertices=12,t.aabbExtension=.1,t.aabbMultiplier=2,t.linearSlop=.005,t.angularSlop=2/180*x,t.maxSubSteps=8,t.maxTOIContacts=32,t.maxTOIIterations=20,t.maxDistanceIterations=20,t.velocityThreshold=1,t.maxLinearCorrection=.2,t.maxAngularCorrection=8/180*x,t.maxTranslation=2,t.maxRotation=.5*x,t.baumgarte=.2,t.toiBaugarte=.75,t.timeToSleep=.5,t.linearSleepTolerance=.01,t.angularSleepTolerance=2/180*x,t}(),b=function(){function t(){}return Object.defineProperty(t,"maxManifoldPoints",{get:function(){return g.maxManifoldPoints},enumerable:!1,configurable:!0}),Object.defineProperty(t,"maxPolygonVertices",{get:function(){return g.maxPolygonVertices},enumerable:!1,configurable:!0}),Object.defineProperty(t,"aabbExtension",{get:function(){return g.aabbExtension*g.lengthUnitsPerMeter},enumerable:!1,configurable:!0}),Object.defineProperty(t,"aabbMultiplier",{get:function(){return g.aabbMultiplier},enumerable:!1,configurable:!0}),Object.defineProperty(t,"linearSlop",{get:function(){return g.linearSlop*g.lengthUnitsPerMeter},enumerable:!1,configurable:!0}),Object.defineProperty(t,"linearSlopSquared",{get:function(){return g.linearSlop*g.lengthUnitsPerMeter*g.linearSlop*g.lengthUnitsPerMeter},enumerable:!1,configurable:!0}),Object.defineProperty(t,"angularSlop",{get:function(){return g.angularSlop},enumerable:!1,configurable:!0}),Object.defineProperty(t,"polygonRadius",{get:function(){return 2*g.linearSlop},enumerable:!1,configurable:!0}),Object.defineProperty(t,"maxSubSteps",{get:function(){return g.maxSubSteps},enumerable:!1,configurable:!0}),Object.defineProperty(t,"maxTOIContacts",{get:function(){return g.maxTOIContacts},enumerable:!1,configurable:!0}),Object.defineProperty(t,"maxTOIIterations",{get:function(){return g.maxTOIIterations},enumerable:!1,configurable:!0}),Object.defineProperty(t,"maxDistanceIterations",{get:function(){return g.maxDistanceIterations},enumerable:!1,configurable:!0}),Object.defineProperty(t,"velocityThreshold",{get:function(){return g.velocityThreshold*g.lengthUnitsPerMeter},enumerable:!1,configurable:!0}),Object.defineProperty(t,"maxLinearCorrection",{get:function(){return g.maxLinearCorrection*g.lengthUnitsPerMeter},enumerable:!1,configurable:!0}),Object.defineProperty(t,"maxAngularCorrection",{get:function(){return g.maxAngularCorrection},enumerable:!1,configurable:!0}),Object.defineProperty(t,"maxTranslation",{get:function(){return g.maxTranslation*g.lengthUnitsPerMeter},enumerable:!1,configurable:!0}),Object.defineProperty(t,"maxTranslationSquared",{get:function(){return g.maxTranslation*g.lengthUnitsPerMeter*g.maxTranslation*g.lengthUnitsPerMeter},enumerable:!1,configurable:!0}),Object.defineProperty(t,"maxRotation",{get:function(){return g.maxRotation},enumerable:!1,configurable:!0}),Object.defineProperty(t,"maxRotationSquared",{get:function(){return g.maxRotation*g.maxRotation},enumerable:!1,configurable:!0}),Object.defineProperty(t,"baumgarte",{get:function(){return g.baumgarte},enumerable:!1,configurable:!0}),Object.defineProperty(t,"toiBaugarte",{get:function(){return g.toiBaugarte},enumerable:!1,configurable:!0}),Object.defineProperty(t,"timeToSleep",{get:function(){return g.timeToSleep},enumerable:!1,configurable:!0}),Object.defineProperty(t,"linearSleepTolerance",{get:function(){return g.linearSleepTolerance*g.lengthUnitsPerMeter},enumerable:!1,configurable:!0}),Object.defineProperty(t,"linearSleepToleranceSqr",{get:function(){return g.linearSleepTolerance*g.lengthUnitsPerMeter*g.linearSleepTolerance*g.lengthUnitsPerMeter},enumerable:!1,configurable:!0}),Object.defineProperty(t,"angularSleepTolerance",{get:function(){return g.angularSleepTolerance},enumerable:!1,configurable:!0}),Object.defineProperty(t,"angularSleepToleranceSqr",{get:function(){return g.angularSleepTolerance*g.angularSleepTolerance},enumerable:!1,configurable:!0}),t}(),A=function(){function t(t){this._list=[],this._max=1/0,this._hasCreateFn=!1,this._createCount=0,this._hasAllocateFn=!1,this._allocateCount=0,this._hasReleaseFn=!1,this._releaseCount=0,this._hasDisposeFn=!1,this._disposeCount=0,this._list=[],this._max=t.max||this._max,this._createFn=t.create,this._hasCreateFn="function"==typeof this._createFn,this._allocateFn=t.allocate,this._hasAllocateFn="function"==typeof this._allocateFn,this._releaseFn=t.release,this._hasReleaseFn="function"==typeof this._releaseFn,this._disposeFn=t.dispose,this._hasDisposeFn="function"==typeof this._disposeFn}return t.prototype.max=function(t){return"number"==typeof t?(this._max=t,this):this._max},t.prototype.size=function(){return this._list.length},t.prototype.allocate=function(){var t;return this._list.length>0?t=this._list.shift():(this._createCount++,t=this._hasCreateFn?this._createFn():{}),this._allocateCount++,this._hasAllocateFn&&this._allocateFn(t),t},t.prototype.release=function(t){this._list.length<this._max?(this._releaseCount++,this._hasReleaseFn&&this._releaseFn(t),this._list.push(t)):(this._disposeCount++,this._hasDisposeFn&&(t=this._disposeFn(t)))},t.prototype.toString=function(){return" +"+this._createCount+" >"+this._allocateCount+" <"+this._releaseCount+" -"+this._disposeCount+" ="+this._list.length+"/"+this._max},t}(),B=Math.abs,w=Math.max,M=function(){function t(t){this.aabb=new v,this.userData=null,this.parent=null,this.child1=null,this.child2=null,this.height=-1,this.id=t}return t.prototype.toString=function(){return this.id+": "+this.userData},t.prototype.isLeaf=function(){return null==this.child1},t}(),C=new A({create:function(){return new M},release:function(t){t.userData=null,t.parent=null,t.child1=null,t.child2=null,t.height=-1,t.id=void 0}}),V=function(){function t(){this.inputPool=new A({create:function(){return{}},release:function(t){}}),this.stackPool=new A({create:function(){return[]},release:function(t){t.length=0}}),this.iteratorPool=new A({create:function(){return new S},release:function(t){t.close()}}),this.m_root=null,this.m_nodes={},this.m_lastProxyId=0}return t.prototype.getUserData=function(t){return this.m_nodes[t].userData},t.prototype.getFatAABB=function(t){return this.m_nodes[t].aabb},t.prototype.allocateNode=function(){var t=C.allocate();return t.id=++this.m_lastProxyId,this.m_nodes[t.id]=t,t},t.prototype.freeNode=function(t){delete this.m_nodes[t.id],C.release(t)},t.prototype.createProxy=function(t,e){var i=this.allocateNode();return i.aabb.set(t),v.extend(i.aabb,b.aabbExtension),i.userData=e,i.height=0,this.insertLeaf(i),i.id},t.prototype.destroyProxy=function(t){var e=this.m_nodes[t];this.removeLeaf(e),this.freeNode(e)},t.prototype.moveProxy=function(t,e,i){var s=this.m_nodes[t];return!s.aabb.contains(e)&&(this.removeLeaf(s),s.aabb.set(e),e=s.aabb,v.extend(e,b.aabbExtension),i.x<0?e.lowerBound.x+=i.x*b.aabbMultiplier:e.upperBound.x+=i.x*b.aabbMultiplier,i.y<0?e.lowerBound.y+=i.y*b.aabbMultiplier:e.upperBound.y+=i.y*b.aabbMultiplier,this.insertLeaf(s),!0)},t.prototype.insertLeaf=function(t){if(null==this.m_root)return this.m_root=t,void(this.m_root.parent=null);for(var e=t.aabb,i=this.m_root;!i.isLeaf();){var s=i.child1,o=i.child2,n=i.aabb.getPerimeter(),r=v.combinedPerimeter(i.aabb,e),a=2*r,h=2*(r-n),m=v.combinedPerimeter(e,s.aabb)+h;if(!s.isLeaf())m-=s.aabb.getPerimeter();var c=v.combinedPerimeter(e,o.aabb)+h;if(!o.isLeaf())c-=o.aabb.getPerimeter();if(a<m&&a<c)break;i=m<c?s:o}var l=i,_=l.parent,u=this.allocateNode();for(u.parent=_,u.userData=null,u.aabb.combine(e,l.aabb),u.height=l.height+1,null!=_?(_.child1===l?_.child1=u:_.child2=u,u.child1=l,u.child2=t,l.parent=u,t.parent=u):(u.child1=l,u.child2=t,l.parent=u,t.parent=u,this.m_root=u),i=t.parent;null!=i;){s=(i=this.balance(i)).child1,o=i.child2;i.height=1+w(s.height,o.height),i.aabb.combine(s.aabb,o.aabb),i=i.parent}},t.prototype.removeLeaf=function(t){if(t!==this.m_root){var e,i=t.parent,s=i.parent;if(e=i.child1===t?i.child2:i.child1,null!=s){s.child1===i?s.child1=e:s.child2=e,e.parent=s,this.freeNode(i);for(var o=s;null!=o;){var n=(o=this.balance(o)).child1,r=o.child2;o.aabb.combine(n.aabb,r.aabb),o.height=1+w(n.height,r.height),o=o.parent}}else this.m_root=e,e.parent=null,this.freeNode(i)}else this.m_root=null},t.prototype.balance=function(t){var e=t;if(e.isLeaf()||e.height<2)return t;var i=e.child1,s=e.child2,o=s.height-i.height;if(o>1){var n=s.child1,r=s.child2;return s.child1=e,s.parent=e.parent,e.parent=s,null!=s.parent?s.parent.child1===t?s.parent.child1=s:s.parent.child2=s:this.m_root=s,n.height>r.height?(s.child2=n,e.child2=r,r.parent=e,e.aabb.combine(i.aabb,r.aabb),s.aabb.combine(e.aabb,n.aabb),e.height=1+w(i.height,r.height),s.height=1+w(e.height,n.height)):(s.child2=r,e.child2=n,n.parent=e,e.aabb.combine(i.aabb,n.aabb),s.aabb.combine(e.aabb,r.aabb),e.height=1+w(i.height,n.height),s.height=1+w(e.height,r.height)),s}if(o<-1){var a=i.child1,h=i.child2;return i.child1=e,i.parent=e.parent,e.parent=i,null!=i.parent?i.parent.child1===e?i.parent.child1=i:i.parent.child2=i:this.m_root=i,a.height>h.height?(i.child2=a,e.child1=h,h.parent=e,e.aabb.combine(s.aabb,h.aabb),i.aabb.combine(e.aabb,a.aabb),e.height=1+w(s.height,h.height),i.height=1+w(e.height,a.height)):(i.child2=h,e.child1=a,a.parent=e,e.aabb.combine(s.aabb,a.aabb),i.aabb.combine(e.aabb,h.aabb),e.height=1+w(s.height,a.height),i.height=1+w(e.height,h.height)),i}return e},t.prototype.getHeight=function(){return null==this.m_root?0:this.m_root.height},t.prototype.getAreaRatio=function(){if(null==this.m_root)return 0;for(var t,e=this.m_root.aabb.getPerimeter(),i=0,s=this.iteratorPool.allocate().preorder(this.m_root);t=s.next();)t.height<0||(i+=t.aabb.getPerimeter());return this.iteratorPool.release(s),i/e},t.prototype.computeHeight=function(t){var e;if((e=void 0!==t?this.m_nodes[t]:this.m_root).isLeaf())return 0;var i=this.computeHeight(e.child1.id),s=this.computeHeight(e.child2.id);return 1+w(i,s)},t.prototype.validateStructure=function(t){if(null!=t){this.m_root;var e=t.child1,i=t.child2;t.isLeaf()||(this.validateStructure(e),this.validateStructure(i))}},t.prototype.validateMetrics=function(t){if(null!=t){var e=t.child1,i=t.child2;if(!t.isLeaf())e.height,i.height,(new v).combine(e.aabb,i.aabb),this.validateMetrics(e),this.validateMetrics(i)}},t.prototype.validate=function(){},t.prototype.getMaxBalance=function(){for(var t,e=0,i=this.iteratorPool.allocate().preorder(this.m_root);t=i.next();)if(!(t.height<=1)){var s=B(t.child2.height-t.child1.height);e=w(e,s)}return this.iteratorPool.release(i),e},t.prototype.rebuildBottomUp=function(){for(var t,e=[],i=0,s=this.iteratorPool.allocate().preorder(this.m_root);t=s.next();)t.height<0||(t.isLeaf()?(t.parent=null,e[i]=t,++i):this.freeNode(t));for(this.iteratorPool.release(s);i>1;){for(var o=1/0,n=-1,r=-1,a=0;a<i;++a)for(var h=e[a].aabb,m=a+1;m<i;++m){var c=e[m].aabb,l=v.combinedPerimeter(h,c);l<o&&(n=a,r=m,o=l)}var _=e[n],u=e[r],p=this.allocateNode();p.child1=_,p.child2=u,p.height=1+w(_.height,u.height),p.aabb.combine(_.aabb,u.aabb),p.parent=null,_.parent=p,u.parent=p,e[r]=e[i-1],e[n]=p,--i}this.m_root=e[0]},t.prototype.shiftOrigin=function(t){for(var e,i=this.iteratorPool.allocate().preorder(this.m_root);e=i.next();){var s=e.aabb;s.lowerBound.x-=t.x,s.lowerBound.y-=t.y,s.upperBound.x-=t.x,s.upperBound.y-=t.y}this.iteratorPool.release(i)},t.prototype.query=function(t,e){var i=this.stackPool.allocate();for(i.push(this.m_root);i.length>0;){var s=i.pop();if(null!=s)if(v.testOverlap(s.aabb,t))if(s.isLeaf()){if(!1===e(s.id))return}else i.push(s.child1),i.push(s.child2)}this.stackPool.release(i)},t.prototype.rayCast=function(t,e){var i=t.p1,s=t.p2,o=y.sub(s,i);o.normalize();var n=y.crossNumVec2(1,o),r=y.abs(n),a=t.maxFraction,h=new v,m=y.combine(1-a,i,a,s);h.combinePoints(i,m);var c=this.stackPool.allocate(),l=this.inputPool.allocate();for(c.push(this.m_root);c.length>0;){var _=c.pop();if(null!=_&&!1!==v.testOverlap(_.aabb,h)){var u=_.aabb.getCenter(),p=_.aabb.getExtents();if(!(B(y.dot(n,y.sub(i,u)))-y.dot(r,p)>0))if(_.isLeaf()){l.p1=y.clone(t.p1),l.p2=y.clone(t.p2),l.maxFraction=a;var d=e(l,_.id);if(0===d)return;d>0&&(a=d,m=y.combine(1-a,i,a,s),h.combinePoints(i,m))}else c.push(_.child1),c.push(_.child2)}}this.stackPool.release(c),this.inputPool.release(l)},t}(),S=function(){function t(){this.parents=[],this.states=[]}return t.prototype.preorder=function(t){return this.parents.length=0,this.parents.push(t),this.states.length=0,this.states.push(0),this},t.prototype.next=function(){for(;this.parents.length>0;){var t=this.parents.length-1,e=this.parents[t];if(0===this.states[t])return this.states[t]=1,e;if(1===this.states[t]&&(this.states[t]=2,e.child1))return this.parents.push(e.child1),this.states.push(1),e.child1;if(2===this.states[t]&&(this.states[t]=3,e.child2))return this.parents.push(e.child2),this.states.push(1),e.child2;this.parents.pop(),this.states.pop()}},t.prototype.close=function(){this.parents.length=0},t}(),I=Math.max,P=Math.min,T=function(){function t(){var t=this;this.m_tree=new V,this.m_moveBuffer=[],this.query=function(e,i){t.m_tree.query(e,i)},this.queryCallback=function(e){if(e===t.m_queryProxyId)return!0;var i=P(e,t.m_queryProxyId),s=I(e,t.m_queryProxyId),o=t.m_tree.getUserData(i),n=t.m_tree.getUserData(s);return t.m_callback(o,n),!0}}return t.prototype.getUserData=function(t){return this.m_tree.getUserData(t)},t.prototype.testOverlap=function(t,e){var i=this.m_tree.getFatAABB(t),s=this.m_tree.getFatAABB(e);return v.testOverlap(i,s)},t.prototype.getFatAABB=function(t){return this.m_tree.getFatAABB(t)},t.prototype.getProxyCount=function(){return this.m_moveBuffer.length},t.prototype.getTreeHeight=function(){return this.m_tree.getHeight()},t.prototype.getTreeBalance=function(){return this.m_tree.getMaxBalance()},t.prototype.getTreeQuality=function(){return this.m_tree.getAreaRatio()},t.prototype.rayCast=function(t,e){this.m_tree.rayCast(t,e)},t.prototype.shiftOrigin=function(t){this.m_tree.shiftOrigin(t)},t.prototype.createProxy=function(t,e){var i=this.m_tree.createProxy(t,e);return this.bufferMove(i),i},t.prototype.destroyProxy=function(t){this.unbufferMove(t),this.m_tree.destroyProxy(t)},t.prototype.moveProxy=function(t,e,i){this.m_tree.moveProxy(t,e,i)&&this.bufferMove(t)},t.prototype.touchProxy=function(t){this.bufferMove(t)},t.prototype.bufferMove=function(t){this.m_moveBuffer.push(t)},t.prototype.unbufferMove=function(t){for(var e=0;e<this.m_moveBuffer.length;++e)this.m_moveBuffer[e]===t&&(this.m_moveBuffer[e]=null)},t.prototype.updatePairs=function(t){for(this.m_callback=t;this.m_moveBuffer.length>0;)if(this.m_queryProxyId=this.m_moveBuffer.pop(),null!==this.m_queryProxyId){var e=this.m_tree.getFatAABB(this.m_queryProxyId);this.m_tree.query(e,this.queryCallback)}},t}(),z=Math.sin,F=Math.cos,L=Math.sqrt;function k(t,e){return{x:t,y:e}}function q(t,e,i){return t.x=e,t.y=i,t}function N(t,e){return t.x=e.x,t.y=e.y,t}function j(t){return t.x=0,t.y=0,t}function D(t){return t.x=-t.x,t.y=-t.y,t}function R(t,e){return t.x+=e.x,t.y+=e.y,t}function O(t,e){return t.x-=e.x,t.y-=e.y,t}function E(t,e,i){return t.x=e.x-i.x,t.y=e.y-i.y,t}function Y(t,e){return t.x*=e,t.y*=e,t}function W(t,e,i){return t.x=e*i.x,t.y=e*i.y,t}function J(t,e,i){return t.x+=e*i.x,t.y+=e*i.y,t}function H(t,e,i){return t.x-=e*i.x,t.y-=e*i.y,t}function X(t,e,i,s,o){return t.x=e*i.x+s*o.x,t.y=e*i.y+s*o.y,t}function U(t,e,i,s,o,n,r){return t.x=e*i.x+s*o.x+n*r.x,t.y=e*i.y+s*o.y+n*r.y,t}function K(t){var e=L(t.x*t.x+t.y*t.y);if(e>0){var i=1/e;t.x*=i,t.y*=i}return t}function Z(t,e,i){var s=i*e.y,o=-i*e.x;return t.x=s,t.y=o,t}function G(t,e,i){var s=-e*i.y,o=e*i.x;return t.x=s,t.y=o,t}function Q(t,e){return t.x*e.y-t.y*e.x}function $(t,e){return t.x*e.x+t.y*e.y}function tt(t){return t.x*t.x+t.y*t.y}function et(t,e){var i=t.x-e.x,s=t.y-e.y;return L(i*i+s*s)}function it(t,e){var i=t.x-e.x,s=t.y-e.y;return i*i+s*s}function st(t,e,i){return t.x=e.c*i.x-e.s*i.y,t.y=e.s*i.x+e.c*i.y,t}function ot(t,e,i){var s=e.c*i.x+e.s*i.y,o=-e.s*i.x+e.c*i.y;return t.x=s,t.y=o,t}function nt(t,e,i){return{p:k(t,e),q:(s=i,{s:z(s),c:F(s)})};var s}function rt(t,e){return t.p.x=e.p.x,t.p.y=e.p.y,t.q.s=e.q.s,t.q.c=e.q.c,t}function at(t,e,i){var s=e.q.c*i.x-e.q.s*i.y+e.p.x,o=e.q.s*i.x+e.q.c*i.y+e.p.y;return t.x=s,t.y=o,t}function ht(t,e,i){var s=i.x-e.p.x,o=i.y-e.p.y,n=e.q.c*s+e.q.s*o,r=-e.q.s*s+e.q.c*o;return t.x=n,t.y=r,t}function mt(t,e,i,s){var o=e.q.c*s.x-e.q.s*s.y+e.p.x,n=e.q.s*s.x+e.q.c*s.y+e.p.y,r=o-i.p.x,a=n-i.p.y,h=i.q.c*r+i.q.s*a,m=-i.q.s*r+i.q.c*a;return t.x=h,t.y=m,t}function ct(t,e,i){var s=e.q.c*i.q.c+e.q.s*i.q.s,o=e.q.c*i.q.s-e.q.s*i.q.c,n=e.q.c*(i.p.x-e.p.x)+e.q.s*(i.p.y-e.p.y),r=-e.q.s*(i.p.x-e.p.x)+e.q.c*(i.p.y-e.p.y);return t.q.c=s,t.q.s=o,t.p.x=n,t.p.y=r,t}var lt=Math.sin,_t=Math.cos,ut=Math.atan2,pt=function(){function t(e){if(!(this instanceof t))return new t(e);"number"==typeof e?this.setAngle(e):"object"==typeof e?this.setRot(e):this.setIdentity()}return t.neo=function(e){var i=Object.create(t.prototype);return i.setAngle(e),i},t.clone=function(e){var i=Object.create(t.prototype);return i.s=e.s,i.c=e.c,i},t.identity=function(){var e=Object.create(t.prototype);return e.s=0,e.c=1,e},t.isValid=function(t){return null!=t&&(Number.isFinite(t.s)&&Number.isFinite(t.c))},t.assert=function(t){},t.prototype.setIdentity=function(){this.s=0,this.c=1},t.prototype.set=function(t){"object"==typeof t?(this.s=t.s,this.c=t.c):(this.s=lt(t),this.c=_t(t))},t.prototype.setRot=function(t){this.s=t.s,this.c=t.c},t.prototype.setAngle=function(t){this.s=lt(t),this.c=_t(t)},t.prototype.getAngle=function(){return ut(this.s,this.c)},t.prototype.getXAxis=function(){return y.neo(this.c,this.s)},t.prototype.getYAxis=function(){return y.neo(-this.s,this.c)},t.mul=function(e,i){if("c"in i&&"s"in i){var s=t.identity();return s.s=e.s*i.c+e.c*i.s,s.c=e.c*i.c-e.s*i.s,s}if("x"in i&&"y"in i)return y.neo(e.c*i.x-e.s*i.y,e.s*i.x+e.c*i.y)},t.mulRot=function(e,i){var s=t.identity();return s.s=e.s*i.c+e.c*i.s,s.c=e.c*i.c-e.s*i.s,s},t.mulVec2=function(t,e){return y.neo(t.c*e.x-t.s*e.y,t.s*e.x+t.c*e.y)},t.mulSub=function(t,e,i){var s=t.c*(e.x-i.x)-t.s*(e.y-i.y),o=t.s*(e.x-i.x)+t.c*(e.y-i.y);return y.neo(s,o)},t.mulT=function(e,i){if("c"in i&&"s"in i){var s=t.identity();return s.s=e.c*i.s-e.s*i.c,s.c=e.c*i.c+e.s*i.s,s}if("x"in i&&"y"in i)return y.neo(e.c*i.x+e.s*i.y,-e.s*i.x+e.c*i.y)},t.mulTRot=function(e,i){var s=t.identity();return s.s=e.c*i.s-e.s*i.c,s.c=e.c*i.c+e.s*i.s,s},t.mulTVec2=function(t,e){return y.neo(t.c*e.x+t.s*e.y,-t.s*e.x+t.c*e.y)},t}(),yt=Math.atan2,dt=Math.PI,ft=k(0,0),vt=function(){function t(){this.localCenter=y.zero(),this.c=y.zero(),this.a=0,this.alpha0=0,this.c0=y.zero(),this.a0=0}return t.prototype.recycle=function(){j(this.localCenter),j(this.c),this.a=0,this.alpha0=0,j(this.c0),this.a0=0},t.prototype.setTransform=function(t){at(ft,t,this.localCenter),N(this.c,ft),N(this.c0,ft),this.a=this.a0=yt(t.q.s,t.q.c)},t.prototype.setLocalCenter=function(t,e){N(this.localCenter,t),at(ft,e,this.localCenter),N(this.c,ft),N(this.c0,ft)},t.prototype.getTransform=function(t,e){void 0===e&&(e=0),function(t,e){t.c=F(e),t.s=z(e)}(t.q,(1-e)*this.a0+e*this.a),X(t.p,1-e,this.c0,e,this.c),O(t.p,st(ft,t.q,this.localCenter))},t.prototype.advance=function(t){var e=(t-this.alpha0)/(1-this.alpha0);X(this.c0,e,this.c,1-e,this.c0),this.a0=e*this.a+(1-e)*this.a0,this.alpha0=t},t.prototype.forward=function(){this.a0=this.a,N(this.c0,this.c)},t.prototype.normalize=function(){var t=h(this.a0,-dt,+dt);this.a-=this.a0-t,this.a0=t},t.prototype.set=function(t){N(this.localCenter,t.localCenter),N(this.c,t.c),this.a=t.a,this.alpha0=t.alpha0,N(this.c0,t.c0),this.a0=t.a0},t}(),xt=function(){function t(e,i){if(!(this instanceof t))return new t(e,i);this.p=y.zero(),this.q=pt.identity(),void 0!==e&&this.p.setVec2(e),void 0!==i&&this.q.setAngle(i)}return t.clone=function(e){var i=Object.create(t.prototype);return i.p=y.clone(e.p),i.q=pt.clone(e.q),i},t.neo=function(e,i){var s=Object.create(t.prototype);return s.p=y.clone(e),s.q=pt.clone(i),s},t.identity=function(){var e=Object.create(t.prototype);return e.p=y.zero(),e.q=pt.identity(),e},t.prototype.setIdentity=function(){this.p.setZero(),this.q.setIdentity()},t.prototype.set=function(t,e){void 0===e?(this.p.set(t.p),this.q.set(t.q)):(this.p.set(t),this.q.set(e))},t.prototype.setNum=function(t,e){this.p.setVec2(t),this.q.setAngle(e)},t.prototype.setTransform=function(t){this.p.setVec2(t.p),this.q.setRot(t.q)},t.isValid=function(t){return null!=t&&(y.isValid(t.p)&&pt.isValid(t.q))},t.assert=function(t){},t.mul=function(e,i){if(Array.isArray(i)){for(var s=[],o=0;o<i.length;o++)s[o]=t.mul(e,i[o]);return s}return"x"in i&&"y"in i?t.mulVec2(e,i):"p"in i&&"q"in i?t.mulXf(e,i):void 0},t.mulAll=function(e,i){for(var s=[],o=0;o<i.length;o++)s[o]=t.mul(e,i[o]);return s},t.mulFn=function(e){return function(i){return t.mul(e,i)}},t.mulVec2=function(t,e){var i=t.q.c*e.x-t.q.s*e.y+t.p.x,s=t.q.s*e.x+t.q.c*e.y+t.p.y;return y.neo(i,s)},t.mulXf=function(e,i){var s=t.identity();return s.q=pt.mulRot(e.q,i.q),s.p=y.add(pt.mulVec2(e.q,i.p),e.p),s},t.mulT=function(e,i){return"x"in i&&"y"in i?t.mulTVec2(e,i):"p"in i&&"q"in i?t.mulTXf(e,i):void 0},t.mulTVec2=function(t,e){var i=e.x-t.p.x,s=e.y-t.p.y,o=t.q.c*i+t.q.s*s,n=-t.q.s*i+t.q.c*s;return y.neo(o,n)},t.mulTXf=function(e,i){var s=t.identity();return s.q.setRot(pt.mulTRot(e.q,i.q)),s.p.setVec2(pt.mulTVec2(e.q,y.sub(i.p,e.p))),s},t}(),gt=function(){this.v=y.zero(),this.w=0},bt=Math.sin,At=Math.cos,Bt=function(){function t(){this.c=y.zero(),this.a=0}return t.prototype.getTransform=function(t,e){return t.q.c=At(this.a),t.q.s=bt(this.a),t.p.x=this.c.x-(t.q.c*e.x-t.q.s*e.y),t.p.y=this.c.y-(t.q.s*e.x+t.q.c*e.y),t},t}();function wt(t,e,i,s){return t.q.c=At(s),t.q.s=bt(s),t.p.x=i.x-(t.q.c*e.x-t.q.s*e.y),t.p.y=i.y-(t.q.s*e.x+t.q.c*e.y),t}var Mt=function(){function t(){this.style={},this.appData={}}return t.isValid=function(t){return null!=t&&("string"==typeof t.m_type&&"number"==typeof t.m_radius)},t}(),Ct=new v,Vt=new v,St=k(0,0),It={userData:null,friction:.2,restitution:0,density:0,isSensor:!1,filterGroupIndex:0,filterCategoryBits:1,filterMaskBits:65535},Pt=function(t,e){this.aabb=new v,this.fixture=t,this.childIndex=e,this.proxyId},Tt=function(){function t(t,e,i){this.style={},this.appData={},e.shape?(i=e,e=e.shape):"number"==typeof i&&(i={density:i}),i=o(i,It),this.m_body=t,this.m_friction=i.friction,this.m_restitution=i.restitution,this.m_density=i.density,this.m_isSensor=i.isSensor,this.m_filterGroupIndex=i.filterGroupIndex,this.m_filterCategoryBits=i.filterCategoryBits,this.m_filterMaskBits=i.filterMaskBits,this.m_shape=e,this.m_next=null,this.m_proxies=[],this.m_proxyCount=0;for(var s=this.m_shape.getChildCount(),n=0;n<s;++n)this.m_proxies[n]=new Pt(this,n);this.m_userData=i.userData}return t.prototype._reset=function(){var t=this.getBody(),e=t.m_world.m_broadPhase;this.destroyProxies(e),this.m_shape._reset&&this.m_shape._reset();for(var i=this.m_shape.getChildCount(),s=0;s<i;++s)this.m_proxies[s]=new Pt(this,s);this.createProxies(e,t.m_xf),t.resetMassData()},t.prototype._serialize=function(){return{friction:this.m_friction,restitution:this.m_restitution,density:this.m_density,isSensor:this.m_isSensor,filterGroupIndex:this.m_filterGroupIndex,filterCategoryBits:this.m_filterCategoryBits,filterMaskBits:this.m_filterMaskBits,shape:this.m_shape}},t._deserialize=function(e,i,s){var o=s(Mt,e.shape);return o&&new t(i,o,e)},t.prototype.getType=function(){return this.m_shape.m_type},t.prototype.getShape=function(){return this.m_shape},t.prototype.isSensor=function(){return this.m_isSensor},t.prototype.setSensor=function(t){t!=this.m_isSensor&&(this.m_body.setAwake(!0),this.m_isSensor=t)},t.prototype.getUserData=function(){return this.m_userData},t.prototype.setUserData=function(t){this.m_userData=t},t.prototype.getBody=function(){return this.m_body},t.prototype.getNext=function(){return this.m_next},t.prototype.getDensity=function(){return this.m_density},t.prototype.setDensity=function(t){this.m_density=t},t.prototype.getFriction=function(){return this.m_friction},t.prototype.setFriction=function(t){this.m_friction=t},t.prototype.getRestitution=function(){return this.m_restitution},t.prototype.setRestitution=function(t){this.m_restitution=t},t.prototype.testPoint=function(t){return this.m_shape.testPoint(this.m_body.getTransform(),t)},t.prototype.rayCast=function(t,e,i){return this.m_shape.rayCast(t,e,this.m_body.getTransform(),i)},t.prototype.getMassData=function(t){this.m_shape.computeMass(t,this.m_density)},t.prototype.getAABB=function(t){return this.m_proxies[t].aabb},t.prototype.createProxies=function(t,e){this.m_proxyCount=this.m_shape.getChildCount();for(var i=0;i<this.m_proxyCount;++i){var s=this.m_proxies[i];this.m_shape.computeAABB(s.aabb,e,i),s.proxyId=t.createProxy(s.aabb,s)}},t.prototype.destroyProxies=function(t){for(var e=0;e<this.m_proxyCount;++e){var i=this.m_proxies[e];t.destroyProxy(i.proxyId),i.proxyId=null}this.m_proxyCount=0},t.prototype.synchronize=function(t,e,i){for(var s=0;s<this.m_proxyCount;++s){var o=this.m_proxies[s];this.m_shape.computeAABB(Ct,e,o.childIndex),this.m_shape.computeAABB(Vt,i,o.childIndex),o.aabb.combine(Ct,Vt),E(St,i.p,e.p),t.moveProxy(o.proxyId,o.aabb,St)}},t.prototype.setFilterData=function(t){this.m_filterGroupIndex=t.groupIndex,this.m_filterCategoryBits=t.categoryBits,this.m_filterMaskBits=t.maskBits,this.refilter()},t.prototype.getFilterGroupIndex=function(){return this.m_filterGroupIndex},t.prototype.setFilterGroupIndex=function(t){this.m_filterGroupIndex=t,this.refilter()},t.prototype.getFilterCategoryBits=function(){return this.m_filterCategoryBits},t.prototype.setFilterCategoryBits=function(t){this.m_filterCategoryBits=t,this.refilter()},t.prototype.getFilterMaskBits=function(){return this.m_filterMaskBits},t.prototype.setFilterMaskBits=function(t){this.m_filterMaskBits=t,this.refilter()},t.prototype.refilter=function(){if(null!=this.m_body){for(var t=this.m_body.getContactList();t;){var e=t.contact,i=e.getFixtureA(),s=e.getFixtureB();i!=this&&s!=this||e.flagForFiltering(),t=t.next}var o=this.m_body.getWorld();if(null!=o)for(var n=o.m_broadPhase,r=0;r<this.m_proxyCount;++r)n.touchProxy(this.m_proxies[r].proxyId)}},t.prototype.shouldCollide=function(t){if(t.m_filterGroupIndex===this.m_filterGroupIndex&&0!==t.m_filterGroupIndex)return t.m_filterGroupIndex>0;var e=0!=(t.m_filterMaskBits&this.m_filterCategoryBits),i=0!=(t.m_filterCategoryBits&this.m_filterMaskBits);return e&&i},t}(),zt="static",Ft="kinematic",Lt="dynamic",kt=k(0,0),qt=k(0,0),Nt=k(0,0),jt=k(0,0),Dt=nt(0,0,0),Rt={type:zt,position:y.zero(),angle:0,linearVelocity:y.zero(),angularVelocity:0,linearDamping:0,angularDamping:0,fixedRotation:!1,bullet:!1,gravityScale:1,allowSleep:!0,awake:!0,active:!0,userData:null},Ot=function(){function t(t,e){this.style={},this.appData={},e=o(e,Rt),this.m_world=t,this.m_awakeFlag=e.awake,this.m_autoSleepFlag=e.allowSleep,this.m_bulletFlag=e.bullet,this.m_fixedRotationFlag=e.fixedRotation,this.m_activeFlag=e.active,this.m_islandFlag=!1,this.m_toiFlag=!1,this.m_userData=e.userData,this.m_type=e.type,this.m_type==Lt?(this.m_mass=1,this.m_invMass=1):(this.m_mass=0,this.m_invMass=0),this.m_I=0,this.m_invI=0,this.m_xf=xt.identity(),this.m_xf.p.setVec2(e.position),this.m_xf.q.setAngle(e.angle),this.m_sweep=new vt,this.m_sweep.setTransform(this.m_xf),this.c_velocity=new gt,this.c_position=new Bt,this.m_force=y.zero(),this.m_torque=0,this.m_linearVelocity=y.clone(e.linearVelocity),this.m_angularVelocity=e.angularVelocity,this.m_linearDamping=e.linearDamping,this.m_angularDamping=e.angularDamping,this.m_gravityScale=e.gravityScale,this.m_sleepTime=0,this.m_jointList=null,this.m_contactList=null,this.m_fixtureList=null,this.m_prev=null,this.m_next=null,this.m_destroyed=!1}return t.prototype._serialize=function(){for(var t=[],e=this.m_fixtureList;e;e=e.m_next)t.push(e);return{type:this.m_type,bullet:this.m_bulletFlag,position:this.m_xf.p,angle:this.m_xf.q.getAngle(),linearVelocity:this.m_linearVelocity,angularVelocity:this.m_angularVelocity,fixtures:t}},t._deserialize=function(e,i,s){var o=new t(i,e);if(e.fixtures)for(var n=e.fixtures.length-1;n>=0;n--){var r=s(Tt,e.fixtures[n],o);o._addFixture(r)}return o},t.prototype.isWorldLocked=function(){return!(!this.m_world||!this.m_world.isLocked())},t.prototype.getWorld=function(){return this.m_world},t.prototype.getNext=function(){return this.m_next},t.prototype.setUserData=function(t){this.m_userData=t},t.prototype.getUserData=function(){return this.m_userData},t.prototype.getFixtureList=function(){return this.m_fixtureList},t.prototype.getJointList=function(){return this.m_jointList},t.prototype.getContactList=function(){return this.m_contactList},t.prototype.isStatic=function(){return this.m_type==zt},t.prototype.isDynamic=function(){return this.m_type==Lt},t.prototype.isKinematic=function(){return this.m_type==Ft},t.prototype.setStatic=function(){return this.setType(zt),this},t.prototype.setDynamic=function(){return this.setType(Lt),this},t.prototype.setKinematic=function(){return this.setType(Ft),this},t.prototype.getType=function(){return this.m_type},t.prototype.setType=function(t){if(1!=this.isWorldLocked()&&this.m_type!=t){this.m_type=t,this.resetMassData(),this.m_type==zt&&(this.m_linearVelocity.setZero(),this.m_angularVelocity=0,this.m_sweep.forward(),this.synchronizeFixtures()),this.setAwake(!0),this.m_force.setZero(),this.m_torque=0;for(var e=this.m_contactList;e;){var i=e;e=e.next,this.m_world.destroyContact(i.contact)}this.m_contactList=null;for(var s=this.m_world.m_broadPhase,o=this.m_fixtureList;o;o=o.m_next)for(var n=0;n<o.m_proxyCount;++n)s.touchProxy(o.m_proxies[n].proxyId)}},t.prototype.isBullet=function(){return this.m_bulletFlag},t.prototype.setBullet=function(t){this.m_bulletFlag=!!t},t.prototype.isSleepingAllowed=function(){return this.m_autoSleepFlag},t.prototype.setSleepingAllowed=function(t){this.m_autoSleepFlag=!!t,0==this.m_autoSleepFlag&&this.setAwake(!0)},t.prototype.isAwake=function(){return this.m_awakeFlag},t.prototype.setAwake=function(t){t?(this.m_awakeFlag=!0,this.m_sleepTime=0):(this.m_awakeFlag=!1,this.m_sleepTime=0,this.m_linearVelocity.setZero(),this.m_angularVelocity=0,this.m_force.setZero(),this.m_torque=0)},t.prototype.isActive=function(){return this.m_activeFlag},t.prototype.setActive=function(t){if(t!=this.m_activeFlag)if(this.m_activeFlag=!!t,this.m_activeFlag){for(var e=this.m_world.m_broadPhase,i=this.m_fixtureList;i;i=i.m_next)i.createProxies(e,this.m_xf);this.m_world.m_newFixture=!0}else{for(e=this.m_world.m_broadPhase,i=this.m_fixtureList;i;i=i.m_next)i.destroyProxies(e);for(var s=this.m_contactList;s;){var o=s;s=s.next,this.m_world.destroyContact(o.contact)}this.m_contactList=null}},t.prototype.isFixedRotation=function(){return this.m_fixedRotationFlag},t.prototype.setFixedRotation=function(t){this.m_fixedRotationFlag!=t&&(this.m_fixedRotationFlag=!!t,this.m_angularVelocity=0,this.resetMassData())},t.prototype.getTransform=function(){return this.m_xf},t.prototype.setTransform=function(t,e){if(1!=this.isWorldLocked()){this.m_xf.setNum(t,e),this.m_sweep.setTransform(this.m_xf);for(var i=this.m_world.m_broadPhase,s=this.m_fixtureList;s;s=s.m_next)s.synchronize(i,this.m_xf,this.m_xf);this.setAwake(!0)}},t.prototype.synchronizeTransform=function(){this.m_sweep.getTransform(this.m_xf,1)},t.prototype.synchronizeFixtures=function(){this.m_sweep.getTransform(Dt,0);for(var t=this.m_world.m_broadPhase,e=this.m_fixtureList;e;e=e.m_next)e.synchronize(t,Dt,this.m_xf)},t.prototype.advance=function(t){this.m_sweep.advance(t),N(this.m_sweep.c,this.m_sweep.c0),this.m_sweep.a=this.m_sweep.a0,this.m_sweep.getTransform(this.m_xf,1)},t.prototype.getPosition=function(){return this.m_xf.p},t.prototype.setPosition=function(t){this.setTransform(t,this.m_sweep.a)},t.prototype.getAngle=function(){return this.m_sweep.a},t.prototype.setAngle=function(t){this.setTransform(this.m_xf.p,t)},t.prototype.getWorldCenter=function(){return this.m_sweep.c},t.prototype.getLocalCenter=function(){return this.m_sweep.localCenter},t.prototype.getLinearVelocity=function(){return this.m_linearVelocity},t.prototype.getLinearVelocityFromWorldPoint=function(t){var e=y.sub(t,this.m_sweep.c);return y.add(this.m_linearVelocity,y.crossNumVec2(this.m_angularVelocity,e))},t.prototype.getLinearVelocityFromLocalPoint=function(t){return this.getLinearVelocityFromWorldPoint(this.getWorldPoint(t))},t.prototype.setLinearVelocity=function(t){this.m_type!=zt&&(y.dot(t,t)>0&&this.setAwake(!0),this.m_linearVelocity.setVec2(t))},t.prototype.getAngularVelocity=function(){return this.m_angularVelocity},t.prototype.setAngularVelocity=function(t){this.m_type!=zt&&(t*t>0&&this.setAwake(!0),this.m_angularVelocity=t)},t.prototype.getLinearDamping=function(){return this.m_linearDamping},t.prototype.setLinearDamping=function(t){this.m_linearDamping=t},t.prototype.getAngularDamping=function(){return this.m_angularDamping},t.prototype.setAngularDamping=function(t){this.m_angularDamping=t},t.prototype.getGravityScale=function(){return this.m_gravityScale},t.prototype.setGravityScale=function(t){this.m_gravityScale=t},t.prototype.getMass=function(){return this.m_mass},t.prototype.getInertia=function(){return this.m_I+this.m_mass*y.dot(this.m_sweep.localCenter,this.m_sweep.localCenter)},t.prototype.getMassData=function(t){t.mass=this.m_mass,t.I=this.getInertia(),N(t.center,this.m_sweep.localCenter)},t.prototype.resetMassData=function(){if(this.m_mass=0,this.m_invMass=0,this.m_I=0,this.m_invI=0,j(this.m_sweep.localCenter),this.isStatic()||this.isKinematic())return N(this.m_sweep.c0,this.m_xf.p),N(this.m_sweep.c,this.m_xf.p),void(this.m_sweep.a0=this.m_sweep.a);j(qt);for(var t=this.m_fixtureList;t;t=t.m_next)if(0!=t.m_density){var e={mass:0,center:k(0,0),I:0};t.getMassData(e),this.m_mass+=e.mass,J(qt,e.mass,e.center),this.m_I+=e.I}this.m_mass>0?(this.m_invMass=1/this.m_mass,W(qt,this.m_invMass,qt)):(this.m_mass=1,this.m_invMass=1),this.m_I>0&&0==this.m_fixedRotationFlag?(this.m_I-=this.m_mass*$(qt,qt),this.m_invI=1/this.m_I):(this.m_I=0,this.m_invI=0),N(kt,this.m_sweep.c),this.m_sweep.setLocalCenter(qt,this.m_xf),E(Nt,this.m_sweep.c,kt),G(jt,this.m_angularVelocity,Nt),R(this.m_linearVelocity,jt)},t.prototype.setMassData=function(t){1!=this.isWorldLocked()&&this.m_type==Lt&&(this.m_invMass=0,this.m_I=0,this.m_invI=0,this.m_mass=t.mass,this.m_mass<=0&&(this.m_mass=1),this.m_invMass=1/this.m_mass,t.I>0&&0==this.m_fixedRotationFlag&&(this.m_I=t.I-this.m_mass*$(t.center,t.center),this.m_invI=1/this.m_I),N(kt,this.m_sweep.c),this.m_sweep.setLocalCenter(t.center,this.m_xf),E(Nt,this.m_sweep.c,kt),G(jt,this.m_angularVelocity,Nt),R(this.m_linearVelocity,jt))},t.prototype.applyForce=function(t,e,i){void 0===i&&(i=!0),this.m_type==Lt&&(i&&0==this.m_awakeFlag&&this.setAwake(!0),this.m_awakeFlag&&(this.m_force.add(t),this.m_torque+=y.crossVec2Vec2(y.sub(e,this.m_sweep.c),t)))},t.prototype.applyForceToCenter=function(t,e){void 0===e&&(e=!0),this.m_type==Lt&&(e&&0==this.m_awakeFlag&&this.setAwake(!0),this.m_awakeFlag&&this.m_force.add(t))},t.prototype.applyTorque=function(t,e){void 0===e&&(e=!0),this.m_type==Lt&&(e&&0==this.m_awakeFlag&&this.setAwake(!0),this.m_awakeFlag&&(this.m_torque+=t))},t.prototype.applyLinearImpulse=function(t,e,i){void 0===i&&(i=!0),this.m_type==Lt&&(i&&0==this.m_awakeFlag&&this.setAwake(!0),this.m_awakeFlag&&(this.m_linearVelocity.addMul(this.m_invMass,t),this.m_angularVelocity+=this.m_invI*y.crossVec2Vec2(y.sub(e,this.m_sweep.c),t)))},t.prototype.applyAngularImpulse=function(t,e){void 0===e&&(e=!0),this.m_type==Lt&&(e&&0==this.m_awakeFlag&&this.setAwake(!0),this.m_awakeFlag&&(this.m_angularVelocity+=this.m_invI*t))},t.prototype.shouldCollide=function(t){if(this.m_type!=Lt&&t.m_type!=Lt)return!1;for(var e=this.m_jointList;e;e=e.next)if(e.other==t&&0==e.joint.m_collideConnected)return!1;return!0},t.prototype._addFixture=function(t){if(1==this.isWorldLocked())return null;if(this.m_activeFlag){var e=this.m_world.m_broadPhase;t.createProxies(e,this.m_xf)}return t.m_next=this.m_fixtureList,this.m_fixtureList=t,t.m_density>0&&this.resetMassData(),this.m_world.m_newFixture=!0,t},t.prototype.createFixture=function(t,e){if(1==this.isWorldLocked())return null;var i=new Tt(this,t,e);return this._addFixture(i),i},t.prototype.destroyFixture=function(t){if(1!=this.isWorldLocked()){if(this.m_fixtureList===t)this.m_fixtureList=t.m_next;else for(var e=this.m_fixtureList;null!=e;){if(e.m_next===t){e.m_next=t.m_next;break}e=e.m_next}for(var i=this.m_contactList;i;){var s=i.contact;i=i.next;var o=s.getFixtureA(),n=s.getFixtureB();t!=o&&t!=n||this.m_world.destroyContact(s)}if(this.m_activeFlag){var r=this.m_world.m_broadPhase;t.destroyProxies(r)}t.m_body=null,t.m_next=null,this.m_world.publish("remove-fixture",t),this.resetMassData()}},t.prototype.getWorldPoint=function(t){return xt.mulVec2(this.m_xf,t)},t.prototype.getWorldVector=function(t){return pt.mulVec2(this.m_xf.q,t)},t.prototype.getLocalPoint=function(t){return xt.mulTVec2(this.m_xf,t)},t.prototype.getLocalVector=function(t){return pt.mulTVec2(this.m_xf.q,t)},t.STATIC="static",t.KINEMATIC="kinematic",t.DYNAMIC="dynamic",t}(),Et=function(){this.other=null,this.joint=null,this.prev=null,this.next=null},Yt=function(){function t(t,e,i){this.m_type="unknown-joint",this.m_prev=null,this.m_next=null,this.m_edgeA=new Et,this.m_edgeB=new Et,this.m_islandFlag=!1,this.style={},this.appData={},e="bodyA"in t?t.bodyA:e,i="bodyB"in t?t.bodyB:i,this.m_bodyA=e,this.m_bodyB=i,this.m_collideConnected=!!t.collideConnected,this.m_userData=t.userData}return t.prototype.isActive=function(){return this.m_bodyA.isActive()&&this.m_bodyB.isActive()},t.prototype.getType=function(){return this.m_type},t.prototype.getBodyA=function(){return this.m_bodyA},t.prototype.getBodyB=function(){return this.m_bodyB},t.prototype.getNext=function(){return this.m_next},t.prototype.getUserData=function(){return this.m_userData},t.prototype.setUserData=function(t){this.m_userData=t},t.prototype.getCollideConnected=function(){return this.m_collideConnected},t.prototype.shiftOrigin=function(t){},t.prototype._resetAnchors=function(t){return this._reset(t)},t}(),Wt={gjkCalls:0,gjkIters:0,gjkMaxIters:0,toiTime:0,toiMaxTime:0,toiCalls:0,toiIters:0,toiMaxIters:0,toiRootIters:0,toiMaxRootIters:0,toString:function(t){t="string"==typeof t?t:"\n";var e="";for(var i in this)"function"!=typeof this[i]&&"object"!=typeof this[i]&&(e+=i+": "+this[i]+t);return e}},Jt=function(){return Date.now()},Ht=function(t){return Date.now()-t},Xt=Math.max,Ut=k(0,0),Kt=k(0,0),Zt=k(0,0),Gt=k(0,0),Qt=k(0,0),$t=k(0,0),te=k(0,0);Wt.gjkCalls=0,Wt.gjkIters=0,Wt.gjkMaxIters=0;var ee=function(){function t(){this.proxyA=new ne,this.proxyB=new ne,this.transformA=xt.identity(),this.transformB=xt.identity(),this.useRadii=!1}return t.prototype.recycle=function(){this.proxyA.recycle(),this.proxyB.recycle(),this.transformA.setIdentity(),this.transformB.setIdentity(),this.useRadii=!1},t}(),ie=function(){function t(){this.pointA=k(0,0),this.pointB=k(0,0),this.distance=0,this.iterations=0}return t.prototype.recycle=function(){j(this.pointA),j(this.pointB),this.distance=0,this.iterations=0},t}(),se=function(){function t(){this.metric=0,this.indexA=[],this.indexB=[],this.count=0}return t.prototype.recycle=function(){this.metric=0,this.indexA.length=0,this.indexB.length=0,this.count=0},t}(),oe=function(t,e,i){++Wt.gjkCalls;var s=i.proxyA,o=i.proxyB,n=i.transformA,a=i.transformB;ce.recycle(),ce.readCache(e,s,n,o,a);for(var h=ce.m_v,m=b.maxDistanceIterations,c=[],l=[],_=0,u=0;u<m;){_=ce.m_count;for(var p=0;p<_;++p)c[p]=h[p].indexA,l[p]=h[p].indexB;if(ce.solve(),3===ce.m_count)break;var y=ce.getSearchDirection();if(tt(y)<1e-18)break;var d=h[ce.m_count];d.indexA=s.getSupport(ot(Ut,n.q,W(Ut,-1,y))),at(d.wA,n,s.getVertex(d.indexA)),d.indexB=o.getSupport(ot(Ut,a.q,y)),at(d.wB,a,o.getVertex(d.indexB)),E(d.w,d.wB,d.wA),++u,++Wt.gjkIters;var f=!1;for(p=0;p<_;++p)if(d.indexA===c[p]&&d.indexB===l[p]){f=!0;break}if(f)break;++ce.m_count}if(Wt.gjkMaxIters=Xt(Wt.gjkMaxIters,u),ce.getWitnessPoints(t.pointA,t.pointB),t.distance=et(t.pointA,t.pointB),t.iterations=u,ce.writeCache(e),i.useRadii){var v=s.m_radius,x=o.m_radius;if(t.distance>v+x&&t.distance>r)t.distance-=v+x,E(Kt,t.pointB,t.pointA),K(Kt),J(t.pointA,v,Kt),H(t.pointB,x,Kt);else{var g=E(Ut,t.pointA,t.pointB);N(t.pointA,g),N(t.pointB,g),t.distance=0}}},ne=function(){function t(){this.m_vertices=[],this.m_count=0,this.m_radius=0}return t.prototype.recycle=function(){this.m_vertices.length=0,this.m_count=0,this.m_radius=0},t.prototype.getVertexCount=function(){return this.m_count},t.prototype.getVertex=function(t){return this.m_vertices[t]},t.prototype.getSupport=function(t){for(var e=-1,i=-1/0,s=0;s<this.m_count;++s){var o=$(this.m_vertices[s],t);o>i&&(e=s,i=o)}return e},t.prototype.getSupportVertex=function(t){return this.m_vertices[this.getSupport(t)]},t.prototype.set=function(t,e){t.computeDistanceProxy(this,e)},t.prototype.setVertices=function(t,e,i){this.m_vertices=t,this.m_count=e,this.m_radius=i},t}(),re=function(){function t(){this.wA=k(0,0),this.indexA=0,this.wB=k(0,0),this.indexB=0,this.w=k(0,0),this.a=0}return t.prototype.recycle=function(){this.indexA=0,this.indexB=0,j(this.wA),j(this.wB),j(this.w),this.a=0},t.prototype.set=function(t){this.indexA=t.indexA,this.indexB=t.indexB,N(this.wA,t.wA),N(this.wB,t.wB),N(this.w,t.w),this.a=t.a},t}(),ae=k(0,0),he=k(0,0),me=function(){function t(){this.m_v1=new re,this.m_v2=new re,this.m_v3=new re,this.m_v=[this.m_v1,this.m_v2,this.m_v3]}return t.prototype.recycle=function(){this.m_v1.recycle(),this.m_v2.recycle(),this.m_v3.recycle(),this.m_count=0},t.prototype.toString=function(){return 3===this.m_count?["+"+this.m_count,this.m_v1.a,this.m_v1.wA.x,this.m_v1.wA.y,this.m_v1.wB.x,this.m_v1.wB.y,this.m_v2.a,this.m_v2.wA.x,this.m_v2.wA.y,this.m_v2.wB.x,this.m_v2.wB.y,this.m_v3.a,this.m_v3.wA.x,this.m_v3.wA.y,this.m_v3.wB.x,this.m_v3.wB.y].toString():2===this.m_count?["+"+this.m_count,this.m_v1.a,this.m_v1.wA.x,this.m_v1.wA.y,this.m_v1.wB.x,this.m_v1.wB.y,this.m_v2.a,this.m_v2.wA.x,this.m_v2.wA.y,this.m_v2.wB.x,this.m_v2.wB.y].toString():1===this.m_count?["+"+this.m_count,this.m_v1.a,this.m_v1.wA.x,this.m_v1.wA.y,this.m_v1.wB.x,this.m_v1.wB.y].toString():"+"+this.m_count},t.prototype.readCache=function(t,e,i,s,o){this.m_count=t.count;for(var n=0;n<this.m_count;++n){(l=this.m_v[n]).indexA=t.indexA[n],l.indexB=t.indexB[n];var a=e.getVertex(l.indexA),h=s.getVertex(l.indexB);at(l.wA,i,a),at(l.wB,o,h),E(l.w,l.wB,l.wA),l.a=0}if(this.m_count>1){var m=t.metric,c=this.getMetric();(c<.5*m||2*m<c||c<r)&&(this.m_count=0)}if(0===this.m_count){var l;(l=this.m_v[0]).indexA=0,l.indexB=0;a=e.getVertex(0),h=s.getVertex(0);at(l.wA,i,a),at(l.wB,o,h),E(l.w,l.wB,l.wA),l.a=1,this.m_count=1}},t.prototype.writeCache=function(t){t.metric=this.getMetric(),t.count=this.m_count;for(var e=0;e<this.m_count;++e)t.indexA[e]=this.m_v[e].indexA,t.indexB[e]=this.m_v[e].indexB},t.prototype.getSearchDirection=function(){var t=this.m_v1,e=this.m_v2;switch(this.m_v3,this.m_count){case 1:return q(ae,-t.w.x,-t.w.y);case 2:return E(Zt,e.w,t.w),-Q(Zt,t.w)>0?q(ae,-Zt.y,Zt.x):q(ae,Zt.y,-Zt.x);default:return j(ae)}},t.prototype.getClosestPoint=function(){var t=this.m_v1,e=this.m_v2;switch(this.m_v3,this.m_count){case 0:return j(he);case 1:return N(he,t.w);case 2:return X(he,t.a,t.w,e.a,e.w);case 3:default:return j(he)}},t.prototype.getWitnessPoints=function(t,e){var i=this.m_v1,s=this.m_v2,o=this.m_v3;switch(this.m_count){case 0:break;case 1:N(t,i.wA),N(e,i.wB);break;case 2:X(t,i.a,i.wA,s.a,s.wA),X(e,i.a,i.wB,s.a,s.wB);break;case 3:U(t,i.a,i.wA,s.a,s.wA,o.a,o.wA),N(e,t)}},t.prototype.getMetric=function(){switch(this.m_count){case 0:case 1:return 0;case 2:return et(this.m_v1.w,this.m_v2.w);case 3:return Q(E($t,this.m_v2.w,this.m_v1.w),E(te,this.m_v3.w,this.m_v1.w));default:return 0}},t.prototype.solve=function(){switch(this.m_count){case 1:break;case 2:this.solve2();break;case 3:this.solve3()}},t.prototype.solve2=function(){var t=this.m_v1.w,e=this.m_v2.w;E(Zt,e,t);var i=-$(t,Zt);if(i<=0)return this.m_v1.a=1,void(this.m_count=1);var s=$(e,Zt);if(s<=0)return this.m_v2.a=1,this.m_count=1,void this.m_v1.set(this.m_v2);var o=1/(s+i);this.m_v1.a=s*o,this.m_v2.a=i*o,this.m_count=2},t.prototype.solve3=function(){var t=this.m_v1.w,e=this.m_v2.w,i=this.m_v3.w;E(Zt,e,t);var s=$(t,Zt),o=$(e,Zt),n=-s;E(Gt,i,t);var r=$(t,Gt),a=$(i,Gt),h=-r;E(Qt,i,e);var m=$(e,Qt),c=$(i,Qt),l=-m,_=Q(Zt,Gt),u=_*Q(e,i),p=_*Q(i,t),y=_*Q(t,e);if(n<=0&&h<=0)return this.m_v1.a=1,void(this.m_count=1);if(o>0&&n>0&&y<=0){var d=1/(o+n);return this.m_v1.a=o*d,this.m_v2.a=n*d,void(this.m_count=2)}if(a>0&&h>0&&p<=0){var f=1/(a+h);return this.m_v1.a=a*f,this.m_v3.a=h*f,this.m_count=2,void this.m_v2.set(this.m_v3)}if(o<=0&&l<=0)return this.m_v2.a=1,this.m_count=1,void this.m_v1.set(this.m_v2);if(a<=0&&c<=0)return this.m_v3.a=1,this.m_count=1,void this.m_v1.set(this.m_v3);if(c>0&&l>0&&u<=0){var v=1/(c+l);return this.m_v2.a=c*v,this.m_v3.a=l*v,this.m_count=2,void this.m_v1.set(this.m_v3)}var x=1/(u+p+y);this.m_v1.a=u*x,this.m_v2.a=p*x,this.m_v3.a=y*x,this.m_count=3},t}(),ce=new me,le=new ee,_e=new se,ue=new ie,pe=function(t,e,i,s,o,n){return le.recycle(),le.proxyA.set(t,e),le.proxyB.set(i,s),rt(le.transformA,o),rt(le.transformB,n),le.useRadii=!0,ue.recycle(),_e.recycle(),oe(ue,_e,le),ue.distance<1e-8};oe.testOverlap=pe,oe.Input=ee,oe.Output=ie,oe.Proxy=ne,oe.Cache=se;var ye,de=function(){function t(){this.proxyA=new ne,this.proxyB=new ne,this.transformA=xt.identity(),this.transformB=xt.identity(),this.translationB=y.zero()}return t.prototype.recycle=function(){this.proxyA.recycle(),this.proxyB.recycle(),this.transformA.setIdentity(),this.transformB.setIdentity(),j(this.translationB)},t}(),fe=function(){this.point=y.zero(),this.normal=y.zero(),this.lambda=1,this.iterations=0},ve=function(t,e){t.iterations=0,t.lambda=1,t.normal.setZero(),t.point.setZero();var i=e.proxyA,s=e.proxyB,o=Xt(i.m_radius,b.polygonRadius),n=o+Xt(s.m_radius,b.polygonRadius),r=e.transformA,a=e.transformB,h=e.translationB,m=y.zero(),c=0,l=new me;l.m_count=0;for(var _=l.m_v,u=i.getSupport(pt.mulTVec2(r.q,y.neg(h))),p=xt.mulVec2(r,i.getVertex(u)),d=s.getSupport(pt.mulTVec2(a.q,h)),f=xt.mulVec2(a,s.getVertex(d)),v=y.sub(p,f),x=Xt(b.polygonRadius,n-b.polygonRadius),g=.5*b.linearSlop,A=0;A<20&&v.length()-x>g;){t.iterations+=1,u=i.getSupport(pt.mulTVec2(r.q,y.neg(v))),p=xt.mulVec2(r,i.getVertex(u)),d=s.getSupport(pt.mulTVec2(a.q,v)),f=xt.mulVec2(a,s.getVertex(d));var B=y.sub(p,f);v.normalize();var w=y.dot(v,B),M=y.dot(v,h);if(w-x>c*M){if(M<=0)return!1;if((c=(w-x)/M)>1)return!1;m.setMul(-1,v),l.m_count=0}var C=_[l.m_count];switch(C.indexA=d,C.wA=y.combine(1,f,c,h),C.indexB=u,C.wB=p,C.w=y.sub(C.wB,C.wA),C.a=1,l.m_count+=1,l.m_count){case 1:break;case 2:l.solve2();break;case 3:l.solve3()}if(3==l.m_count)return!1;v.setVec2(l.getClosestPoint()),++A}if(0==A)return!1;var V=y.zero(),S=y.zero();return l.getWitnessPoints(S,V),v.lengthSquared()>0&&(m.setMul(-1,v),m.normalize()),t.point=y.combine(1,V,o,m),t.normal=m,t.lambda=c,t.iterations=A,!0},xe=Math.abs,ge=Math.max,be=function(){function t(){this.proxyA=new ne,this.proxyB=new ne,this.sweepA=new vt,this.sweepB=new vt}return t.prototype.recycle=function(){this.proxyA.recycle(),this.proxyB.recycle(),this.sweepA.recycle(),this.sweepB.recycle(),this.tMax=-1},t}();t.TOIOutputState=void 0,(ye=t.TOIOutputState||(t.TOIOutputState={}))[ye.e_unset=-1]="e_unset",ye[ye.e_unknown=0]="e_unknown",ye[ye.e_failed=1]="e_failed",ye[ye.e_overlapped=2]="e_overlapped",ye[ye.e_touching=3]="e_touching",ye[ye.e_separated=4]="e_separated";var Ae=function(){function e(){this.state=t.TOIOutputState.e_unset,this.t=-1}return e.prototype.recycle=function(){this.state=t.TOIOutputState.e_unset,this.t=-1},e}();Wt.toiTime=0,Wt.toiMaxTime=0,Wt.toiCalls=0,Wt.toiIters=0,Wt.toiMaxIters=0,Wt.toiRootIters=0,Wt.toiMaxRootIters=0;var Be,we=new ee,Me=new ie,Ce=new se,Ve=nt(0,0,0),Se=nt(0,0,0),Ie=k(0,0),Pe=k(0,0),Te=k(0,0),ze=k(0,0),Fe=k(0,0),Le=k(0,0),ke=k(0,0),qe=k(0,0),Ne=function(e,i){var s=Jt();++Wt.toiCalls,e.state=t.TOIOutputState.e_unknown,e.t=i.tMax;var o=i.proxyA,n=i.proxyB,r=i.sweepA,a=i.sweepB;r.normalize(),a.normalize();var h=i.tMax,m=o.m_radius+n.m_radius,c=ge(b.linearSlop,m-3*b.linearSlop),l=.25*b.linearSlop,_=0,u=b.maxTOIIterations,p=0;for(Ce.recycle(),we.proxyA.setVertices(o.m_vertices,o.m_count,o.m_radius),we.proxyB.setVertices(n.m_vertices,n.m_count,n.m_radius),we.useRadii=!1;;){if(r.getTransform(Ve,_),a.getTransform(Se,_),rt(we.transformA,Ve),rt(we.transformB,Se),oe(Me,Ce,we),Me.distance<=0){e.state=t.TOIOutputState.e_overlapped,e.t=0;break}if(Me.distance<c+l){e.state=t.TOIOutputState.e_touching,e.t=_;break}je.initialize(Ce,o,r,n,a,_);for(var y=!1,d=h,f=0;;){var v=je.findMinSeparation(d);if(v>c+l){e.state=t.TOIOutputState.e_separated,e.t=h,y=!0;break}if(v>c-l){_=d;break}var x=je.evaluate(_);if(x<c-l){e.state=t.TOIOutputState.e_failed,e.t=_,y=!0;break}if(x<=c+l){e.state=t.TOIOutputState.e_touching,e.t=_,y=!0;break}for(var g=0,A=_,B=d;;){var w=void 0;w=1&g?A+(c-x)*(B-A)/(v-x):.5*(A+B),++g,++Wt.toiRootIters;var M=je.evaluate(w);if(xe(M-c)<l){d=w;break}if(M>c?(A=w,x=M):(B=w,v=M),50===g)break}if(Wt.toiMaxRootIters=ge(Wt.toiMaxRootIters,g),++f===b.maxPolygonVertices)break}if(++p,++Wt.toiIters,y)break;if(p===u){e.state=t.TOIOutputState.e_failed,e.t=_;break}}Wt.toiMaxIters=ge(Wt.toiMaxIters,p);var C=Ht(s);Wt.toiMaxTime=ge(Wt.toiMaxTime,C),Wt.toiTime+=C,je.recycle()};!function(t){t[t.e_unset=-1]="e_unset",t[t.e_points=1]="e_points",t[t.e_faceA=2]="e_faceA",t[t.e_faceB=3]="e_faceB"}(Be||(Be={}));var je=new(function(){function t(){this.m_proxyA=null,this.m_proxyB=null,this.m_sweepA=null,this.m_sweepB=null,this.m_type=Be.e_unset,this.m_localPoint=k(0,0),this.m_axis=k(0,0),this.indexA=-1,this.indexB=-1}return t.prototype.recycle=function(){this.m_proxyA=null,this.m_proxyB=null,this.m_sweepA=null,this.m_sweepB=null,this.m_type=Be.e_unset,j(this.m_localPoint),j(this.m_axis),this.indexA=-1,this.indexB=-1},t.prototype.initialize=function(t,e,i,s,o,n){var r=t.count;if(this.m_proxyA=e,this.m_proxyB=s,this.m_sweepA=i,this.m_sweepB=o,this.m_sweepA.getTransform(Ve,n),this.m_sweepB.getTransform(Se,n),1===r){this.m_type=Be.e_points;var a=this.m_proxyA.getVertex(t.indexA[0]),h=this.m_proxyB.getVertex(t.indexB[0]);return at(Pe,Ve,a),at(Te,Se,h),E(this.m_axis,Te,Pe),p=function(t){var e=L(t.x*t.x+t.y*t.y);if(0!==e){var i=1/e;t.x*=i,t.y*=i}return e}(this.m_axis)}if(t.indexA[0]===t.indexA[1]){this.m_type=Be.e_faceB;var m=s.getVertex(t.indexB[0]),c=s.getVertex(t.indexB[1]);Z(this.m_axis,E(Ie,c,m),1),K(this.m_axis),st(ze,Se.q,this.m_axis),X(this.m_localPoint,.5,m,.5,c),at(Te,Se,this.m_localPoint);var l=e.getVertex(t.indexA[0]);return(p=$(xt.mulVec2(Ve,l),ze)-$(Te,ze))<0&&(D(this.m_axis),p=-p),p}this.m_type=Be.e_faceA;var _=this.m_proxyA.getVertex(t.indexA[0]),u=this.m_proxyA.getVertex(t.indexA[1]);Z(this.m_axis,E(Ie,u,_),1),K(this.m_axis),st(ze,Ve.q,this.m_axis),X(this.m_localPoint,.5,_,.5,u),at(Pe,Ve,this.m_localPoint);var p,y=this.m_proxyB.getVertex(t.indexB[0]);return at(Te,Se,y),(p=$(Te,ze)-$(Pe,ze))<0&&(D(this.m_axis),p=-p),p},t.prototype.compute=function(t,e){switch(this.m_sweepA.getTransform(Ve,e),this.m_sweepB.getTransform(Se,e),this.m_type){case Be.e_points:return t&&(ot(Fe,Ve.q,this.m_axis),ot(Le,Se.q,W(Ie,-1,this.m_axis)),this.indexA=this.m_proxyA.getSupport(Fe),this.indexB=this.m_proxyB.getSupport(Le)),N(ke,this.m_proxyA.getVertex(this.indexA)),N(qe,this.m_proxyB.getVertex(this.indexB)),at(Pe,Ve,ke),at(Te,Se,qe),$(Te,this.m_axis)-$(Pe,this.m_axis);case Be.e_faceA:return st(ze,Ve.q,this.m_axis),at(Pe,Ve,this.m_localPoint),t&&(ot(Le,Se.q,W(Ie,-1,ze)),this.indexA=-1,this.indexB=this.m_proxyB.getSupport(Le)),N(qe,this.m_proxyB.getVertex(this.indexB)),at(Te,Se,qe),$(Te,ze)-$(Pe,ze);case Be.e_faceB:return st(ze,Se.q,this.m_axis),at(Te,Se,this.m_localPoint),t&&(ot(Fe,Ve.q,W(Ie,-1,ze)),this.indexB=-1,this.indexA=this.m_proxyA.getSupport(Fe)),N(ke,this.m_proxyA.getVertex(this.indexA)),at(Pe,Ve,ke),$(Pe,ze)-$(Te,ze);default:return t&&(this.indexA=-1,this.indexB=-1),0}},t.prototype.findMinSeparation=function(t){return this.compute(!0,t)},t.prototype.evaluate=function(t){return this.compute(!1,t)},t}());Ne.Input=be,Ne.Output=Ae;var De=Math.abs,Re=Math.sqrt,Oe=Math.min,Ee=function(){function t(){this.dt=0,this.inv_dt=0,this.velocityIterations=0,this.positionIterations=0,this.warmStarting=!1,this.blockSolve=!0,this.inv_dt0=0,this.dtRatio=1}return t.prototype.reset=function(t){this.dt>0&&(this.inv_dt0=this.inv_dt),this.dt=t,this.inv_dt=0==t?0:1/t,this.dtRatio=t*this.inv_dt0},t}(),Ye=new Ee,We=k(0,0),Je=k(0,0),He=k(0,0),Xe=new be,Ue=new Ae,Ke=new vt,Ze=new vt,Ge=new vt,Qe=function(){function t(t){this.contact=t,this.normals=[],this.tangents=[]}return t.prototype.recycle=function(){this.normals.length=0,this.tangents.length=0},Object.defineProperty(t.prototype,"normalImpulses",{get:function(){var t=this.contact,e=this.normals;e.length=0;for(var i=0;i<t.v_points.length;++i)e.push(t.v_points[i].normalImpulse);return e},enumerable:!1,configurable:!0}),Object.defineProperty(t.prototype,"tangentImpulses",{get:function(){var t=this.contact,e=this.tangents;e.length=0;for(var i=0;i<t.v_points.length;++i)e.push(t.v_points[i].tangentImpulse);return e},enumerable:!1,configurable:!0}),t}(),$e=function(){function e(t){this.m_world=t,this.m_stack=[],this.m_bodies=[],this.m_contacts=[],this.m_joints=[]}return e.prototype.clear=function(){this.m_stack.length=0,this.m_bodies.length=0,this.m_contacts.length=0,this.m_joints.length=0},e.prototype.addBody=function(t){this.m_bodies.push(t)},e.prototype.addContact=function(t){this.m_contacts.push(t)},e.prototype.addJoint=function(t){this.m_joints.push(t)},e.prototype.solveWorld=function(t){for(var e=this.m_world,i=e.m_bodyList;i;i=i.m_next)i.m_islandFlag=!1;for(var s=e.m_contactList;s;s=s.m_next)s.m_islandFlag=!1;for(var o=e.m_jointList;o;o=o.m_next)o.m_islandFlag=!1;for(var n=this.m_stack,r=e.m_bodyList;r;r=r.m_next)if(!r.m_islandFlag&&0!=r.isAwake()&&0!=r.isActive()&&!r.isStatic()){for(this.clear(),n.push(r),r.m_islandFlag=!0;n.length>0;){i=n.pop();if(this.addBody(i),i.m_awakeFlag=!0,!i.isStatic()){for(var a=i.m_contactList;a;a=a.next){var h=a.contact;if(!h.m_islandFlag&&(0!=h.isEnabled()&&0!=h.isTouching())){var m=h.m_fixtureA.m_isSensor,c=h.m_fixtureB.m_isSensor;if(!m&&!c)this.addContact(h),h.m_islandFlag=!0,(_=a.other).m_islandFlag||(n.push(_),_.m_islandFlag=!0)}}for(var l=i.m_jointList;l;l=l.next){var _;if(1!=l.joint.m_islandFlag)0!=(_=l.other).isActive()&&(this.addJoint(l.joint),l.joint.m_islandFlag=!0,_.m_islandFlag||(n.push(_),_.m_islandFlag=!0))}}}this.solveIsland(t);for(var u=0;u<this.m_bodies.length;++u){(i=this.m_bodies[u]).isStatic()&&(i.m_islandFlag=!1)}}},e.prototype.solveIsland=function(t){for(var e=this.m_world,i=e.m_gravity,s=e.m_allowSleep,o=t.dt,n=0;n<this.m_bodies.length;++n){var r=this.m_bodies[n];N(We,r.m_sweep.c);var a=r.m_sweep.a;N(Je,r.m_linearVelocity);var h=r.m_angularVelocity;N(r.m_sweep.c0,r.m_sweep.c),r.m_sweep.a0=r.m_sweep.a,r.isDynamic()&&(J(Je,o*r.m_gravityScale,i),J(Je,o*r.m_invMass,r.m_force),h+=o*r.m_invI*r.m_torque,W(Je,1/(1+o*r.m_linearDamping),Je),h*=1/(1+o*r.m_angularDamping)),N(r.c_position.c,We),r.c_position.a=a,N(r.c_velocity.v,Je),r.c_velocity.w=h}for(n=0;n<this.m_contacts.length;++n){this.m_contacts[n].initConstraint(t)}for(n=0;n<this.m_contacts.length;++n){this.m_contacts[n].initVelocityConstraint(t)}if(t.warmStarting)for(n=0;n<this.m_contacts.length;++n){this.m_contacts[n].warmStartConstraint(t)}for(n=0;n<this.m_joints.length;++n){this.m_joints[n].initVelocityConstraints(t)}for(n=0;n<t.velocityIterations;++n){for(var m=0;m<this.m_joints.length;++m){this.m_joints[m].solveVelocityConstraints(t)}for(m=0;m<this.m_contacts.length;++m){this.m_contacts[m].solveVelocityConstraint(t)}}for(n=0;n<this.m_contacts.length;++n){this.m_contacts[n].storeConstraintImpulses(t)}for(n=0;n<this.m_bodies.length;++n){r=this.m_bodies[n];N(We,r.c_position.c);a=r.c_position.a;N(Je,r.c_velocity.v);h=r.c_velocity.w;W(He,o,Je);var c=tt(He);if(c>b.maxTranslationSquared){var l=b.maxTranslation/Re(c);Y(Je,l)}var _=o*h;if(_*_>b.maxRotationSquared)h*=l=b.maxRotation/De(_);J(We,o,Je),a+=o*h,N(r.c_position.c,We),r.c_position.a=a,N(r.c_velocity.v,Je),r.c_velocity.w=h}var u=!1;for(n=0;n<t.positionIterations;++n){var p=0;for(m=0;m<this.m_contacts.length;++m){var y=this.m_contacts[m].solvePositionConstraint(t);p=Oe(p,y)}var d=p>=-3*b.linearSlop,f=!0;for(m=0;m<this.m_joints.length;++m){var v=this.m_joints[m].solvePositionConstraints(t);f=f&&v}if(d&&f){u=!0;break}}for(n=0;n<this.m_bodies.length;++n){N((r=this.m_bodies[n]).m_sweep.c,r.c_position.c),r.m_sweep.a=r.c_position.a,N(r.m_linearVelocity,r.c_velocity.v),r.m_angularVelocity=r.c_velocity.w,r.synchronizeTransform()}if(this.postSolveIsland(),s){var x=1/0,g=b.linearSleepToleranceSqr,A=b.angularSleepToleranceSqr;for(n=0;n<this.m_bodies.length;++n){(r=this.m_bodies[n]).isStatic()||(0==r.m_autoSleepFlag||r.m_angularVelocity*r.m_angularVelocity>A||tt(r.m_linearVelocity)>g?(r.m_sleepTime=0,x=0):(r.m_sleepTime+=o,x=Oe(x,r.m_sleepTime)))}if(x>=b.timeToSleep&&u)for(n=0;n<this.m_bodies.length;++n){(r=this.m_bodies[n]).setAwake(!1)}}},e.prototype.solveWorldTOI=function(e){var i=this.m_world;if(i.m_stepComplete){for(var s=i.m_bodyList;s;s=s.m_next)s.m_islandFlag=!1,s.m_sweep.alpha0=0;for(var o=i.m_contactList;o;o=o.m_next)o.m_toiFlag=!1,o.m_islandFlag=!1,o.m_toiCount=0,o.m_toi=1}for(;;){for(var n=null,r=1,a=i.m_contactList;a;a=a.m_next)if(0!=a.isEnabled()&&!(a.m_toiCount>b.maxSubSteps)){var h=1;if(a.m_toiFlag)h=a.m_toi;else{var m=a.getFixtureA(),c=a.getFixtureB();if(m.isSensor()||c.isSensor())continue;var l=m.getBody(),_=c.getBody(),u=l.isAwake()&&!l.isStatic(),p=_.isAwake()&&!_.isStatic();if(0==u&&0==p)continue;var y=l.isBullet()||!l.isDynamic(),d=_.isBullet()||!_.isDynamic();if(0==y&&0==d)continue;var f=l.m_sweep.alpha0;l.m_sweep.alpha0<_.m_sweep.alpha0?(f=_.m_sweep.alpha0,l.m_sweep.advance(f)):_.m_sweep.alpha0<l.m_sweep.alpha0&&(f=l.m_sweep.alpha0,_.m_sweep.advance(f));var v=a.getChildIndexA(),x=a.getChildIndexB();l.m_sweep,_.m_sweep,Xe.proxyA.set(m.getShape(),v),Xe.proxyB.set(c.getShape(),x),Xe.sweepA.set(l.m_sweep),Xe.sweepB.set(_.m_sweep),Xe.tMax=1,Ne(Ue,Xe);var g=Ue.t;h=Ue.state==t.TOIOutputState.e_touching?Oe(f+(1-f)*g,1):1,a.m_toi=h,a.m_toiFlag=!0}h<r&&(n=a,r=h)}if(null==n||1-1e-8<r){i.m_stepComplete=!0;break}var A=n.getFixtureA(),B=n.getFixtureB(),w=A.getBody(),M=B.getBody();if(Ze.set(w.m_sweep),Ge.set(M.m_sweep),w.advance(r),M.advance(r),n.update(i),n.m_toiFlag=!1,++n.m_toiCount,0!=n.isEnabled()&&0!=n.isTouching()){w.setAwake(!0),M.setAwake(!0),this.clear(),this.addBody(w),this.addBody(M),this.addContact(n),w.m_islandFlag=!0,M.m_islandFlag=!0,n.m_islandFlag=!0;for(var C=[w,M],V=0;V<C.length;++V){if((F=C[V]).isDynamic())for(var S=F.m_contactList;S;S=S.next){var I=S.contact;if(!I.m_islandFlag){var P=S.other;if(!P.isDynamic()||F.isBullet()||P.isBullet()){var T=I.m_fixtureA.m_isSensor,z=I.m_fixtureB.m_isSensor;T||z||(Ke.set(P.m_sweep),0==P.m_islandFlag&&P.advance(r),I.update(i),0!=I.isEnabled()&&0!=I.isTouching()?(I.m_islandFlag=!0,this.addContact(I),P.m_islandFlag||(P.m_islandFlag=!0,P.isStatic()||P.setAwake(!0),this.addBody(P))):(P.m_sweep.set(Ke),P.synchronizeTransform()))}}}}Ye.reset((1-r)*e.dt),Ye.dtRatio=1,Ye.positionIterations=20,Ye.velocityIterations=e.velocityIterations,Ye.warmStarting=!1,this.solveIslandTOI(Ye,w,M);for(V=0;V<this.m_bodies.length;++V){var F;if((F=this.m_bodies[V]).m_islandFlag=!1,F.isDynamic()){F.synchronizeFixtures();for(S=F.m_contactList;S;S=S.next)S.contact.m_toiFlag=!1,S.contact.m_islandFlag=!1}}if(i.findNewContacts(),i.m_subStepping){i.m_stepComplete=!1;break}}else n.setEnabled(!1),w.m_sweep.set(Ze),M.m_sweep.set(Ge),w.synchronizeTransform(),M.synchronizeTransform()}},e.prototype.solveIslandTOI=function(t,e,i){for(var s=0;s<this.m_bodies.length;++s){N((h=this.m_bodies[s]).c_position.c,h.m_sweep.c),h.c_position.a=h.m_sweep.a,N(h.c_velocity.v,h.m_linearVelocity),h.c_velocity.w=h.m_angularVelocity}for(s=0;s<this.m_contacts.length;++s){this.m_contacts[s].initConstraint(t)}for(s=0;s<t.positionIterations;++s){for(var o=0,n=0;n<this.m_contacts.length;++n){var r=this.m_contacts[n].solvePositionConstraintTOI(t,e,i);o=Oe(o,r)}if(o>=-1.5*b.linearSlop)break}N(e.m_sweep.c0,e.c_position.c),e.m_sweep.a0=e.c_position.a,N(i.m_sweep.c0,i.c_position.c),i.m_sweep.a0=i.c_position.a;for(s=0;s<this.m_contacts.length;++s){this.m_contacts[s].initVelocityConstraint(t)}for(s=0;s<t.velocityIterations;++s)for(n=0;n<this.m_contacts.length;++n){this.m_contacts[n].solveVelocityConstraint(t)}var a=t.dt;for(s=0;s<this.m_bodies.length;++s){var h=this.m_bodies[s];N(We,h.c_position.c);var m=h.c_position.a;N(Je,h.c_velocity.v);var c=h.c_velocity.w;W(He,a,Je);var l=tt(He);if(l>b.maxTranslationSquared){var _=b.maxTranslation/Re(l);Y(Je,_)}var u=a*c;if(u*u>b.maxRotationSquared)c*=_=b.maxRotation/De(u);J(We,a,Je),m+=a*c,N(h.c_position.c,We),h.c_position.a=m,N(h.c_velocity.v,Je),h.c_velocity.w=c,N(h.m_sweep.c,We),h.m_sweep.a=m,N(h.m_linearVelocity,Je),h.m_angularVelocity=c,h.synchronizeTransform()}this.postSolveIsland()},e.prototype.postSolveIsland=function(){for(var t=0;t<this.m_contacts.length;++t){var e=this.m_contacts[t];this.m_world.postSolve(e,e.m_impulse)}},e}();$e.TimeStep=Ee;var ti,ei,ii,si=function(){function t(t,e,i,s){"object"==typeof t&&null!==t?(this.ex=y.clone(t),this.ey=y.clone(e)):"number"==typeof t?(this.ex=y.neo(t,i),this.ey=y.neo(e,s)):(this.ex=y.zero(),this.ey=y.zero())}return t.prototype.toString=function(){return JSON.stringify(this)},t.isValid=function(t){return null!=t&&(y.isValid(t.ex)&&y.isValid(t.ey))},t.assert=function(t){},t.prototype.set=function(t,e,i,s){"number"==typeof t&&"number"==typeof e&&"number"==typeof i&&"number"==typeof s?(this.ex.setNum(t,i),this.ey.setNum(e,s)):"object"==typeof t&&"object"==typeof e?(this.ex.setVec2(t),this.ey.setVec2(e)):"object"==typeof t&&(this.ex.setVec2(t.ex),this.ey.setVec2(t.ey))},t.prototype.setIdentity=function(){this.ex.x=1,this.ey.x=0,this.ex.y=0,this.ey.y=1},t.prototype.setZero=function(){this.ex.x=0,this.ey.x=0,this.ex.y=0,this.ey.y=0},t.prototype.getInverse=function(){var e=this.ex.x,i=this.ey.x,s=this.ex.y,o=this.ey.y,n=e*o-i*s;0!==n&&(n=1/n);var r=new t;return r.ex.x=n*o,r.ey.x=-n*i,r.ex.y=-n*s,r.ey.y=n*e,r},t.prototype.solve=function(t){var e=this.ex.x,i=this.ey.x,s=this.ex.y,o=this.ey.y,n=e*o-i*s;0!==n&&(n=1/n);var r=y.zero();return r.x=n*(o*t.x-i*t.y),r.y=n*(e*t.y-s*t.x),r},t.mul=function(e,i){if(i&&"x"in i&&"y"in i){var s=e.ex.x*i.x+e.ey.x*i.y,o=e.ex.y*i.x+e.ey.y*i.y;return y.neo(s,o)}if(i&&"ex"in i&&"ey"in i)return new t(e.ex.x*i.ex.x+e.ey.x*i.ex.y,e.ex.x*i.ey.x+e.ey.x*i.ey.y,e.ex.y*i.ex.x+e.ey.y*i.ex.y,e.ex.y*i.ey.x+e.ey.y*i.ey.y)},t.mulVec2=function(t,e){var i=t.ex.x*e.x+t.ey.x*e.y,s=t.ex.y*e.x+t.ey.y*e.y;return y.neo(i,s)},t.mulMat22=function(e,i){return new t(e.ex.x*i.ex.x+e.ey.x*i.ex.y,e.ex.x*i.ey.x+e.ey.x*i.ey.y,e.ex.y*i.ex.x+e.ey.y*i.ex.y,e.ex.y*i.ey.x+e.ey.y*i.ey.y)},t.mulT=function(e,i){return i&&"x"in i&&"y"in i?y.neo(y.dot(i,e.ex),y.dot(i,e.ey)):i&&"ex"in i&&"ey"in i?new t(y.neo(y.dot(e.ex,i.ex),y.dot(e.ey,i.ex)),y.neo(y.dot(e.ex,i.ey),y.dot(e.ey,i.ey))):void 0},t.mulTVec2=function(t,e){return y.neo(y.dot(e,t.ex),y.dot(e,t.ey))},t.mulTMat22=function(e,i){return new t(y.neo(y.dot(e.ex,i.ex),y.dot(e.ey,i.ex)),y.neo(y.dot(e.ex,i.ey),y.dot(e.ey,i.ey)))},t.abs=function(e){return new t(y.abs(e.ex),y.abs(e.ey))},t.add=function(e,i){return new t(y.add(e.ex,i.ex),y.add(e.ey,i.ey))},t}(),oi=Math.sqrt,ni=k(0,0),ri=k(0,0),ai=k(0,0),hi=k(0,0),mi=k(0,0),ci=k(0,0),li=k(0,0),_i=k(0,0);t.ManifoldType=void 0,(ti=t.ManifoldType||(t.ManifoldType={}))[ti.e_unset=-1]="e_unset",ti[ti.e_circles=0]="e_circles",ti[ti.e_faceA=1]="e_faceA",ti[ti.e_faceB=2]="e_faceB",t.ContactFeatureType=void 0,(ei=t.ContactFeatureType||(t.ContactFeatureType={}))[ei.e_unset=-1]="e_unset",ei[ei.e_vertex=0]="e_vertex",ei[ei.e_face=1]="e_face",t.PointState=void 0,(ii=t.PointState||(t.PointState={}))[ii.nullState=0]="nullState",ii[ii.addState=1]="addState",ii[ii.persistState=2]="persistState",ii[ii.removeState=3]="removeState";var ui=function(){function t(){this.v=k(0,0),this.id=new di}return t.prototype.set=function(t){N(this.v,t.v),this.id.set(t.id)},t.prototype.recycle=function(){j(this.v),this.id.recycle()},t}(),pi=function(){function e(){this.localNormal=k(0,0),this.localPoint=k(0,0),this.points=[new yi,new yi],this.pointCount=0}return e.prototype.set=function(t){this.type=t.type,N(this.localNormal,t.localNormal),N(this.localPoint,t.localPoint),this.pointCount=t.pointCount,this.points[0].set(t.points[0]),this.points[1].set(t.points[1])},e.prototype.recycle=function(){this.type=t.ManifoldType.e_unset,j(this.localNormal),j(this.localPoint),this.pointCount=0,this.points[0].recycle(),this.points[1].recycle()},e.prototype.getWorldManifold=function(e,i,s,o,n){if(0==this.pointCount)return e;(e=e||new fi).pointCount=this.pointCount;var r=e.normal,a=e.points,h=e.separations;switch(this.type){case t.ManifoldType.e_circles:q(r,1,0);var m=this.points[0];at(ni,i,this.localPoint),at(ri,o,m.localPoint),E(ci,ri,ni);var c=tt(ci);if(c>1e-18)W(r,1/oi(c),ci);X(hi,1,ni,s,r),X(mi,1,ri,-n,r),X(a[0],.5,hi,.5,mi),h[0]=$(E(ai,mi,hi),r);break;case t.ManifoldType.e_faceA:st(r,i.q,this.localNormal),at(li,i,this.localPoint);for(var l=0;l<this.pointCount;++l){m=this.points[l];at(_i,o,m.localPoint),X(hi,1,_i,s-$(E(ai,_i,li),r),r),X(mi,1,_i,-n,r),X(a[l],.5,hi,.5,mi),h[l]=$(E(ai,mi,hi),r)}break;case t.ManifoldType.e_faceB:st(r,o.q,this.localNormal),at(li,o,this.localPoint);for(l=0;l<this.pointCount;++l){m=this.points[l];at(_i,i,m.localPoint),X(mi,1,_i,n-$(E(ai,_i,li),r),r),X(hi,1,_i,-s,r),X(a[l],.5,hi,.5,mi),h[l]=$(E(ai,hi,mi),r)}D(r)}return e},e.clipSegmentToLine=xi,e.ClipVertex=ui,e.getPointStates=vi,e.PointState=t.PointState,e}(),yi=function(){function t(){this.localPoint=k(0,0),this.normalImpulse=0,this.tangentImpulse=0,this.id=new di}return t.prototype.set=function(t){N(this.localPoint,t.localPoint),this.normalImpulse=t.normalImpulse,this.tangentImpulse=t.tangentImpulse,this.id.set(t.id)},t.prototype.recycle=function(){j(this.localPoint),this.normalImpulse=0,this.tangentImpulse=0,this.id.recycle()},t}(),di=function(){function e(){this.key=-1,this.indexA=-1,this.indexB=-1,this.typeA=t.ContactFeatureType.e_unset,this.typeB=t.ContactFeatureType.e_unset}return e.prototype.setFeatures=function(t,e,i,s){this.indexA=t,this.indexB=i,this.typeA=e,this.typeB=s,this.key=this.indexA+4*this.indexB+16*this.typeA+64*this.typeB},e.prototype.set=function(t){this.indexA=t.indexA,this.indexB=t.indexB,this.typeA=t.typeA,this.typeB=t.typeB,this.key=this.indexA+4*this.indexB+16*this.typeA+64*this.typeB},e.prototype.swapFeatures=function(){var t=this.indexA,e=this.indexB,i=this.typeA,s=this.typeB;this.indexA=e,this.indexB=t,this.typeA=s,this.typeB=i,this.key=this.indexA+4*this.indexB+16*this.typeA+64*this.typeB},e.prototype.recycle=function(){this.indexA=0,this.indexB=0,this.typeA=t.ContactFeatureType.e_unset,this.typeB=t.ContactFeatureType.e_unset,this.key=-1},e}(),fi=function(){function t(){this.normal=k(0,0),this.points=[k(0,0),k(0,0)],this.separations=[0,0],this.pointCount=0}return t.prototype.recycle=function(){j(this.normal),j(this.points[0]),j(this.points[1]),this.separations[0]=0,this.separations[1]=0,this.pointCount=0},t}();function vi(e,i,s,o){for(var n=0;n<s.pointCount;++n){var r=s.points[n].id;e[n]=t.PointState.removeState;for(var a=0;a<o.pointCount;++a)if(o.points[a].id.key===r.key){e[n]=t.PointState.persistState;break}}for(n=0;n<o.pointCount;++n){r=o.points[n].id;i[n]=t.PointState.addState;for(a=0;a<s.pointCount;++a)if(s.points[a].id.key===r.key){i[n]=t.PointState.persistState;break}}}function xi(e,i,s,o,n){var r=0,a=$(s,i[0].v)-o,h=$(s,i[1].v)-o;if(a<=0&&e[r++].set(i[0]),h<=0&&e[r++].set(i[1]),a*h<0){var m=a/(a-h);X(e[r].v,1-m,i[0].v,m,i[1].v),e[r].id.setFeatures(n,t.ContactFeatureType.e_vertex,i[0].id.indexB,t.ContactFeatureType.e_face),++r}return r}var gi=Math.sqrt,bi=Math.max,Ai=Math.min,Bi=new A({create:function(){return new ss},release:function(t){t.recycle()}}),wi=new pi,Mi=new fi,Ci=function(){function t(t){this.prev=null,this.next=null,this.other=null,this.contact=t}return t.prototype.recycle=function(){this.prev=null,this.next=null,this.other=null},t}();function Vi(t,e){return gi(t*e)}function Si(t,e){return t>e?t:e}var Ii=[],Pi=function(){function t(){this.rA=k(0,0),this.rB=k(0,0),this.normalImpulse=0,this.tangentImpulse=0,this.normalMass=0,this.tangentMass=0,this.velocityBias=0}return t.prototype.recycle=function(){j(this.rA),j(this.rB),this.normalImpulse=0,this.tangentImpulse=0,this.normalMass=0,this.tangentMass=0,this.velocityBias=0},t}(),Ti=k(0,0),zi=k(0,0),Fi=k(0,0),Li=k(0,0),ki=k(0,0),qi=nt(0,0,0),Ni=nt(0,0,0),ji=k(0,0),Di=k(0,0),Ri=k(0,0),Oi=k(0,0),Ei=k(0,0),Yi=k(0,0),Wi=k(0,0),Ji=k(0,0),Hi=k(0,0),Xi=k(0,0),Ui=k(0,0),Ki=k(0,0),Zi=k(0,0),Gi=k(0,0),Qi=k(0,0),$i=k(0,0),ts=k(0,0),es=k(0,0),is=k(0,0),ss=function(){function e(){this.m_nodeA=new Ci(this),this.m_nodeB=new Ci(this),this.m_fixtureA=null,this.m_fixtureB=null,this.m_indexA=-1,this.m_indexB=-1,this.m_evaluateFcn=null,this.m_manifold=new pi,this.m_prev=null,this.m_next=null,this.m_toi=1,this.m_toiCount=0,this.m_toiFlag=!1,this.m_friction=0,this.m_restitution=0,this.m_tangentSpeed=0,this.m_enabledFlag=!0,this.m_islandFlag=!1,this.m_touchingFlag=!1,this.m_filterFlag=!1,this.m_bulletHitFlag=!1,this.m_impulse=new Qe(this),this.v_points=[new Pi,new Pi],this.v_normal=k(0,0),this.v_normalMass=new si,this.v_K=new si,this.v_pointCount=0,this.v_tangentSpeed=0,this.v_friction=0,this.v_restitution=0,this.v_invMassA=0,this.v_invMassB=0,this.v_invIA=0,this.v_invIB=0,this.p_localPoints=[k(0,0),k(0,0)],this.p_localNormal=k(0,0),this.p_localPoint=k(0,0),this.p_localCenterA=k(0,0),this.p_localCenterB=k(0,0),this.p_type=t.ManifoldType.e_unset,this.p_radiusA=0,this.p_radiusB=0,this.p_pointCount=0,this.p_invMassA=0,this.p_invMassB=0,this.p_invIA=0,this.p_invIB=0}return e.prototype.initialize=function(t,e,i,s,o){this.m_fixtureA=t,this.m_fixtureB=i,this.m_indexA=e,this.m_indexB=s,this.m_evaluateFcn=o,this.m_friction=Vi(this.m_fixtureA.m_friction,this.m_fixtureB.m_friction),this.m_restitution=Si(this.m_fixtureA.m_restitution,this.m_fixtureB.m_restitution)},e.prototype.recycle=function(){this.m_nodeA.recycle(),this.m_nodeB.recycle(),this.m_fixtureA=null,this.m_fixtureB=null,this.m_indexA=-1,this.m_indexB=-1,this.m_evaluateFcn=null,this.m_manifold.recycle(),this.m_prev=null,this.m_next=null,this.m_toi=1,this.m_toiCount=0,this.m_toiFlag=!1,this.m_friction=0,this.m_restitution=0,this.m_tangentSpeed=0,this.m_enabledFlag=!0,this.m_islandFlag=!1,this.m_touchingFlag=!1,this.m_filterFlag=!1,this.m_bulletHitFlag=!1,this.m_impulse.recycle();for(var e=0,i=this.v_points;e<i.length;e++){i[e].recycle()}j(this.v_normal),this.v_normalMass.setZero(),this.v_K.setZero(),this.v_pointCount=0,this.v_tangentSpeed=0,this.v_friction=0,this.v_restitution=0,this.v_invMassA=0,this.v_invMassB=0,this.v_invIA=0,this.v_invIB=0;for(var s=0,o=this.p_localPoints;s<o.length;s++){j(o[s])}j(this.p_localNormal),j(this.p_localPoint),j(this.p_localCenterA),j(this.p_localCenterB),this.p_type=t.ManifoldType.e_unset,this.p_radiusA=0,this.p_radiusB=0,this.p_pointCount=0,this.p_invMassA=0,this.p_invMassB=0,this.p_invIA=0,this.p_invIB=0},e.prototype.initConstraint=function(t){var e=this.m_fixtureA,i=this.m_fixtureB;if(null!==e&&null!==i){var s=e.m_body,o=i.m_body;if(null!==s&&null!==o){var n=e.m_shape,r=i.m_shape;if(null!==n&&null!==r){var a=this.m_manifold,h=a.pointCount;this.v_invMassA=s.m_invMass,this.v_invMassB=o.m_invMass,this.v_invIA=s.m_invI,this.v_invIB=o.m_invI,this.v_friction=this.m_friction,this.v_restitution=this.m_restitution,this.v_tangentSpeed=this.m_tangentSpeed,this.v_pointCount=h,this.v_K.setZero(),this.v_normalMass.setZero(),this.p_invMassA=s.m_invMass,this.p_invMassB=o.m_invMass,this.p_invIA=s.m_invI,this.p_invIB=o.m_invI,N(this.p_localCenterA,s.m_sweep.localCenter),N(this.p_localCenterB,o.m_sweep.localCenter),this.p_radiusA=n.m_radius,this.p_radiusB=r.m_radius,this.p_type=a.type,N(this.p_localNormal,a.localNormal),N(this.p_localPoint,a.localPoint),this.p_pointCount=h;for(var m=0;m<b.maxManifoldPoints;++m)this.v_points[m].recycle(),j(this.p_localPoints[m]);for(m=0;m<h;++m){var c=a.points[m],l=this.v_points[m];t.warmStarting&&(l.normalImpulse=t.dtRatio*c.normalImpulse,l.tangentImpulse=t.dtRatio*c.tangentImpulse),N(this.p_localPoints[m],c.localPoint)}}}}},e.prototype.getManifold=function(){return this.m_manifold},e.prototype.getWorldManifold=function(t){var e=this.m_fixtureA,i=this.m_fixtureB;if(null!==e&&null!==i){var s=e.m_body,o=i.m_body;if(null!==s&&null!==o){var n=e.m_shape,r=i.m_shape;if(null!==n&&null!==r)return this.m_manifold.getWorldManifold(t,s.getTransform(),n.m_radius,o.getTransform(),r.m_radius)}}},e.prototype.setEnabled=function(t){this.m_enabledFlag=!!t},e.prototype.isEnabled=function(){return this.m_enabledFlag},e.prototype.isTouching=function(){return this.m_touchingFlag},e.prototype.getNext=function(){return this.m_next},e.prototype.getFixtureA=function(){return this.m_fixtureA},e.prototype.getFixtureB=function(){return this.m_fixtureB},e.prototype.getChildIndexA=function(){return this.m_indexA},e.prototype.getChildIndexB=function(){return this.m_indexB},e.prototype.flagForFiltering=function(){this.m_filterFlag=!0},e.prototype.setFriction=function(t){this.m_friction=t},e.prototype.getFriction=function(){return this.m_friction},e.prototype.resetFriction=function(){var t=this.m_fixtureA,e=this.m_fixtureB;null!==t&&null!==e&&(this.m_friction=Vi(t.m_friction,e.m_friction))},e.prototype.setRestitution=function(t){this.m_restitution=t},e.prototype.getRestitution=function(){return this.m_restitution},e.prototype.resetRestitution=function(){var t=this.m_fixtureA,e=this.m_fixtureB;null!==t&&null!==e&&(this.m_restitution=Si(t.m_restitution,e.m_restitution))},e.prototype.setTangentSpeed=function(t){this.m_tangentSpeed=t},e.prototype.getTangentSpeed=function(){return this.m_tangentSpeed},e.prototype.evaluate=function(t,e,i){var s=this.m_fixtureA,o=this.m_fixtureB;null!==s&&null!==o&&this.m_evaluateFcn(t,e,s,this.m_indexA,i,o,this.m_indexB)},e.prototype.update=function(t){var e=this.m_fixtureA,i=this.m_fixtureB;if(null!==e&&null!==i){var s=e.m_body,o=i.m_body;if(null!==s&&null!==o){var n=e.m_shape,r=i.m_shape;if(null!==n&&null!==r){this.m_enabledFlag=!0;var a=!1,h=this.m_touchingFlag,m=e.m_isSensor,c=i.m_isSensor,l=m||c,_=s.m_xf,u=o.m_xf;if(l)a=pe(n,this.m_indexA,r,this.m_indexB,_,u),this.m_manifold.pointCount=0;else{wi.recycle(),wi.set(this.m_manifold),this.m_manifold.recycle(),this.evaluate(this.m_manifold,_,u),a=this.m_manifold.pointCount>0;for(var p=0;p<this.m_manifold.pointCount;++p){var y=this.m_manifold.points[p];y.normalImpulse=0,y.tangentImpulse=0;for(var d=0;d<wi.pointCount;++d){var f=wi.points[d];if(f.id.key===y.id.key){y.normalImpulse=f.normalImpulse,y.tangentImpulse=f.tangentImpulse;break}}}a!==h&&(s.setAwake(!0),o.setAwake(!0))}this.m_touchingFlag=a;var v="object"==typeof t&&null!==t;!h&&a&&v&&t.beginContact(this),h&&!a&&v&&t.endContact(this),!l&&a&&v&&wi&&t.preSolve(this,wi)}}}},e.prototype.solvePositionConstraint=function(t){return this._solvePositionConstraint(t,null,null)},e.prototype.solvePositionConstraintTOI=function(t,e,i){return this._solvePositionConstraint(t,e,i)},e.prototype._solvePositionConstraint=function(e,i,s){var o=null!==i&&null!==s,n=0,r=this.m_fixtureA,a=this.m_fixtureB;if(null===r||null===a)return n;var h=r.m_body,c=a.m_body;if(null===h||null===c)return n;h.c_velocity,c.c_velocity;var l=h.c_position,_=c.c_position,u=this.p_localCenterA,p=this.p_localCenterB,y=0,d=0;o&&h!==i&&h!==s||(y=this.p_invMassA,d=this.p_invIA);var f=0,v=0;o&&c!==i&&c!==s||(f=this.p_invMassB,v=this.p_invIB),N(Ti,l.c);var x=l.a;N(Fi,_.c);for(var g=_.a,A=0;A<this.p_pointCount;++A){wt(qi,u,Ti,x),wt(Ni,p,Fi,g);var B=void 0;switch(this.p_type){case t.ManifoldType.e_circles:at(ji,qi,this.p_localPoint),at(Di,Ni,this.p_localPoints[0]),E(Ji,Di,ji),K(Ji),X(Hi,.5,ji,.5,Di),B=$(Di,Ji)-$(ji,Ji)-this.p_radiusA-this.p_radiusB;break;case t.ManifoldType.e_faceA:st(Ji,qi.q,this.p_localNormal),at(Oi,qi,this.p_localPoint),at(Ri,Ni,this.p_localPoints[A]),B=$(Ri,Ji)-$(Oi,Ji)-this.p_radiusA-this.p_radiusB,N(Hi,Ri);break;case t.ManifoldType.e_faceB:st(Ji,Ni.q,this.p_localNormal),at(Oi,Ni,this.p_localPoint),at(Ri,qi,this.p_localPoints[A]),B=$(Ri,Ji)-$(Oi,Ji)-this.p_radiusA-this.p_radiusB,N(Hi,Ri),D(Ji);break;default:return n}E(Ei,Hi,Ti),E(Yi,Hi,Fi),n=Ai(n,B);var w=m((o?b.toiBaugarte:b.baumgarte)*(B+b.linearSlop),-b.maxLinearCorrection,0),M=Q(Ei,Ji),C=Q(Yi,Ji),V=y+f+d*M*M+v*C*C;W(Wi,V>0?-w/V:0,Ji),H(Ti,y,Wi),x-=d*Q(Ei,Wi),J(Fi,f,Wi),g+=v*Q(Yi,Wi)}return N(l.c,Ti),l.a=x,N(_.c,Fi),_.a=g,n},e.prototype.initVelocityConstraint=function(t){var e=this.m_fixtureA,i=this.m_fixtureB;if(null!==e&&null!==i){var s=e.m_body,o=i.m_body;if(null!==s&&null!==o){var n=s.c_velocity,r=o.c_velocity,a=s.c_position,h=o.c_position,m=this.p_radiusA,c=this.p_radiusB,l=this.m_manifold,_=this.v_invMassA,u=this.v_invMassB,p=this.v_invIA,y=this.v_invIB,d=this.p_localCenterA,f=this.p_localCenterB;N(Ti,a.c);var v=a.a;N(zi,n.v);var x=n.w;N(Fi,h.c);var g=h.a;N(Li,r.v);var A=r.w;wt(qi,d,Ti,v),wt(Ni,f,Fi,g),Mi.recycle(),l.getWorldManifold(Mi,qi,m,Ni,c),N(this.v_normal,Mi.normal);for(var B=0;B<this.v_pointCount;++B){var w=this.v_points[B],M=Mi.points[B];E(w.rA,M,Ti),E(w.rB,M,Fi);var C=Q(w.rA,this.v_normal),V=Q(w.rB,this.v_normal),S=_+u+p*C*C+y*V*V;w.normalMass=S>0?1/S:0,Z(ki,this.v_normal,1);var I=Q(w.rA,ki),P=Q(w.rB,ki),T=_+u+p*I*I+y*P*P;w.tangentMass=T>0?1/T:0,w.velocityBias=0;var z=0;z+=$(this.v_normal,Li),z+=$(this.v_normal,G(is,A,w.rB)),z-=$(this.v_normal,zi),(z-=$(this.v_normal,G(is,x,w.rA)))<-b.velocityThreshold&&(w.velocityBias=-this.v_restitution*z)}if(2==this.v_pointCount&&t.blockSolve){var F=this.v_points[0],L=this.v_points[1],k=Q(F.rA,this.v_normal),q=Q(F.rB,this.v_normal),j=Q(L.rA,this.v_normal),D=Q(L.rB,this.v_normal),R=_+u+p*k*k+y*q*q,O=_+u+p*j*j+y*D*D,Y=_+u+p*k*j+y*q*D;if(R*R<1e3*(R*O-Y*Y)){this.v_K.ex.setNum(R,Y),this.v_K.ey.setNum(Y,O);var W=this.v_K.ex.x,J=this.v_K.ey.x,H=this.v_K.ex.y,X=this.v_K.ey.y,U=W*X-J*H;0!==U&&(U=1/U),this.v_normalMass.ex.x=U*X,this.v_normalMass.ey.x=-U*J,this.v_normalMass.ex.y=-U*H,this.v_normalMass.ey.y=U*W}else this.v_pointCount=1}N(a.c,Ti),a.a=v,N(n.v,zi),n.w=x,N(h.c,Fi),h.a=g,N(r.v,Li),r.w=A}}},e.prototype.warmStartConstraint=function(t){var e=this.m_fixtureA,i=this.m_fixtureB;if(null!==e&&null!==i){var s=e.m_body,o=i.m_body;if(null!==s&&null!==o){var n=s.c_velocity,r=o.c_velocity;s.c_position,o.c_position;var a=this.v_invMassA,h=this.v_invIA,m=this.v_invMassB,c=this.v_invIB;N(zi,n.v);var l=n.w;N(Li,r.v);var _=r.w;N(Ji,this.v_normal),Z(ki,Ji,1);for(var u=0;u<this.v_pointCount;++u){var p=this.v_points[u];X(Wi,p.normalImpulse,Ji,p.tangentImpulse,ki),l-=h*Q(p.rA,Wi),H(zi,a,Wi),_+=c*Q(p.rB,Wi),J(Li,m,Wi)}N(n.v,zi),n.w=l,N(r.v,Li),r.w=_}}},e.prototype.storeConstraintImpulses=function(t){for(var e=this.m_manifold,i=0;i<this.v_pointCount;++i)e.points[i].normalImpulse=this.v_points[i].normalImpulse,e.points[i].tangentImpulse=this.v_points[i].tangentImpulse},e.prototype.solveVelocityConstraint=function(t){var e=this.m_fixtureA,i=this.m_fixtureB;if(null!==e&&null!==i){var s=e.m_body,o=i.m_body;if(null!==s&&null!==o){var n=s.c_velocity;s.c_position;var r=o.c_velocity;o.c_position;var a=this.v_invMassA,h=this.v_invIA,c=this.v_invMassB,l=this.v_invIB;N(zi,n.v);var _=n.w;N(Li,r.v);var u=r.w;N(Ji,this.v_normal),Z(ki,Ji,1);for(var p=this.v_friction,y=0;y<this.v_pointCount;++y){var d=this.v_points[y];j(Xi),R(Xi,Li),R(Xi,G(is,u,d.rB)),O(Xi,zi),O(Xi,G(is,_,d.rA));var f=$(Xi,ki)-this.v_tangentSpeed,v=d.tangentMass*-f,x=p*d.normalImpulse;v=(b=m(d.tangentImpulse+v,-x,x))-d.tangentImpulse,d.tangentImpulse=b,W(Wi,v,ki),H(zi,a,Wi),_-=h*Q(d.rA,Wi),J(Li,c,Wi),u+=l*Q(d.rB,Wi)}if(1==this.v_pointCount||0==t.blockSolve)for(var g=0;g<this.v_pointCount;++g){d=this.v_points[g];j(Xi),R(Xi,Li),R(Xi,G(is,u,d.rB)),O(Xi,zi),O(Xi,G(is,_,d.rA));var b,A=$(Xi,Ji);v=-d.normalMass*(A-d.velocityBias);v=(b=bi(d.normalImpulse+v,0))-d.normalImpulse,d.normalImpulse=b,W(Wi,v,Ji),H(zi,a,Wi),_-=h*Q(d.rA,Wi),J(Li,c,Wi),u+=l*Q(d.rB,Wi)}else{var B=this.v_points[0],w=this.v_points[1];q(Gi,B.normalImpulse,w.normalImpulse),j(Ui),R(Ui,Li),R(Ui,G(is,u,B.rB)),O(Ui,zi),O(Ui,G(is,_,B.rA)),j(Ki),R(Ki,Li),R(Ki,G(is,u,w.rB)),O(Ki,zi),O(Ki,G(is,_,w.rA));var M=$(Ui,Ji),C=$(Ki,Ji);for(q(Zi,M-B.velocityBias,C-w.velocityBias),Zi.x-=this.v_K.ex.x*Gi.x+this.v_K.ey.x*Gi.y,Zi.y-=this.v_K.ex.y*Gi.x+this.v_K.ey.y*Gi.y;;){if(j(Qi),Qi.x=-(this.v_normalMass.ex.x*Zi.x+this.v_normalMass.ey.x*Zi.y),Qi.y=-(this.v_normalMass.ex.y*Zi.x+this.v_normalMass.ey.y*Zi.y),Qi.x>=0&&Qi.y>=0){E($i,Qi,Gi),W(ts,$i.x,Ji),W(es,$i.y,Ji),U(zi,-a,ts,-a,es,1,zi),_-=h*(Q(B.rA,ts)+Q(w.rA,es)),U(Li,c,ts,c,es,1,Li),u+=l*(Q(B.rB,ts)+Q(w.rB,es)),B.normalImpulse=Qi.x,w.normalImpulse=Qi.y;break}if(Qi.x=-B.normalMass*Zi.x,Qi.y=0,M=0,C=this.v_K.ex.y*Qi.x+Zi.y,Qi.x>=0&&C>=0){E($i,Qi,Gi),W(ts,$i.x,Ji),W(es,$i.y,Ji),U(zi,-a,ts,-a,es,1,zi),_-=h*(Q(B.rA,ts)+Q(w.rA,es)),U(Li,c,ts,c,es,1,Li),u+=l*(Q(B.rB,ts)+Q(w.rB,es)),B.normalImpulse=Qi.x,w.normalImpulse=Qi.y;break}if(Qi.x=0,Qi.y=-w.normalMass*Zi.y,M=this.v_K.ey.x*Qi.y+Zi.x,C=0,Qi.y>=0&&M>=0){E($i,Qi,Gi),W(ts,$i.x,Ji),W(es,$i.y,Ji),U(zi,-a,ts,-a,es,1,zi),_-=h*(Q(B.rA,ts)+Q(w.rA,es)),U(Li,c,ts,c,es,1,Li),u+=l*(Q(B.rB,ts)+Q(w.rB,es)),B.normalImpulse=Qi.x,w.normalImpulse=Qi.y;break}if(Qi.x=0,Qi.y=0,M=Zi.x,C=Zi.y,M>=0&&C>=0){E($i,Qi,Gi),W(ts,$i.x,Ji),W(es,$i.y,Ji),U(zi,-a,ts,-a,es,1,zi),_-=h*(Q(B.rA,ts)+Q(w.rA,es)),U(Li,c,ts,c,es,1,Li),u+=l*(Q(B.rB,ts)+Q(w.rB,es)),B.normalImpulse=Qi.x,w.normalImpulse=Qi.y;break}break}}N(n.v,zi),n.w=_,N(r.v,Li),r.w=u}}},e.addType=function(t,e,i){Ii[t]=Ii[t]||{},Ii[t][e]=i},e.create=function(t,e,i,s){var o,n=t.m_shape.m_type,r=i.m_shape.m_type,a=Bi.allocate();if(o=Ii[n]&&Ii[n][r])a.initialize(t,e,i,s,o);else{if(!(o=Ii[r]&&Ii[r][n]))return null;a.initialize(i,s,t,e,o)}t=a.m_fixtureA,i=a.m_fixtureB,e=a.getChildIndexA(),s=a.getChildIndexB();var h=t.m_body,m=i.m_body;return a.m_nodeA.contact=a,a.m_nodeA.other=m,a.m_nodeA.prev=null,a.m_nodeA.next=h.m_contactList,null!=h.m_contactList&&(h.m_contactList.prev=a.m_nodeA),h.m_contactList=a.m_nodeA,a.m_nodeB.contact=a,a.m_nodeB.other=h,a.m_nodeB.prev=null,a.m_nodeB.next=m.m_contactList,null!=m.m_contactList&&(m.m_contactList.prev=a.m_nodeB),m.m_contactList=a.m_nodeB,0==t.isSensor()&&0==i.isSensor()&&(h.setAwake(!0),m.setAwake(!0)),a},e.destroy=function(t,e){var i=t.m_fixtureA,s=t.m_fixtureB;if(null!==i&&null!==s){var o=i.m_body,n=s.m_body;null!==o&&null!==n&&(t.isTouching()&&e.endContact(t),t.m_nodeA.prev&&(t.m_nodeA.prev.next=t.m_nodeA.next),t.m_nodeA.next&&(t.m_nodeA.next.prev=t.m_nodeA.prev),t.m_nodeA==o.m_contactList&&(o.m_contactList=t.m_nodeA.next),t.m_nodeB.prev&&(t.m_nodeB.prev.next=t.m_nodeB.next),t.m_nodeB.next&&(t.m_nodeB.next.prev=t.m_nodeB.prev),t.m_nodeB==n.m_contactList&&(n.m_contactList=t.m_nodeB.next),t.m_manifold.pointCount>0&&!i.m_isSensor&&!s.m_isSensor&&(o.setAwake(!0),n.setAwake(!0)),Bi.release(t))}},e}(),os={gravity:y.zero(),allowSleep:!0,warmStarting:!0,continuousPhysics:!0,subStepping:!1,blockSolve:!0,velocityIterations:8,positionIterations:3},ns=function(){function t(e){if(!(this instanceof t))return new t(e);this.s_step=new Ee,e?y.isValid(e)&&(e={gravity:e}):e={},e=o(e,os),this.m_solver=new $e(this),this.m_broadPhase=new T,this.m_contactList=null,this.m_contactCount=0,this.m_bodyList=null,this.m_bodyCount=0,this.m_jointList=null,this.m_jointCount=0,this.m_stepComplete=!0,this.m_allowSleep=e.allowSleep,this.m_gravity=y.clone(e.gravity),this.m_clearForces=!0,this.m_newFixture=!1,this.m_locked=!1,this.m_warmStarting=e.warmStarting,this.m_continuousPhysics=e.continuousPhysics,this.m_subStepping=e.subStepping,this.m_blockSolve=e.blockSolve,this.m_velocityIterations=e.velocityIterations,this.m_positionIterations=e.positionIterations,this.m_t=0}return t.prototype._serialize=function(){for(var t=[],e=[],i=this.getBodyList();i;i=i.getNext())t.push(i);for(var s=this.getJointList();s;s=s.getNext())"function"==typeof s._serialize&&e.push(s);return{gravity:this.m_gravity,bodies:t,joints:e}},t._deserialize=function(e,i,s){if(!e)return new t;var o=new t(e.gravity);if(e.bodies)for(var n=e.bodies.length-1;n>=0;n-=1)o._addBody(s(Ot,e.bodies[n],o));if(e.joints)for(n=e.joints.length-1;n>=0;n--)o.createJoint(s(Yt,e.joints[n],o));return o},t.prototype.getBodyList=function(){return this.m_bodyList},t.prototype.getJointList=function(){return this.m_jointList},t.prototype.getContactList=function(){return this.m_contactList},t.prototype.getBodyCount=function(){return this.m_bodyCount},t.prototype.getJointCount=function(){return this.m_jointCount},t.prototype.getContactCount=function(){return this.m_contactCount},t.prototype.setGravity=function(t){this.m_gravity.set(t)},t.prototype.getGravity=function(){return this.m_gravity},t.prototype.isLocked=function(){return this.m_locked},t.prototype.setAllowSleeping=function(t){if(t!=this.m_allowSleep&&(this.m_allowSleep=t,0==this.m_allowSleep))for(var e=this.m_bodyList;e;e=e.m_next)e.setAwake(!0)},t.prototype.getAllowSleeping=function(){return this.m_allowSleep},t.prototype.setWarmStarting=function(t){this.m_warmStarting=t},t.prototype.getWarmStarting=function(){return this.m_warmStarting},t.prototype.setContinuousPhysics=function(t){this.m_continuousPhysics=t},t.prototype.getContinuousPhysics=function(){return this.m_continuousPhysics},t.prototype.setSubStepping=function(t){this.m_subStepping=t},t.prototype.getSubStepping=function(){return this.m_subStepping},t.prototype.setAutoClearForces=function(t){this.m_clearForces=t},t.prototype.getAutoClearForces=function(){return this.m_clearForces},t.prototype.clearForces=function(){for(var t=this.m_bodyList;t;t=t.getNext())t.m_force.setZero(),t.m_torque=0},t.prototype.queryAABB=function(t,e){var i=this.m_broadPhase;this.m_broadPhase.query(t,(function(t){var s=i.getUserData(t);return e(s.fixture)}))},t.prototype.rayCast=function(t,e,i){var s=this.m_broadPhase;this.m_broadPhase.rayCast({maxFraction:1,p1:t,p2:e},(function(t,e){var o=s.getUserData(e),n=o.fixture,r=o.childIndex,a={};if(n.rayCast(a,t,r)){var h=a.fraction,m=y.add(y.mulNumVec2(1-h,t.p1),y.mulNumVec2(h,t.p2));return i(n,m,a.normal,h)}return t.maxFraction}))},t.prototype.getProxyCount=function(){return this.m_broadPhase.getProxyCount()},t.prototype.getTreeHeight=function(){return this.m_broadPhase.getTreeHeight()},t.prototype.getTreeBalance=function(){return this.m_broadPhase.getTreeBalance()},t.prototype.getTreeQuality=function(){return this.m_broadPhase.getTreeQuality()},t.prototype.shiftOrigin=function(t){if(!this.m_locked){for(var e=this.m_bodyList;e;e=e.m_next)e.m_xf.p.sub(t),e.m_sweep.c0.sub(t),e.m_sweep.c.sub(t);for(var i=this.m_jointList;i;i=i.m_next)i.shiftOrigin(t);this.m_broadPhase.shiftOrigin(t)}},t.prototype._addBody=function(t){this.isLocked()||(t.m_prev=null,t.m_next=this.m_bodyList,this.m_bodyList&&(this.m_bodyList.m_prev=t),this.m_bodyList=t,++this.m_bodyCount)},t.prototype.createBody=function(t,e){if(this.isLocked())return null;var i={};t&&(y.isValid(t)?i={position:t,angle:e}:"object"==typeof t&&(i=t));var s=new Ot(this,i);return this._addBody(s),s},t.prototype.createDynamicBody=function(t,e){var i={};return t&&(y.isValid(t)?i={position:t,angle:e}:"object"==typeof t&&(i=t)),i.type="dynamic",this.createBody(i)},t.prototype.createKinematicBody=function(t,e){var i={};return t&&(y.isValid(t)?i={position:t,angle:e}:"object"==typeof t&&(i=t)),i.type="kinematic",this.createBody(i)},t.prototype.destroyBody=function(t){if(!this.isLocked()){if(t.m_destroyed)return!1;for(var e=t.m_jointList;e;){var i=e;e=e.next,this.publish("remove-joint",i.joint),this.destroyJoint(i.joint),t.m_jointList=e}t.m_jointList=null;for(var s=t.m_contactList;s;){var o=s;s=s.next,this.destroyContact(o.contact),t.m_contactList=s}t.m_contactList=null;for(var n=t.m_fixtureList;n;){var r=n;n=n.m_next,this.publish("remove-fixture",r),r.destroyProxies(this.m_broadPhase),t.m_fixtureList=n}return t.m_fixtureList=null,t.m_prev&&(t.m_prev.m_next=t.m_next),t.m_next&&(t.m_next.m_prev=t.m_prev),t==this.m_bodyList&&(this.m_bodyList=t.m_next),t.m_destroyed=!0,--this.m_bodyCount,this.publish("remove-body",t),!0}},t.prototype.createJoint=function(t){if(this.isLocked())return null;if(t.m_prev=null,t.m_next=this.m_jointList,this.m_jointList&&(this.m_jointList.m_prev=t),this.m_jointList=t,++this.m_jointCount,t.m_edgeA.joint=t,t.m_edgeA.other=t.m_bodyB,t.m_edgeA.prev=null,t.m_edgeA.next=t.m_bodyA.m_jointList,t.m_bodyA.m_jointList&&(t.m_bodyA.m_jointList.prev=t.m_edgeA),t.m_bodyA.m_jointList=t.m_edgeA,t.m_edgeB.joint=t,t.m_edgeB.other=t.m_bodyA,t.m_edgeB.prev=null,t.m_edgeB.next=t.m_bodyB.m_jointList,t.m_bodyB.m_jointList&&(t.m_bodyB.m_jointList.prev=t.m_edgeB),t.m_bodyB.m_jointList=t.m_edgeB,0==t.m_collideConnected)for(var e=t.m_bodyB.getContactList();e;e=e.next)e.other==t.m_bodyA&&e.contact.flagForFiltering();return t},t.prototype.destroyJoint=function(t){if(!this.isLocked()){t.m_prev&&(t.m_prev.m_next=t.m_next),t.m_next&&(t.m_next.m_prev=t.m_prev),t==this.m_jointList&&(this.m_jointList=t.m_next);var e=t.m_bodyA,i=t.m_bodyB;if(e.setAwake(!0),i.setAwake(!0),t.m_edgeA.prev&&(t.m_edgeA.prev.next=t.m_edgeA.next),t.m_edgeA.next&&(t.m_edgeA.next.prev=t.m_edgeA.prev),t.m_edgeA==e.m_jointList&&(e.m_jointList=t.m_edgeA.next),t.m_edgeA.prev=null,t.m_edgeA.next=null,t.m_edgeB.prev&&(t.m_edgeB.prev.next=t.m_edgeB.next),t.m_edgeB.next&&(t.m_edgeB.next.prev=t.m_edgeB.prev),t.m_edgeB==i.m_jointList&&(i.m_jointList=t.m_edgeB.next),t.m_edgeB.prev=null,t.m_edgeB.next=null,--this.m_jointCount,0==t.m_collideConnected)for(var s=i.getContactList();s;)s.other==e&&s.contact.flagForFiltering(),s=s.next;this.publish("remove-joint",t)}},t.prototype.step=function(t,e,i){if(this.publish("pre-step",t),(0|e)!==e&&(e=0),e=e||this.m_velocityIterations,i=i||this.m_positionIterations,this.m_newFixture&&(this.findNewContacts(),this.m_newFixture=!1),this.m_locked=!0,this.s_step.reset(t),this.s_step.velocityIterations=e,this.s_step.positionIterations=i,this.s_step.warmStarting=this.m_warmStarting,this.s_step.blockSolve=this.m_blockSolve,this.updateContacts(),this.m_stepComplete&&t>0){this.m_solver.solveWorld(this.s_step);for(var s=this.m_bodyList;s;s=s.getNext())0!=s.m_islandFlag&&(s.isStatic()||s.synchronizeFixtures());this.findNewContacts()}this.m_continuousPhysics&&t>0&&this.m_solver.solveWorldTOI(this.s_step),this.m_clearForces&&this.clearForces(),this.m_locked=!1,this.publish("post-step",t)},t.prototype.findNewContacts=function(){var t=this;this.m_broadPhase.updatePairs((function(e,i){return t.createContact(e,i)}))},t.prototype.createContact=function(t,e){var i=t.fixture,s=e.fixture,o=t.childIndex,n=e.childIndex,r=i.getBody(),a=s.getBody();if(r!=a){for(var h=a.getContactList();h;){if(h.other==r){var m=h.contact.getFixtureA(),c=h.contact.getFixtureB(),l=h.contact.getChildIndexA(),_=h.contact.getChildIndexB();if(m==i&&c==s&&l==o&&_==n)return;if(m==s&&c==i&&l==n&&_==o)return}h=h.next}if(0!=a.shouldCollide(r)&&0!=s.shouldCollide(i)){var u=ss.create(i,o,s,n);null!=u&&(u.m_prev=null,null!=this.m_contactList&&(u.m_next=this.m_contactList,this.m_contactList.m_prev=u),this.m_contactList=u,++this.m_contactCount)}}},t.prototype.updateContacts=function(){for(var t,e=this.m_contactList;t=e;){e=t.getNext();var i=t.getFixtureA(),s=t.getFixtureB(),o=t.getChildIndexA(),n=t.getChildIndexB(),r=i.getBody(),a=s.getBody();if(t.m_filterFlag){if(0==a.shouldCollide(r)){this.destroyContact(t);continue}if(0==s.shouldCollide(i)){this.destroyContact(t);continue}t.m_filterFlag=!1}var h=r.isAwake()&&!r.isStatic(),m=a.isAwake()&&!a.isStatic();if(0!=h||0!=m){var c=i.m_proxies[o].proxyId,l=s.m_proxies[n].proxyId;0!=this.m_broadPhase.testOverlap(c,l)?t.update(this):this.destroyContact(t)}}},t.prototype.destroyContact=function(t){t.m_prev&&(t.m_prev.m_next=t.m_next),t.m_next&&(t.m_next.m_prev=t.m_prev),t==this.m_contactList&&(this.m_contactList=t.m_next),ss.destroy(t,this),--this.m_contactCount},t.prototype.on=function(t,e){return"string"!=typeof t||"function"!=typeof e||(this._listeners||(this._listeners={}),this._listeners[t]||(this._listeners[t]=[]),this._listeners[t].push(e)),this},t.prototype.off=function(t,e){if("string"!=typeof t||"function"!=typeof e)return this;var i=this._listeners&&this._listeners[t];if(!i||!i.length)return this;var s=i.indexOf(e);return s>=0&&i.splice(s,1),this},t.prototype.publish=function(t,e,i,s){var o=this._listeners&&this._listeners[t];if(!o||!o.length)return 0;for(var n=0;n<o.length;n++)o[n].call(this,e,i,s);return o.length},t.prototype.beginContact=function(t){this.publish("begin-contact",t)},t.prototype.endContact=function(t){this.publish("end-contact",t)},t.prototype.preSolve=function(t,e){this.publish("pre-solve",t,e)},t.prototype.postSolve=function(t,e){this.publish("post-solve",t,e)},t}(),rs=function(){function t(e,i,s){if(!(this instanceof t))return new t(e,i,s);void 0===e?(this.x=0,this.y=0,this.z=0):"object"==typeof e?(this.x=e.x,this.y=e.y,this.z=e.z):(this.x=e,this.y=i,this.z=s)}return t.prototype._serialize=function(){return{x:this.x,y:this.y,z:this.z}},t._deserialize=function(e){var i=Object.create(t.prototype);return i.x=e.x,i.y=e.y,i.z=e.z,i},t.neo=function(e,i,s){var o=Object.create(t.prototype);return o.x=e,o.y=i,o.z=s,o},t.zero=function(){var e=Object.create(t.prototype);return e.x=0,e.y=0,e.z=0,e},t.clone=function(e){return t.neo(e.x,e.y,e.z)},t.prototype.toString=function(){return JSON.stringify(this)},t.isValid=function(t){return null!=t&&(Number.isFinite(t.x)&&Number.isFinite(t.y)&&Number.isFinite(t.z))},t.assert=function(t){},t.prototype.setZero=function(){return this.x=0,this.y=0,this.z=0,this},t.prototype.set=function(t,e,i){return this.x=t,this.y=e,this.z=i,this},t.prototype.add=function(t){return this.x+=t.x,this.y+=t.y,this.z+=t.z,this},t.prototype.sub=function(t){return this.x-=t.x,this.y-=t.y,this.z-=t.z,this},t.prototype.mul=function(t){return this.x*=t,this.y*=t,this.z*=t,this},t.areEqual=function(t,e){return t===e||"object"==typeof t&&null!==t&&"object"==typeof e&&null!==e&&t.x===e.x&&t.y===e.y&&t.z===e.z},t.dot=function(t,e){return t.x*e.x+t.y*e.y+t.z*e.z},t.cross=function(e,i){return new t(e.y*i.z-e.z*i.y,e.z*i.x-e.x*i.z,e.x*i.y-e.y*i.x)},t.add=function(e,i){return new t(e.x+i.x,e.y+i.y,e.z+i.z)},t.sub=function(e,i){return new t(e.x-i.x,e.y-i.y,e.z-i.z)},t.mul=function(e,i){return new t(i*e.x,i*e.y,i*e.z)},t.prototype.neg=function(){return this.x=-this.x,this.y=-this.y,this.z=-this.z,this},t.neg=function(e){return new t(-e.x,-e.y,-e.z)},t}(),as=k(0,0),hs=k(0,0),ms=function(t){function e(i,s){var o=this;return o instanceof e?((o=t.call(this)||this).m_type=e.TYPE,o.m_radius=b.polygonRadius,o.m_vertex1=i?y.clone(i):y.zero(),o.m_vertex2=s?y.clone(s):y.zero(),o.m_vertex0=y.zero(),o.m_vertex3=y.zero(),o.m_hasVertex0=!1,o.m_hasVertex3=!1,o):new e(i,s)}return i(e,t),e.prototype._serialize=function(){return{type:this.m_type,vertex1:this.m_vertex1,vertex2:this.m_vertex2,vertex0:this.m_vertex0,vertex3:this.m_vertex3,hasVertex0:this.m_hasVertex0,hasVertex3:this.m_hasVertex3}},e._deserialize=function(t){var i=new e(t.vertex1,t.vertex2);return i.m_hasVertex0&&i.setPrevVertex(t.vertex0),i.m_hasVertex3&&i.setNextVertex(t.vertex3),i},e.prototype._reset=function(){},e.prototype.getRadius=function(){return this.m_radius},e.prototype.getType=function(){return this.m_type},e.prototype.setNext=function(t){return this.setNextVertex(t)},e.prototype.setNextVertex=function(t){return t?(this.m_vertex3.setVec2(t),this.m_hasVertex3=!0):(this.m_vertex3.setZero(),this.m_hasVertex3=!1),this},e.prototype.getNextVertex=function(){return this.m_vertex3},e.prototype.setPrev=function(t){return this.setPrevVertex(t)},e.prototype.setPrevVertex=function(t){return t?(this.m_vertex0.setVec2(t),this.m_hasVertex0=!0):(this.m_vertex0.setZero(),this.m_hasVertex0=!1),this},e.prototype.getPrevVertex=function(){return this.m_vertex0},e.prototype._set=function(t,e){return this.m_vertex1.setVec2(t),this.m_vertex2.setVec2(e),this.m_hasVertex0=!1,this.m_hasVertex3=!1,this},e.prototype._clone=function(){var t=new e;return t.m_type=this.m_type,t.m_radius=this.m_radius,t.m_vertex1.setVec2(this.m_vertex1),t.m_vertex2.setVec2(this.m_vertex2),t.m_vertex0.setVec2(this.m_vertex0),t.m_vertex3.setVec2(this.m_vertex3),t.m_hasVertex0=this.m_hasVertex0,t.m_hasVertex3=this.m_hasVertex3,t},e.prototype.getChildCount=function(){return 1},e.prototype.testPoint=function(t,e){return!1},e.prototype.rayCast=function(t,e,i,s){var o=pt.mulTVec2(i.q,y.sub(e.p1,i.p)),n=pt.mulTVec2(i.q,y.sub(e.p2,i.p)),r=y.sub(n,o),a=this.m_vertex1,h=this.m_vertex2,m=y.sub(h,a),c=y.neo(m.y,-m.x);c.normalize();var l=y.dot(c,y.sub(a,o)),_=y.dot(c,r);if(0==_)return!1;var u=l/_;if(u<0||e.maxFraction<u)return!1;var p=y.add(o,y.mulNumVec2(u,r)),d=y.sub(h,a),f=y.dot(d,d);if(0==f)return!1;var v=y.dot(y.sub(p,a),d)/f;return!(v<0||1<v)&&(t.fraction=u,t.normal=l>0?pt.mulVec2(i.q,c).neg():pt.mulVec2(i.q,c),!0)},e.prototype.computeAABB=function(t,e,i){at(as,e,this.m_vertex1),at(hs,e,this.m_vertex2),v.combinePoints(t,as,hs),v.extend(t,this.m_radius)},e.prototype.computeMass=function(t,e){t.mass=0,X(t.center,.5,this.m_vertex1,.5,this.m_vertex2),t.I=0},e.prototype.computeDistanceProxy=function(t){t.m_vertices[0]=this.m_vertex1,t.m_vertices[1]=this.m_vertex2,t.m_vertices.length=2,t.m_count=2,t.m_radius=this.m_radius},e.TYPE="edge",e}(Mt),cs=ms,ls=k(0,0),_s=k(0,0),us=function(t){function e(i,s){var o=this;return o instanceof e?((o=t.call(this)||this).m_type=e.TYPE,o.m_radius=b.polygonRadius,o.m_vertices=[],o.m_count=0,o.m_prevVertex=null,o.m_nextVertex=null,o.m_hasPrevVertex=!1,o.m_hasNextVertex=!1,o.m_isLoop=!!s,i&&i.length&&(s?o._createLoop(i):o._createChain(i)),o):new e(i,s)}return i(e,t),e.prototype._serialize=function(){var t={type:this.m_type,vertices:this.m_vertices,isLoop:this.m_isLoop,hasPrevVertex:this.m_hasPrevVertex,hasNextVertex:this.m_hasNextVertex,prevVertex:null,nextVertex:null};return this.m_prevVertex&&(t.prevVertex=this.m_prevVertex),this.m_nextVertex&&(t.nextVertex=this.m_nextVertex),t},e._deserialize=function(t,i,s){var o=[];if(t.vertices)for(var n=0;n<t.vertices.length;n++)o.push(s(y,t.vertices[n]));var r=new e(o,t.isLoop);return t.prevVertex&&r.setPrevVertex(t.prevVertex),t.nextVertex&&r.setNextVertex(t.nextVertex),r},e.prototype.getType=function(){return this.m_type},e.prototype.getRadius=function(){return this.m_radius},e.prototype._createLoop=function(t){if(!(t.length<3)){for(var e=1;e<t.length;++e)t[e-1],t[e];this.m_vertices=[],this.m_count=t.length+1;for(e=0;e<t.length;++e)this.m_vertices[e]=y.clone(t[e]);return this.m_vertices[t.length]=y.clone(t[0]),this.m_prevVertex=this.m_vertices[this.m_count-2],this.m_nextVertex=this.m_vertices[1],this.m_hasPrevVertex=!0,this.m_hasNextVertex=!0,this}},e.prototype._createChain=function(t){for(var e=1;e<t.length;++e)t[e-1],t[e];this.m_count=t.length;for(e=0;e<t.length;++e)this.m_vertices[e]=y.clone(t[e]);return this.m_hasPrevVertex=!1,this.m_hasNextVertex=!1,this.m_prevVertex=null,this.m_nextVertex=null,this},e.prototype._reset=function(){this.m_isLoop?this._createLoop(this.m_vertices):this._createChain(this.m_vertices)},e.prototype.setPrevVertex=function(t){this.m_prevVertex=t,this.m_hasPrevVertex=!0},e.prototype.getPrevVertex=function(){return this.m_prevVertex},e.prototype.setNextVertex=function(t){this.m_nextVertex=t,this.m_hasNextVertex=!0},e.prototype.getNextVertex=function(){return this.m_nextVertex},e.prototype._clone=function(){var t=new e;return t._createChain(this.m_vertices),t.m_type=this.m_type,t.m_radius=this.m_radius,t.m_prevVertex=this.m_prevVertex,t.m_nextVertex=this.m_nextVertex,t.m_hasPrevVertex=this.m_hasPrevVertex,t.m_hasNextVertex=this.m_hasNextVertex,t},e.prototype.getChildCount=function(){return this.m_count-1},e.prototype.getChildEdge=function(t,e){t.m_type=ms.TYPE,t.m_radius=this.m_radius,t.m_vertex1=this.m_vertices[e],t.m_vertex2=this.m_vertices[e+1],e>0?(t.m_vertex0=this.m_vertices[e-1],t.m_hasVertex0=!0):(t.m_vertex0=this.m_prevVertex,t.m_hasVertex0=this.m_hasPrevVertex),e<this.m_count-2?(t.m_vertex3=this.m_vertices[e+2],t.m_hasVertex3=!0):(t.m_vertex3=this.m_nextVertex,t.m_hasVertex3=this.m_hasNextVertex)},e.prototype.getVertex=function(t){return t<this.m_count?this.m_vertices[t]:this.m_vertices[0]},e.prototype.isLoop=function(){return this.m_isLoop},e.prototype.testPoint=function(t,e){return!1},e.prototype.rayCast=function(t,e,i,s){return new ms(this.getVertex(s),this.getVertex(s+1)).rayCast(t,e,i,0)},e.prototype.computeAABB=function(t,e,i){at(ls,e,this.getVertex(i)),at(_s,e,this.getVertex(i+1)),v.combinePoints(t,ls,_s)},e.prototype.computeMass=function(t,e){t.mass=0,j(t.center),t.I=0},e.prototype.computeDistanceProxy=function(t,e){t.m_vertices[0]=this.getVertex(e),t.m_vertices[1]=this.getVertex(e+1),t.m_count=2,t.m_radius=this.m_radius},e.TYPE="chain",e}(Mt),ps=us,ys=Math.max,ds=Math.min,fs=k(0,0),vs=k(0,0),xs=k(0,0),gs=k(0,0),bs=k(0,0),As=k(0,0),Bs=function(t){function e(i){var s=this;return s instanceof e?((s=t.call(this)||this).m_type=e.TYPE,s.m_radius=b.polygonRadius,s.m_centroid=y.zero(),s.m_vertices=[],s.m_normals=[],s.m_count=0,i&&i.length&&s._set(i),s):new e(i)}return i(e,t),e.prototype._serialize=function(){return{type:this.m_type,vertices:this.m_vertices}},e._deserialize=function(t,i,s){var o=[];if(t.vertices)for(var n=0;n<t.vertices.length;n++)o.push(s(y,t.vertices[n]));return new e(o)},e.prototype.getType=function(){return this.m_type},e.prototype.getRadius=function(){return this.m_radius},e.prototype._clone=function(){var t=new e;t.m_type=this.m_type,t.m_radius=this.m_radius,t.m_count=this.m_count,t.m_centroid.setVec2(this.m_centroid);for(var i=0;i<this.m_count;i++)t.m_vertices.push(this.m_vertices[i].clone());for(i=0;i<this.m_normals.length;i++)t.m_normals.push(this.m_normals[i].clone());return t},e.prototype.getChildCount=function(){return 1},e.prototype._reset=function(){this._set(this.m_vertices)},e.prototype._set=function(t){if(t.length<3)this._setAsBox(1,1);else{for(var e=ds(t.length,b.maxPolygonVertices),i=[],s=0;s<e;++s){for(var o=t[s],n=!0,r=0;r<i.length;++r)if(y.distanceSquared(o,i[r])<.25*b.linearSlopSquared){n=!1;break}n&&i.push(y.clone(o))}if((e=i.length)<3)this._setAsBox(1,1);else{var a=0,h=i[0].x;for(s=1;s<e;++s){var m=i[s].x;(m>h||m===h&&i[s].y<i[a].y)&&(a=s,h=m)}for(var c=[],l=0,_=a;;){c[l]=_;var u=0;for(r=1;r<e;++r)if(u!==_){var p=y.sub(i[u],i[c[l]]),d=(o=y.sub(i[r],i[c[l]]),y.crossVec2Vec2(p,o));d<0&&(u=r),0===d&&o.lengthSquared()>p.lengthSquared()&&(u=r)}else u=r;if(++l,_=u,u===a)break}if(l<3)this._setAsBox(1,1);else{this.m_count=l,this.m_vertices=[];for(s=0;s<l;++s)this.m_vertices[s]=i[c[s]];for(s=0;s<l;++s){var f=s,v=s+1<l?s+1:0,x=y.sub(this.m_vertices[v],this.m_vertices[f]);this.m_normals[s]=y.crossVec2Num(x,1),this.m_normals[s].normalize()}this.m_centroid=function(t,e){for(var i=y.zero(),s=0,o=y.zero(),n=1/3,r=0;r<e;++r){var a=o,h=t[r],m=r+1<e?t[r+1]:t[0],c=y.sub(h,a),l=y.sub(m,a),_=.5*y.crossVec2Vec2(c,l);s+=_,U(fs,1,a,1,h,1,m),J(i,_*n,fs)}return i.mul(1/s),i}(this.m_vertices,l)}}}},e.prototype._setAsBox=function(t,e,i,s){if(this.m_vertices[0]=y.neo(t,-e),this.m_vertices[1]=y.neo(t,e),this.m_vertices[2]=y.neo(-t,e),this.m_vertices[3]=y.neo(-t,-e),this.m_normals[0]=y.neo(1,0),this.m_normals[1]=y.neo(0,1),this.m_normals[2]=y.neo(-1,0),this.m_normals[3]=y.neo(0,-1),this.m_count=4,i&&y.isValid(i)){s=s||0,N(this.m_centroid,i);var o=xt.identity();o.p.setVec2(i),o.q.setAngle(s);for(var n=0;n<this.m_count;++n)this.m_vertices[n]=xt.mulVec2(o,this.m_vertices[n]),this.m_normals[n]=pt.mulVec2(o.q,this.m_normals[n])}},e.prototype.testPoint=function(t,e){for(var i=ht(fs,t,e),s=0;s<this.m_count;++s){if($(this.m_normals[s],i)-$(this.m_normals[s],this.m_vertices[s])>0)return!1}return!0},e.prototype.rayCast=function(t,e,i,s){for(var o=pt.mulTVec2(i.q,y.sub(e.p1,i.p)),n=pt.mulTVec2(i.q,y.sub(e.p2,i.p)),r=y.sub(n,o),a=0,h=e.maxFraction,m=-1,c=0;c<this.m_count;++c){var l=y.dot(this.m_normals[c],y.sub(this.m_vertices[c],o)),_=y.dot(this.m_normals[c],r);if(0==_){if(l<0)return!1}else _<0&&l<a*_?(a=l/_,m=c):_>0&&l<h*_&&(h=l/_);if(h<a)return!1}return m>=0&&(t.fraction=a,t.normal=pt.mulVec2(i.q,this.m_normals[m]),!0)},e.prototype.computeAABB=function(t,e,i){for(var s=1/0,o=1/0,n=-1/0,r=-1/0,a=0;a<this.m_count;++a){var h=at(fs,e,this.m_vertices[a]);s=ds(s,h.x),n=ys(n,h.x),o=ds(o,h.y),r=ys(r,h.y)}q(t.lowerBound,s-this.m_radius,o-this.m_radius),q(t.upperBound,n+this.m_radius,r+this.m_radius)},e.prototype.computeMass=function(t,e){j(bs);var i=0,s=0;j(As);for(var o=0;o<this.m_count;++o)R(As,this.m_vertices[o]);W(As,1/this.m_count,As);var n=1/3;for(o=0;o<this.m_count;++o){E(xs,this.m_vertices[o],As),o+1<this.m_count?E(gs,this.m_vertices[o+1],As):E(gs,this.m_vertices[0],As);var r=Q(xs,gs),a=.5*r;i+=a,X(fs,a*n,xs,a*n,gs),R(bs,fs);var h=xs.x,m=xs.y,c=gs.x,l=gs.y;s+=.25*n*r*(h*h+c*h+c*c+(m*m+l*m+l*l))}t.mass=e*i,W(bs,1/i,bs),function(t,e,i){t.x=e.x+i.x,t.y=e.x+i.y}(t.center,bs,As),t.I=e*s,t.I+=t.mass*($(t.center,t.center)-$(bs,bs))},e.prototype.validate=function(){for(var t=0;t<this.m_count;++t){var e=t,i=t<this.m_count-1?e+1:0,s=this.m_vertices[e];E(vs,this.m_vertices[i],s);for(var o=0;o<this.m_count;++o){if(o!=e&&o!=i)if(Q(vs,E(fs,this.m_vertices[o],s))<0)return!1}}return!0},e.prototype.computeDistanceProxy=function(t){for(var e=0;e<this.m_count;++e)t.m_vertices[e]=this.m_vertices[e];t.m_vertices.length=this.m_count,t.m_count=this.m_count,t.m_radius=this.m_radius},e.TYPE="polygon",e}(Mt);var ws,Ms=Bs,Cs=Math.sqrt,Vs=Math.PI,Ss=k(0,0),Is=function(t){function e(i,s){var o=this;return o instanceof e?((o=t.call(this)||this).m_type=e.TYPE,o.m_p=y.zero(),o.m_radius=1,"object"==typeof i&&y.isValid(i)?(o.m_p.setVec2(i),"number"==typeof s&&(o.m_radius=s)):"number"==typeof i&&(o.m_radius=i),o):new e(i,s)}return i(e,t),e.prototype._serialize=function(){return{type:this.m_type,p:this.m_p,radius:this.m_radius}},e._deserialize=function(t){return new e(t.p,t.radius)},e.prototype._reset=function(){},e.prototype.getType=function(){return this.m_type},e.prototype.getRadius=function(){return this.m_radius},e.prototype.getCenter=function(){return this.m_p},e.prototype._clone=function(){var t=new e;return t.m_type=this.m_type,t.m_radius=this.m_radius,t.m_p=this.m_p.clone(),t},e.prototype.getChildCount=function(){return 1},e.prototype.testPoint=function(t,e){return it(e,at(Ss,t,this.m_p))<=this.m_radius*this.m_radius},e.prototype.rayCast=function(t,e,i,s){var o=y.add(i.p,pt.mulVec2(i.q,this.m_p)),n=y.sub(e.p1,o),a=y.dot(n,n)-this.m_radius*this.m_radius,h=y.sub(e.p2,e.p1),m=y.dot(n,h),c=y.dot(h,h),l=m*m-c*a;if(l<0||c<r)return!1;var _=-(m+Cs(l));return 0<=_&&_<=e.maxFraction*c&&(_/=c,t.fraction=_,t.normal=y.add(n,y.mulNumVec2(_,h)),t.normal.normalize(),!0)},e.prototype.computeAABB=function(t,e,i){var s=at(Ss,e,this.m_p);q(t.lowerBound,s.x-this.m_radius,s.y-this.m_radius),q(t.upperBound,s.x+this.m_radius,s.y+this.m_radius)},e.prototype.computeMass=function(t,e){t.mass=e*Vs*this.m_radius*this.m_radius,N(t.center,this.m_p),t.I=t.mass*(.5*this.m_radius*this.m_radius+tt(this.m_p))},e.prototype.computeDistanceProxy=function(t){t.m_vertices[0]=this.m_p,t.m_vertices.length=1,t.m_count=1,t.m_radius=this.m_radius},e.TYPE="circle",e}(Mt),Ps=Is,Ts=Math.abs,zs=Math.PI,Fs={frequencyHz:0,dampingRatio:0},Ls=function(t){function e(i,s,n,r,a){var h=this;if(!(h instanceof e))return new e(i,s,n,r,a);if(n&&r&&"m_type"in r&&"x"in n&&"y"in n){var m=n;n=r,r=m}return i=o(i,Fs),s=(h=t.call(this,i,s,n)||this).m_bodyA,n=h.m_bodyB,h.m_type=e.TYPE,h.m_localAnchorA=y.clone(r?s.getLocalPoint(r):i.localAnchorA||y.zero()),h.m_localAnchorB=y.clone(a?n.getLocalPoint(a):i.localAnchorB||y.zero()),h.m_length=Number.isFinite(i.length)?i.length:y.distance(s.getWorldPoint(h.m_localAnchorA),n.getWorldPoint(h.m_localAnchorB)),h.m_frequencyHz=i.frequencyHz,h.m_dampingRatio=i.dampingRatio,h.m_impulse=0,h.m_gamma=0,h.m_bias=0,h}return i(e,t),e.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,frequencyHz:this.m_frequencyHz,dampingRatio:this.m_dampingRatio,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,length:this.m_length,impulse:this.m_impulse,gamma:this.m_gamma,bias:this.m_bias}},e._deserialize=function(t,i,o){return(t=s({},t)).bodyA=o(Ot,t.bodyA,i),t.bodyB=o(Ot,t.bodyB,i),new e(t)},e.prototype._reset=function(t){t.anchorA?this.m_localAnchorA.setVec2(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.setVec2(t.localAnchorA),t.anchorB?this.m_localAnchorB.setVec2(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.setVec2(t.localAnchorB),t.length>0?this.m_length=+t.length:t.length<0||(t.anchorA||t.anchorA||t.anchorA||t.anchorA)&&(this.m_length=y.distance(this.m_bodyA.getWorldPoint(this.m_localAnchorA),this.m_bodyB.getWorldPoint(this.m_localAnchorB))),Number.isFinite(t.frequencyHz)&&(this.m_frequencyHz=t.frequencyHz),Number.isFinite(t.dampingRatio)&&(this.m_dampingRatio=t.dampingRatio)},e.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},e.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},e.prototype.setLength=function(t){this.m_length=t},e.prototype.getLength=function(){return this.m_length},e.prototype.setFrequency=function(t){this.m_frequencyHz=t},e.prototype.getFrequency=function(){return this.m_frequencyHz},e.prototype.setDampingRatio=function(t){this.m_dampingRatio=t},e.prototype.getDampingRatio=function(){return this.m_dampingRatio},e.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},e.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},e.prototype.getReactionForce=function(t){return y.mulNumVec2(this.m_impulse,this.m_u).mul(t)},e.prototype.getReactionTorque=function(t){return 0},e.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var e=this.m_bodyA.c_position.c,i=this.m_bodyA.c_position.a,s=this.m_bodyA.c_velocity.v,o=this.m_bodyA.c_velocity.w,n=this.m_bodyB.c_position.c,r=this.m_bodyB.c_position.a,a=this.m_bodyB.c_velocity.v,h=this.m_bodyB.c_velocity.w,m=pt.neo(i),c=pt.neo(r);this.m_rA=pt.mulVec2(m,y.sub(this.m_localAnchorA,this.m_localCenterA)),this.m_rB=pt.mulVec2(c,y.sub(this.m_localAnchorB,this.m_localCenterB)),this.m_u=y.sub(y.add(n,this.m_rB),y.add(e,this.m_rA));var l=this.m_u.length();l>b.linearSlop?this.m_u.mul(1/l):this.m_u.setNum(0,0);var _=y.crossVec2Vec2(this.m_rA,this.m_u),u=y.crossVec2Vec2(this.m_rB,this.m_u),p=this.m_invMassA+this.m_invIA*_*_+this.m_invMassB+this.m_invIB*u*u;if(this.m_mass=0!=p?1/p:0,this.m_frequencyHz>0){var d=l-this.m_length,f=2*zs*this.m_frequencyHz,v=2*this.m_mass*this.m_dampingRatio*f,x=this.m_mass*f*f,g=t.dt;this.m_gamma=g*(v+g*x),this.m_gamma=0!=this.m_gamma?1/this.m_gamma:0,this.m_bias=d*g*x*this.m_gamma,p+=this.m_gamma,this.m_mass=0!=p?1/p:0}else this.m_gamma=0,this.m_bias=0;if(t.warmStarting){this.m_impulse*=t.dtRatio;var A=y.mulNumVec2(this.m_impulse,this.m_u);s.subMul(this.m_invMassA,A),o-=this.m_invIA*y.crossVec2Vec2(this.m_rA,A),a.addMul(this.m_invMassB,A),h+=this.m_invIB*y.crossVec2Vec2(this.m_rB,A)}else this.m_impulse=0;this.m_bodyA.c_velocity.v.setVec2(s),this.m_bodyA.c_velocity.w=o,this.m_bodyB.c_velocity.v.setVec2(a),this.m_bodyB.c_velocity.w=h},e.prototype.solveVelocityConstraints=function(t){var e=this.m_bodyA.c_velocity.v,i=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=y.add(e,y.crossNumVec2(i,this.m_rA)),r=y.add(s,y.crossNumVec2(o,this.m_rB)),a=y.dot(this.m_u,r)-y.dot(this.m_u,n),h=-this.m_mass*(a+this.m_bias+this.m_gamma*this.m_impulse);this.m_impulse+=h;var m=y.mulNumVec2(h,this.m_u);e.subMul(this.m_invMassA,m),i-=this.m_invIA*y.crossVec2Vec2(this.m_rA,m),s.addMul(this.m_invMassB,m),o+=this.m_invIB*y.crossVec2Vec2(this.m_rB,m),this.m_bodyA.c_velocity.v.setVec2(e),this.m_bodyA.c_velocity.w=i,this.m_bodyB.c_velocity.v.setVec2(s),this.m_bodyB.c_velocity.w=o},e.prototype.solvePositionConstraints=function(t){if(this.m_frequencyHz>0)return!0;var e=this.m_bodyA.c_position.c,i=this.m_bodyA.c_position.a,s=this.m_bodyB.c_position.c,o=this.m_bodyB.c_position.a,n=pt.neo(i),r=pt.neo(o),a=pt.mulSub(n,this.m_localAnchorA,this.m_localCenterA),h=pt.mulSub(r,this.m_localAnchorB,this.m_localCenterB),c=y.sub(y.add(s,h),y.add(e,a)),l=m(c.normalize()-this.m_length,-b.maxLinearCorrection,b.maxLinearCorrection),_=-this.m_mass*l,u=y.mulNumVec2(_,c);return e.subMul(this.m_invMassA,u),i-=this.m_invIA*y.crossVec2Vec2(a,u),s.addMul(this.m_invMassB,u),o+=this.m_invIB*y.crossVec2Vec2(h,u),this.m_bodyA.c_position.c.setVec2(e),this.m_bodyA.c_position.a=i,this.m_bodyB.c_position.c.setVec2(s),this.m_bodyB.c_position.a=o,Ts(l)<b.linearSlop},e.TYPE="distance-joint",e}(Yt),ks={maxForce:0,maxTorque:0},qs=function(t){function e(i,s,n,r){var a=this;return a instanceof e?(i=o(i,ks),s=(a=t.call(this,i,s,n)||this).m_bodyA,n=a.m_bodyB,a.m_type=e.TYPE,a.m_localAnchorA=y.clone(r?s.getLocalPoint(r):i.localAnchorA||y.zero()),a.m_localAnchorB=y.clone(r?n.getLocalPoint(r):i.localAnchorB||y.zero()),a.m_linearImpulse=y.zero(),a.m_angularImpulse=0,a.m_maxForce=i.maxForce,a.m_maxTorque=i.maxTorque,a):new e(i,s,n,r)}return i(e,t),e.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,maxForce:this.m_maxForce,maxTorque:this.m_maxTorque,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB}},e._deserialize=function(t,i,o){return(t=s({},t)).bodyA=o(Ot,t.bodyA,i),t.bodyB=o(Ot,t.bodyB,i),new e(t)},e.prototype._reset=function(t){t.anchorA?this.m_localAnchorA.setVec2(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.setVec2(t.localAnchorA),t.anchorB?this.m_localAnchorB.setVec2(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.setVec2(t.localAnchorB),Number.isFinite(t.maxForce)&&(this.m_maxForce=t.maxForce),Number.isFinite(t.maxTorque)&&(this.m_maxTorque=t.maxTorque)},e.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},e.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},e.prototype.setMaxForce=function(t){this.m_maxForce=t},e.prototype.getMaxForce=function(){return this.m_maxForce},e.prototype.setMaxTorque=function(t){this.m_maxTorque=t},e.prototype.getMaxTorque=function(){return this.m_maxTorque},e.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},e.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},e.prototype.getReactionForce=function(t){return y.mulNumVec2(t,this.m_linearImpulse)},e.prototype.getReactionTorque=function(t){return t*this.m_angularImpulse},e.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var e=this.m_bodyA.c_position.a,i=this.m_bodyA.c_velocity.v,s=this.m_bodyA.c_velocity.w,o=this.m_bodyB.c_position.a,n=this.m_bodyB.c_velocity.v,r=this.m_bodyB.c_velocity.w,a=pt.neo(e),h=pt.neo(o);this.m_rA=pt.mulVec2(a,y.sub(this.m_localAnchorA,this.m_localCenterA)),this.m_rB=pt.mulVec2(h,y.sub(this.m_localAnchorB,this.m_localCenterB));var m=this.m_invMassA,c=this.m_invMassB,l=this.m_invIA,_=this.m_invIB,u=new si;if(u.ex.x=m+c+l*this.m_rA.y*this.m_rA.y+_*this.m_rB.y*this.m_rB.y,u.ex.y=-l*this.m_rA.x*this.m_rA.y-_*this.m_rB.x*this.m_rB.y,u.ey.x=u.ex.y,u.ey.y=m+c+l*this.m_rA.x*this.m_rA.x+_*this.m_rB.x*this.m_rB.x,this.m_linearMass=u.getInverse(),this.m_angularMass=l+_,this.m_angularMass>0&&(this.m_angularMass=1/this.m_angularMass),t.warmStarting){this.m_linearImpulse.mul(t.dtRatio),this.m_angularImpulse*=t.dtRatio;var p=y.neo(this.m_linearImpulse.x,this.m_linearImpulse.y);i.subMul(m,p),s-=l*(y.crossVec2Vec2(this.m_rA,p)+this.m_angularImpulse),n.addMul(c,p),r+=_*(y.crossVec2Vec2(this.m_rB,p)+this.m_angularImpulse)}else this.m_linearImpulse.setZero(),this.m_angularImpulse=0;this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=s,this.m_bodyB.c_velocity.v=n,this.m_bodyB.c_velocity.w=r},e.prototype.solveVelocityConstraints=function(t){var e=this.m_bodyA.c_velocity.v,i=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=this.m_invMassA,r=this.m_invMassB,a=this.m_invIA,h=this.m_invIB,c=t.dt,l=o-i,_=-this.m_angularMass*l,u=this.m_angularImpulse,p=c*this.m_maxTorque;this.m_angularImpulse=m(this.m_angularImpulse+_,-p,p),i-=a*(_=this.m_angularImpulse-u),o+=h*_;l=y.sub(y.add(s,y.crossNumVec2(o,this.m_rB)),y.add(e,y.crossNumVec2(i,this.m_rA))),_=y.neg(si.mulVec2(this.m_linearMass,l)),u=this.m_linearImpulse;this.m_linearImpulse.add(_);p=c*this.m_maxForce;this.m_linearImpulse.lengthSquared()>p*p&&(this.m_linearImpulse.normalize(),this.m_linearImpulse.mul(p)),_=y.sub(this.m_linearImpulse,u),e.subMul(n,_),i-=a*y.crossVec2Vec2(this.m_rA,_),s.addMul(r,_),o+=h*y.crossVec2Vec2(this.m_rB,_),this.m_bodyA.c_velocity.v=e,this.m_bodyA.c_velocity.w=i,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},e.prototype.solvePositionConstraints=function(t){return!0},e.TYPE="friction-joint",e}(Yt),Ns=function(){function t(t,e,i){"object"==typeof t&&null!==t?(this.ex=rs.clone(t),this.ey=rs.clone(e),this.ez=rs.clone(i)):(this.ex=rs.zero(),this.ey=rs.zero(),this.ez=rs.zero())}return t.prototype.toString=function(){return JSON.stringify(this)},t.isValid=function(t){return null!=t&&(rs.isValid(t.ex)&&rs.isValid(t.ey)&&rs.isValid(t.ez))},t.assert=function(t){},t.prototype.setZero=function(){return this.ex.setZero(),this.ey.setZero(),this.ez.setZero(),this},t.prototype.solve33=function(t){var e=this.ey.y*this.ez.z-this.ey.z*this.ez.y,i=this.ey.z*this.ez.x-this.ey.x*this.ez.z,s=this.ey.x*this.ez.y-this.ey.y*this.ez.x,o=this.ex.x*e+this.ex.y*i+this.ex.z*s;0!==o&&(o=1/o);var n=new rs;return e=this.ey.y*this.ez.z-this.ey.z*this.ez.y,i=this.ey.z*this.ez.x-this.ey.x*this.ez.z,s=this.ey.x*this.ez.y-this.ey.y*this.ez.x,n.x=o*(t.x*e+t.y*i+t.z*s),e=t.y*this.ez.z-t.z*this.ez.y,i=t.z*this.ez.x-t.x*this.ez.z,s=t.x*this.ez.y-t.y*this.ez.x,n.y=o*(this.ex.x*e+this.ex.y*i+this.ex.z*s),e=this.ey.y*t.z-this.ey.z*t.y,i=this.ey.z*t.x-this.ey.x*t.z,s=this.ey.x*t.y-this.ey.y*t.x,n.z=o*(this.ex.x*e+this.ex.y*i+this.ex.z*s),n},t.prototype.solve22=function(t){var e=this.ex.x,i=this.ey.x,s=this.ex.y,o=this.ey.y,n=e*o-i*s;0!==n&&(n=1/n);var r=y.zero();return r.x=n*(o*t.x-i*t.y),r.y=n*(e*t.y-s*t.x),r},t.prototype.getInverse22=function(t){var e=this.ex.x,i=this.ey.x,s=this.ex.y,o=this.ey.y,n=e*o-i*s;0!==n&&(n=1/n),t.ex.x=n*o,t.ey.x=-n*i,t.ex.z=0,t.ex.y=-n*s,t.ey.y=n*e,t.ey.z=0,t.ez.x=0,t.ez.y=0,t.ez.z=0},t.prototype.getSymInverse33=function(t){var e=rs.dot(this.ex,rs.cross(this.ey,this.ez));0!==e&&(e=1/e);var i=this.ex.x,s=this.ey.x,o=this.ez.x,n=this.ey.y,r=this.ez.y,a=this.ez.z;t.ex.x=e*(n*a-r*r),t.ex.y=e*(o*r-s*a),t.ex.z=e*(s*r-o*n),t.ey.x=t.ex.y,t.ey.y=e*(i*a-o*o),t.ey.z=e*(o*s-i*r),t.ez.x=t.ex.z,t.ez.y=t.ey.z,t.ez.z=e*(i*n-s*s)},t.mul=function(t,e){if(e&&"z"in e&&"y"in e&&"x"in e){var i=t.ex.x*e.x+t.ey.x*e.y+t.ez.x*e.z,s=t.ex.y*e.x+t.ey.y*e.y+t.ez.y*e.z,o=t.ex.z*e.x+t.ey.z*e.y+t.ez.z*e.z;return new rs(i,s,o)}if(e&&"y"in e&&"x"in e){i=t.ex.x*e.x+t.ey.x*e.y,s=t.ex.y*e.x+t.ey.y*e.y;return y.neo(i,s)}},t.mulVec3=function(t,e){var i=t.ex.x*e.x+t.ey.x*e.y+t.ez.x*e.z,s=t.ex.y*e.x+t.ey.y*e.y+t.ez.y*e.z,o=t.ex.z*e.x+t.ey.z*e.y+t.ez.z*e.z;return new rs(i,s,o)},t.mulVec2=function(t,e){var i=t.ex.x*e.x+t.ey.x*e.y,s=t.ex.y*e.x+t.ey.y*e.y;return y.neo(i,s)},t.add=function(e,i){return new t(rs.add(e.ex,i.ex),rs.add(e.ey,i.ey),rs.add(e.ez,i.ez))},t}(),js=Math.abs;!function(t){t[t.inactiveLimit=0]="inactiveLimit",t[t.atLowerLimit=1]="atLowerLimit",t[t.atUpperLimit=2]="atUpperLimit",t[t.equalLimits=3]="equalLimits"}(ws||(ws={}));var Ds,Rs=0,Os=0,Es=0,Ys=0,Ws=!1,Js=!1,Hs=function(t){function e(i,s,o,n){var r,a,h,m,c,l,_=this;return _ instanceof e?(i=null!=i?i:{},s=(_=t.call(this,i,s,o)||this).m_bodyA,o=_.m_bodyB,_.m_mass=new Ns,_.m_limitState=ws.inactiveLimit,_.m_type=e.TYPE,y.isValid(n)?_.m_localAnchorA=s.getLocalPoint(n):y.isValid(i.localAnchorA)?_.m_localAnchorA=y.clone(i.localAnchorA):_.m_localAnchorA=y.zero(),y.isValid(n)?_.m_localAnchorB=o.getLocalPoint(n):y.isValid(i.localAnchorB)?_.m_localAnchorB=y.clone(i.localAnchorB):_.m_localAnchorB=y.zero(),Number.isFinite(i.referenceAngle)?_.m_referenceAngle=i.referenceAngle:_.m_referenceAngle=o.getAngle()-s.getAngle(),_.m_impulse=new rs,_.m_motorImpulse=0,_.m_lowerAngle=null!==(r=i.lowerAngle)&&void 0!==r?r:Rs,_.m_upperAngle=null!==(a=i.upperAngle)&&void 0!==a?a:Os,_.m_maxMotorTorque=null!==(h=i.maxMotorTorque)&&void 0!==h?h:Es,_.m_motorSpeed=null!==(m=i.motorSpeed)&&void 0!==m?m:Ys,_.m_enableLimit=null!==(c=i.enableLimit)&&void 0!==c?c:Ws,_.m_enableMotor=null!==(l=i.enableMotor)&&void 0!==l?l:Js,_):new e(i,s,o,n)}return i(e,t),e.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,lowerAngle:this.m_lowerAngle,upperAngle:this.m_upperAngle,maxMotorTorque:this.m_maxMotorTorque,motorSpeed:this.m_motorSpeed,enableLimit:this.m_enableLimit,enableMotor:this.m_enableMotor,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,referenceAngle:this.m_referenceAngle}},e._deserialize=function(t,i,o){return(t=s({},t)).bodyA=o(Ot,t.bodyA,i),t.bodyB=o(Ot,t.bodyB,i),new e(t)},e.prototype._reset=function(t){t.anchorA?this.m_localAnchorA.setVec2(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.setVec2(t.localAnchorA),t.anchorB?this.m_localAnchorB.setVec2(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.setVec2(t.localAnchorB),Number.isFinite(t.referenceAngle)&&(this.m_referenceAngle=t.referenceAngle),void 0!==t.enableLimit&&(this.m_enableLimit=t.enableLimit),Number.isFinite(t.lowerAngle)&&(this.m_lowerAngle=t.lowerAngle),Number.isFinite(t.upperAngle)&&(this.m_upperAngle=t.upperAngle),Number.isFinite(t.maxMotorTorque)&&(this.m_maxMotorTorque=t.maxMotorTorque),Number.isFinite(t.motorSpeed)&&(this.m_motorSpeed=t.motorSpeed),void 0!==t.enableMotor&&(this.m_enableMotor=t.enableMotor)},e.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},e.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},e.prototype.getReferenceAngle=function(){return this.m_referenceAngle},e.prototype.getJointAngle=function(){var t=this.m_bodyA;return this.m_bodyB.m_sweep.a-t.m_sweep.a-this.m_referenceAngle},e.prototype.getJointSpeed=function(){var t=this.m_bodyA;return this.m_bodyB.m_angularVelocity-t.m_angularVelocity},e.prototype.isMotorEnabled=function(){return this.m_enableMotor},e.prototype.enableMotor=function(t){t!=this.m_enableMotor&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_enableMotor=t)},e.prototype.getMotorTorque=function(t){return t*this.m_motorImpulse},e.prototype.setMotorSpeed=function(t){t!=this.m_motorSpeed&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_motorSpeed=t)},e.prototype.getMotorSpeed=function(){return this.m_motorSpeed},e.prototype.setMaxMotorTorque=function(t){t!=this.m_maxMotorTorque&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_maxMotorTorque=t)},e.prototype.getMaxMotorTorque=function(){return this.m_maxMotorTorque},e.prototype.isLimitEnabled=function(){return this.m_enableLimit},e.prototype.enableLimit=function(t){t!=this.m_enableLimit&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_enableLimit=t,this.m_impulse.z=0)},e.prototype.getLowerLimit=function(){return this.m_lowerAngle},e.prototype.getUpperLimit=function(){return this.m_upperAngle},e.prototype.setLimits=function(t,e){t==this.m_lowerAngle&&e==this.m_upperAngle||(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_impulse.z=0,this.m_lowerAngle=t,this.m_upperAngle=e)},e.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},e.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},e.prototype.getReactionForce=function(t){return y.neo(this.m_impulse.x,this.m_impulse.y).mul(t)},e.prototype.getReactionTorque=function(t){return t*this.m_impulse.z},e.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var e=this.m_bodyA.c_position.a,i=this.m_bodyA.c_velocity.v,s=this.m_bodyA.c_velocity.w,o=this.m_bodyB.c_position.a,n=this.m_bodyB.c_velocity.v,r=this.m_bodyB.c_velocity.w,a=pt.neo(e),h=pt.neo(o);this.m_rA=pt.mulVec2(a,y.sub(this.m_localAnchorA,this.m_localCenterA)),this.m_rB=pt.mulVec2(h,y.sub(this.m_localAnchorB,this.m_localCenterB));var m=this.m_invMassA,c=this.m_invMassB,l=this.m_invIA,_=this.m_invIB,u=l+_===0;if(this.m_mass.ex.x=m+c+this.m_rA.y*this.m_rA.y*l+this.m_rB.y*this.m_rB.y*_,this.m_mass.ey.x=-this.m_rA.y*this.m_rA.x*l-this.m_rB.y*this.m_rB.x*_,this.m_mass.ez.x=-this.m_rA.y*l-this.m_rB.y*_,this.m_mass.ex.y=this.m_mass.ey.x,this.m_mass.ey.y=m+c+this.m_rA.x*this.m_rA.x*l+this.m_rB.x*this.m_rB.x*_,this.m_mass.ez.y=this.m_rA.x*l+this.m_rB.x*_,this.m_mass.ex.z=this.m_mass.ez.x,this.m_mass.ey.z=this.m_mass.ez.y,this.m_mass.ez.z=l+_,this.m_motorMass=l+_,this.m_motorMass>0&&(this.m_motorMass=1/this.m_motorMass),(0==this.m_enableMotor||u)&&(this.m_motorImpulse=0),this.m_enableLimit&&0==u){var p=o-e-this.m_referenceAngle;js(this.m_upperAngle-this.m_lowerAngle)<2*b.angularSlop?this.m_limitState=ws.equalLimits:p<=this.m_lowerAngle?(this.m_limitState!=ws.atLowerLimit&&(this.m_impulse.z=0),this.m_limitState=ws.atLowerLimit):p>=this.m_upperAngle?(this.m_limitState!=ws.atUpperLimit&&(this.m_impulse.z=0),this.m_limitState=ws.atUpperLimit):(this.m_limitState=ws.inactiveLimit,this.m_impulse.z=0)}else this.m_limitState=ws.inactiveLimit;if(t.warmStarting){this.m_impulse.mul(t.dtRatio),this.m_motorImpulse*=t.dtRatio;var d=y.neo(this.m_impulse.x,this.m_impulse.y);i.subMul(m,d),s-=l*(y.crossVec2Vec2(this.m_rA,d)+this.m_motorImpulse+this.m_impulse.z),n.addMul(c,d),r+=_*(y.crossVec2Vec2(this.m_rB,d)+this.m_motorImpulse+this.m_impulse.z)}else this.m_impulse.setZero(),this.m_motorImpulse=0;this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=s,this.m_bodyB.c_velocity.v=n,this.m_bodyB.c_velocity.w=r},e.prototype.solveVelocityConstraints=function(t){var e=this.m_bodyA.c_velocity.v,i=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=this.m_invMassA,r=this.m_invMassB,a=this.m_invIA,h=this.m_invIB,c=a+h===0;if(this.m_enableMotor&&this.m_limitState!=ws.equalLimits&&0==c){var l=o-i-this.m_motorSpeed,_=-this.m_motorMass*l,u=this.m_motorImpulse,p=t.dt*this.m_maxMotorTorque;this.m_motorImpulse=m(this.m_motorImpulse+_,-p,p),i-=a*(_=this.m_motorImpulse-u),o+=h*_}if(this.m_enableLimit&&this.m_limitState!=ws.inactiveLimit&&0==c){var d=y.zero();d.addCombine(1,s,1,y.crossNumVec2(o,this.m_rB)),d.subCombine(1,e,1,y.crossNumVec2(i,this.m_rA));var f=o-i;l=new rs(d.x,d.y,f),_=rs.neg(this.m_mass.solve33(l));if(this.m_limitState==ws.equalLimits)this.m_impulse.add(_);else if(this.m_limitState==ws.atLowerLimit){if(this.m_impulse.z+_.z<0){var v=y.combine(-1,d,this.m_impulse.z,y.neo(this.m_mass.ez.x,this.m_mass.ez.y)),x=this.m_mass.solve22(v);_.x=x.x,_.y=x.y,_.z=-this.m_impulse.z,this.m_impulse.x+=x.x,this.m_impulse.y+=x.y,this.m_impulse.z=0}else this.m_impulse.add(_)}else if(this.m_limitState==ws.atUpperLimit){if(this.m_impulse.z+_.z>0){v=y.combine(-1,d,this.m_impulse.z,y.neo(this.m_mass.ez.x,this.m_mass.ez.y)),x=this.m_mass.solve22(v);_.x=x.x,_.y=x.y,_.z=-this.m_impulse.z,this.m_impulse.x+=x.x,this.m_impulse.y+=x.y,this.m_impulse.z=0}else this.m_impulse.add(_)}var g=y.neo(_.x,_.y);e.subMul(n,g),i-=a*(y.crossVec2Vec2(this.m_rA,g)+_.z),s.addMul(r,g),o+=h*(y.crossVec2Vec2(this.m_rB,g)+_.z)}else{(l=y.zero()).addCombine(1,s,1,y.crossNumVec2(o,this.m_rB)),l.subCombine(1,e,1,y.crossNumVec2(i,this.m_rA));_=this.m_mass.solve22(y.neg(l));this.m_impulse.x+=_.x,this.m_impulse.y+=_.y,e.subMul(n,_),i-=a*y.crossVec2Vec2(this.m_rA,_),s.addMul(r,_),o+=h*y.crossVec2Vec2(this.m_rB,_)}this.m_bodyA.c_velocity.v=e,this.m_bodyA.c_velocity.w=i,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},e.prototype.solvePositionConstraints=function(t){var e,i=this.m_bodyA.c_position.c,s=this.m_bodyA.c_position.a,o=this.m_bodyB.c_position.c,n=this.m_bodyB.c_position.a,r=pt.neo(s),a=pt.neo(n),h=0,c=this.m_invIA+this.m_invIB==0;if(this.m_enableLimit&&this.m_limitState!=ws.inactiveLimit&&0==c){var l=n-s-this.m_referenceAngle,_=0;if(this.m_limitState==ws.equalLimits){var u=m(l-this.m_lowerAngle,-b.maxAngularCorrection,b.maxAngularCorrection);_=-this.m_motorMass*u,h=js(u)}else if(this.m_limitState==ws.atLowerLimit){h=-(u=l-this.m_lowerAngle),u=m(u+b.angularSlop,-b.maxAngularCorrection,0),_=-this.m_motorMass*u}else if(this.m_limitState==ws.atUpperLimit){h=u=l-this.m_upperAngle,u=m(u-b.angularSlop,0,b.maxAngularCorrection),_=-this.m_motorMass*u}s-=this.m_invIA*_,n+=this.m_invIB*_}r.setAngle(s),a.setAngle(n);var p=pt.mulVec2(r,y.sub(this.m_localAnchorA,this.m_localCenterA)),d=pt.mulVec2(a,y.sub(this.m_localAnchorB,this.m_localCenterB));(u=y.zero()).addCombine(1,o,1,d),u.subCombine(1,i,1,p),e=u.length();var f=this.m_invMassA,v=this.m_invMassB,x=this.m_invIA,g=this.m_invIB,A=new si;A.ex.x=f+v+x*p.y*p.y+g*d.y*d.y,A.ex.y=-x*p.x*p.y-g*d.x*d.y,A.ey.x=A.ex.y,A.ey.y=f+v+x*p.x*p.x+g*d.x*d.x;var B=y.neg(A.solve(u));return i.subMul(f,B),s-=x*y.crossVec2Vec2(p,B),o.addMul(v,B),n+=g*y.crossVec2Vec2(d,B),this.m_bodyA.c_position.c.setVec2(i),this.m_bodyA.c_position.a=s,this.m_bodyB.c_position.c.setVec2(o),this.m_bodyB.c_position.a=n,e<=b.linearSlop&&h<=b.angularSlop},e.TYPE="revolute-joint",e}(Yt),Xs=Math.abs,Us=Math.max,Ks=Math.min;!function(t){t[t.inactiveLimit=0]="inactiveLimit",t[t.atLowerLimit=1]="atLowerLimit",t[t.atUpperLimit=2]="atUpperLimit",t[t.equalLimits=3]="equalLimits"}(Ds||(Ds={}));var Zs,Gs={enableLimit:!1,lowerTranslation:0,upperTranslation:0,enableMotor:!1,maxMotorForce:0,motorSpeed:0},Qs=function(t){function e(i,s,n,r,a){var h=this;return h instanceof e?(i=o(i,Gs),s=(h=t.call(this,i,s,n)||this).m_bodyA,n=h.m_bodyB,h.m_type=e.TYPE,h.m_localAnchorA=y.clone(r?s.getLocalPoint(r):i.localAnchorA||y.zero()),h.m_localAnchorB=y.clone(r?n.getLocalPoint(r):i.localAnchorB||y.zero()),h.m_localXAxisA=y.clone(a?s.getLocalVector(a):i.localAxisA||y.neo(1,0)),h.m_localXAxisA.normalize(),h.m_localYAxisA=y.crossNumVec2(1,h.m_localXAxisA),h.m_referenceAngle=Number.isFinite(i.referenceAngle)?i.referenceAngle:n.getAngle()-s.getAngle(),h.m_impulse=new rs,h.m_motorMass=0,h.m_motorImpulse=0,h.m_lowerTranslation=i.lowerTranslation,h.m_upperTranslation=i.upperTranslation,h.m_maxMotorForce=i.maxMotorForce,h.m_motorSpeed=i.motorSpeed,h.m_enableLimit=i.enableLimit,h.m_enableMotor=i.enableMotor,h.m_limitState=Ds.inactiveLimit,h.m_axis=y.zero(),h.m_perp=y.zero(),h.m_K=new Ns,h):new e(i,s,n,r,a)}return i(e,t),e.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,lowerTranslation:this.m_lowerTranslation,upperTranslation:this.m_upperTranslation,maxMotorForce:this.m_maxMotorForce,motorSpeed:this.m_motorSpeed,enableLimit:this.m_enableLimit,enableMotor:this.m_enableMotor,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,localAxisA:this.m_localXAxisA,referenceAngle:this.m_referenceAngle}},e._deserialize=function(t,i,o){return(t=s({},t)).bodyA=o(Ot,t.bodyA,i),t.bodyB=o(Ot,t.bodyB,i),t.localAxisA=y.clone(t.localAxisA),new e(t)},e.prototype._reset=function(t){t.anchorA?this.m_localAnchorA.setVec2(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.setVec2(t.localAnchorA),t.anchorB?this.m_localAnchorB.setVec2(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.setVec2(t.localAnchorB),t.localAxisA&&(this.m_localXAxisA.setVec2(t.localAxisA),this.m_localYAxisA.setVec2(y.crossNumVec2(1,t.localAxisA))),Number.isFinite(t.referenceAngle)&&(this.m_referenceAngle=t.referenceAngle),void 0!==t.enableLimit&&(this.m_enableLimit=!!t.enableLimit),Number.isFinite(t.lowerTranslation)&&(this.m_lowerTranslation=t.lowerTranslation),Number.isFinite(t.upperTranslation)&&(this.m_upperTranslation=t.upperTranslation),void 0!==t.enableMotor&&(this.m_enableMotor=!!t.enableMotor),Number.isFinite(t.maxMotorForce)&&(this.m_maxMotorForce=t.maxMotorForce),Number.isFinite(t.motorSpeed)&&(this.m_motorSpeed=t.motorSpeed)},e.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},e.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},e.prototype.getLocalAxisA=function(){return this.m_localXAxisA},e.prototype.getReferenceAngle=function(){return this.m_referenceAngle},e.prototype.getJointTranslation=function(){var t=this.m_bodyA.getWorldPoint(this.m_localAnchorA),e=this.m_bodyB.getWorldPoint(this.m_localAnchorB),i=y.sub(e,t),s=this.m_bodyA.getWorldVector(this.m_localXAxisA);return y.dot(i,s)},e.prototype.getJointSpeed=function(){var t=this.m_bodyA,e=this.m_bodyB,i=pt.mulVec2(t.m_xf.q,y.sub(this.m_localAnchorA,t.m_sweep.localCenter)),s=pt.mulVec2(e.m_xf.q,y.sub(this.m_localAnchorB,e.m_sweep.localCenter)),o=y.add(t.m_sweep.c,i),n=y.add(e.m_sweep.c,s),r=y.sub(n,o),a=pt.mulVec2(t.m_xf.q,this.m_localXAxisA),h=t.m_linearVelocity,m=e.m_linearVelocity,c=t.m_angularVelocity,l=e.m_angularVelocity;return y.dot(r,y.crossNumVec2(c,a))+y.dot(a,y.sub(y.addCrossNumVec2(m,l,s),y.addCrossNumVec2(h,c,i)))},e.prototype.isLimitEnabled=function(){return this.m_enableLimit},e.prototype.enableLimit=function(t){t!=this.m_enableLimit&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_enableLimit=t,this.m_impulse.z=0)},e.prototype.getLowerLimit=function(){return this.m_lowerTranslation},e.prototype.getUpperLimit=function(){return this.m_upperTranslation},e.prototype.setLimits=function(t,e){t==this.m_lowerTranslation&&e==this.m_upperTranslation||(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_lowerTranslation=t,this.m_upperTranslation=e,this.m_impulse.z=0)},e.prototype.isMotorEnabled=function(){return this.m_enableMotor},e.prototype.enableMotor=function(t){t!=this.m_enableMotor&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_enableMotor=t)},e.prototype.setMotorSpeed=function(t){t!=this.m_motorSpeed&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_motorSpeed=t)},e.prototype.setMaxMotorForce=function(t){t!=this.m_maxMotorForce&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_maxMotorForce=t)},e.prototype.getMaxMotorForce=function(){return this.m_maxMotorForce},e.prototype.getMotorSpeed=function(){return this.m_motorSpeed},e.prototype.getMotorForce=function(t){return t*this.m_motorImpulse},e.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},e.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},e.prototype.getReactionForce=function(t){return y.combine(this.m_impulse.x,this.m_perp,this.m_motorImpulse+this.m_impulse.z,this.m_axis).mul(t)},e.prototype.getReactionTorque=function(t){return t*this.m_impulse.y},e.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var e=this.m_bodyA.c_position.c,i=this.m_bodyA.c_position.a,s=this.m_bodyA.c_velocity.v,o=this.m_bodyA.c_velocity.w,n=this.m_bodyB.c_position.c,r=this.m_bodyB.c_position.a,a=this.m_bodyB.c_velocity.v,h=this.m_bodyB.c_velocity.w,m=pt.neo(i),c=pt.neo(r),l=pt.mulVec2(m,y.sub(this.m_localAnchorA,this.m_localCenterA)),_=pt.mulVec2(c,y.sub(this.m_localAnchorB,this.m_localCenterB)),u=y.zero();u.addCombine(1,n,1,_),u.subCombine(1,e,1,l);var p=this.m_invMassA,d=this.m_invMassB,f=this.m_invIA,v=this.m_invIB;this.m_axis=pt.mulVec2(m,this.m_localXAxisA),this.m_a1=y.crossVec2Vec2(y.add(u,l),this.m_axis),this.m_a2=y.crossVec2Vec2(_,this.m_axis),this.m_motorMass=p+d+f*this.m_a1*this.m_a1+v*this.m_a2*this.m_a2,this.m_motorMass>0&&(this.m_motorMass=1/this.m_motorMass),this.m_perp=pt.mulVec2(m,this.m_localYAxisA),this.m_s1=y.crossVec2Vec2(y.add(u,l),this.m_perp),this.m_s2=y.crossVec2Vec2(_,this.m_perp),y.crossVec2Vec2(l,this.m_perp);var x=p+d+f*this.m_s1*this.m_s1+v*this.m_s2*this.m_s2,g=f*this.m_s1+v*this.m_s2,A=f*this.m_s1*this.m_a1+v*this.m_s2*this.m_a2,B=f+v;0==B&&(B=1);var w=f*this.m_a1+v*this.m_a2,M=p+d+f*this.m_a1*this.m_a1+v*this.m_a2*this.m_a2;if(this.m_K.ex.set(x,g,A),this.m_K.ey.set(g,B,w),this.m_K.ez.set(A,w,M),this.m_enableLimit){var C=y.dot(this.m_axis,u);Xs(this.m_upperTranslation-this.m_lowerTranslation)<2*b.linearSlop?this.m_limitState=Ds.equalLimits:C<=this.m_lowerTranslation?this.m_limitState!=Ds.atLowerLimit&&(this.m_limitState=Ds.atLowerLimit,this.m_impulse.z=0):C>=this.m_upperTranslation?this.m_limitState!=Ds.atUpperLimit&&(this.m_limitState=Ds.atUpperLimit,this.m_impulse.z=0):(this.m_limitState=Ds.inactiveLimit,this.m_impulse.z=0)}else this.m_limitState=Ds.inactiveLimit,this.m_impulse.z=0;if(0==this.m_enableMotor&&(this.m_motorImpulse=0),t.warmStarting){this.m_impulse.mul(t.dtRatio),this.m_motorImpulse*=t.dtRatio;var V=y.combine(this.m_impulse.x,this.m_perp,this.m_motorImpulse+this.m_impulse.z,this.m_axis),S=this.m_impulse.x*this.m_s1+this.m_impulse.y+(this.m_motorImpulse+this.m_impulse.z)*this.m_a1,I=this.m_impulse.x*this.m_s2+this.m_impulse.y+(this.m_motorImpulse+this.m_impulse.z)*this.m_a2;s.subMul(p,V),o-=f*S,a.addMul(d,V),h+=v*I}else this.m_impulse.setZero(),this.m_motorImpulse=0;this.m_bodyA.c_velocity.v.setVec2(s),this.m_bodyA.c_velocity.w=o,this.m_bodyB.c_velocity.v.setVec2(a),this.m_bodyB.c_velocity.w=h},e.prototype.solveVelocityConstraints=function(t){var e=this.m_bodyA.c_velocity.v,i=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=this.m_invMassA,r=this.m_invMassB,a=this.m_invIA,h=this.m_invIB;if(this.m_enableMotor&&this.m_limitState!=Ds.equalLimits){var c=y.dot(this.m_axis,y.sub(s,e))+this.m_a2*o-this.m_a1*i,l=this.m_motorMass*(this.m_motorSpeed-c),_=this.m_motorImpulse,u=t.dt*this.m_maxMotorForce;this.m_motorImpulse=m(this.m_motorImpulse+l,-u,u),l=this.m_motorImpulse-_;var p=y.mulNumVec2(l,this.m_axis),d=l*this.m_a1,f=l*this.m_a2;e.subMul(n,p),i-=a*d,s.addMul(r,p),o+=h*f}var v=y.zero();if(v.x+=y.dot(this.m_perp,s)+this.m_s2*o,v.x-=y.dot(this.m_perp,e)+this.m_s1*i,v.y=o-i,this.m_enableLimit&&this.m_limitState!=Ds.inactiveLimit){var x=0;x+=y.dot(this.m_axis,s)+this.m_a2*o,x-=y.dot(this.m_axis,e)+this.m_a1*i;c=new rs(v.x,v.y,x);var g=rs.clone(this.m_impulse),b=this.m_K.solve33(rs.neg(c));this.m_impulse.add(b),this.m_limitState==Ds.atLowerLimit?this.m_impulse.z=Us(this.m_impulse.z,0):this.m_limitState==Ds.atUpperLimit&&(this.m_impulse.z=Ks(this.m_impulse.z,0));var A=y.combine(-1,v,-(this.m_impulse.z-g.z),y.neo(this.m_K.ez.x,this.m_K.ez.y)),B=y.add(this.m_K.solve22(A),y.neo(g.x,g.y));this.m_impulse.x=B.x,this.m_impulse.y=B.y,b=rs.sub(this.m_impulse,g);p=y.combine(b.x,this.m_perp,b.z,this.m_axis),d=b.x*this.m_s1+b.y+b.z*this.m_a1,f=b.x*this.m_s2+b.y+b.z*this.m_a2;e.subMul(n,p),i-=a*d,s.addMul(r,p),o+=h*f}else{b=this.m_K.solve22(y.neg(v));this.m_impulse.x+=b.x,this.m_impulse.y+=b.y;p=y.mulNumVec2(b.x,this.m_perp),d=b.x*this.m_s1+b.y,f=b.x*this.m_s2+b.y;e.subMul(n,p),i-=a*d,s.addMul(r,p),o+=h*f}this.m_bodyA.c_velocity.v=e,this.m_bodyA.c_velocity.w=i,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},e.prototype.solvePositionConstraints=function(t){var e=this.m_bodyA.c_position.c,i=this.m_bodyA.c_position.a,s=this.m_bodyB.c_position.c,o=this.m_bodyB.c_position.a,n=pt.neo(i),r=pt.neo(o),a=this.m_invMassA,h=this.m_invMassB,c=this.m_invIA,l=this.m_invIB,_=pt.mulVec2(n,y.sub(this.m_localAnchorA,this.m_localCenterA)),u=pt.mulVec2(r,y.sub(this.m_localAnchorB,this.m_localCenterB)),p=y.sub(y.add(s,u),y.add(e,_)),d=pt.mulVec2(n,this.m_localXAxisA),f=y.crossVec2Vec2(y.add(p,_),d),v=y.crossVec2Vec2(u,d),x=pt.mulVec2(n,this.m_localYAxisA),g=y.crossVec2Vec2(y.add(p,_),x),A=y.crossVec2Vec2(u,x),B=new rs,w=y.zero();w.x=y.dot(x,p),w.y=o-i-this.m_referenceAngle;var M=Xs(w.x),C=Xs(w.y),V=b.linearSlop,S=b.maxLinearCorrection,I=!1,P=0;if(this.m_enableLimit){var T=y.dot(d,p);Xs(this.m_upperTranslation-this.m_lowerTranslation)<2*V?(P=m(T,-S,S),M=Us(M,Xs(T)),I=!0):T<=this.m_lowerTranslation?(P=m(T-this.m_lowerTranslation+V,-S,0),M=Math.max(M,this.m_lowerTranslation-T),I=!0):T>=this.m_upperTranslation&&(P=m(T-this.m_upperTranslation-V,0,S),M=Math.max(M,T-this.m_upperTranslation),I=!0)}if(I){var z=a+h+c*g*g+l*A*A,F=c*g+l*A,L=c*g*f+l*A*v;0==(j=c+l)&&(j=1);var k=c*f+l*v,q=a+h+c*f*f+l*v*v;(D=new Ns).ex.set(z,F,L),D.ey.set(F,j,k),D.ez.set(L,k,q);var N=new rs;N.x=w.x,N.y=w.y,N.z=P,B=D.solve33(rs.neg(N))}else{var j,D;z=a+h+c*g*g+l*A*A,F=c*g+l*A;0==(j=c+l)&&(j=1),(D=new si).ex.setNum(z,F),D.ey.setNum(F,j);var R=D.solve(y.neg(w));B.x=R.x,B.y=R.y,B.z=0}var O=y.combine(B.x,x,B.z,d),E=B.x*g+B.y+B.z*f,Y=B.x*A+B.y+B.z*v;return e.subMul(a,O),i-=c*E,s.addMul(h,O),o+=l*Y,this.m_bodyA.c_position.c=e,this.m_bodyA.c_position.a=i,this.m_bodyB.c_position.c=s,this.m_bodyB.c_position.a=o,M<=b.linearSlop&&C<=b.angularSlop},e.TYPE="prismatic-joint",e}(Yt),$s={ratio:1},to=function(t){function e(i,s,n,r,a,h){var m,c,l=this;if(!(l instanceof e))return new e(i,s,n,r,a,h);i=o(i,$s),s=(l=t.call(this,i,s,n)||this).m_bodyA,n=l.m_bodyB,l.m_type=e.TYPE,l.m_joint1=r||i.joint1,l.m_joint2=a||i.joint2,l.m_ratio=Number.isFinite(h)?h:i.ratio,l.m_type1=l.m_joint1.getType(),l.m_type2=l.m_joint2.getType(),l.m_bodyC=l.m_joint1.getBodyA(),l.m_bodyA=l.m_joint1.getBodyB();var _=l.m_bodyA.m_xf,u=l.m_bodyA.m_sweep.a,p=l.m_bodyC.m_xf,d=l.m_bodyC.m_sweep.a;if(l.m_type1===Hs.TYPE){var f=l.m_joint1;l.m_localAnchorC=f.m_localAnchorA,l.m_localAnchorA=f.m_localAnchorB,l.m_referenceAngleA=f.m_referenceAngle,l.m_localAxisC=y.zero(),m=u-d-l.m_referenceAngleA}else{var v=l.m_joint1;l.m_localAnchorC=v.m_localAnchorA,l.m_localAnchorA=v.m_localAnchorB,l.m_referenceAngleA=v.m_referenceAngle,l.m_localAxisC=v.m_localXAxisA;var x=l.m_localAnchorC,g=pt.mulTVec2(p.q,y.add(pt.mulVec2(_.q,l.m_localAnchorA),y.sub(_.p,p.p)));m=y.dot(g,l.m_localAxisC)-y.dot(x,l.m_localAxisC)}l.m_bodyD=l.m_joint2.getBodyA(),l.m_bodyB=l.m_joint2.getBodyB();var b=l.m_bodyB.m_xf,A=l.m_bodyB.m_sweep.a,B=l.m_bodyD.m_xf,w=l.m_bodyD.m_sweep.a;if(l.m_type2===Hs.TYPE){f=l.m_joint2;l.m_localAnchorD=f.m_localAnchorA,l.m_localAnchorB=f.m_localAnchorB,l.m_referenceAngleB=f.m_referenceAngle,l.m_localAxisD=y.zero(),c=A-w-l.m_referenceAngleB}else{v=l.m_joint2;l.m_localAnchorD=v.m_localAnchorA,l.m_localAnchorB=v.m_localAnchorB,l.m_referenceAngleB=v.m_referenceAngle,l.m_localAxisD=v.m_localXAxisA;var M=l.m_localAnchorD,C=pt.mulTVec2(B.q,y.add(pt.mulVec2(b.q,l.m_localAnchorB),y.sub(b.p,B.p)));c=y.dot(C,l.m_localAxisD)-y.dot(M,l.m_localAxisD)}return l.m_constant=m+l.m_ratio*c,l.m_impulse=0,l}return i(e,t),e.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,joint1:this.m_joint1,joint2:this.m_joint2,ratio:this.m_ratio}},e._deserialize=function(t,i,o){return(t=s({},t)).bodyA=o(Ot,t.bodyA,i),t.bodyB=o(Ot,t.bodyB,i),t.joint1=o(Yt,t.joint1,i),t.joint2=o(Yt,t.joint2,i),new e(t)},e.prototype._reset=function(t){Number.isFinite(t.ratio)&&(this.m_ratio=t.ratio)},e.prototype.getJoint1=function(){return this.m_joint1},e.prototype.getJoint2=function(){return this.m_joint2},e.prototype.setRatio=function(t){this.m_ratio=t},e.prototype.getRatio=function(){return this.m_ratio},e.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},e.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},e.prototype.getReactionForce=function(t){return y.mulNumVec2(this.m_impulse,this.m_JvAC).mul(t)},e.prototype.getReactionTorque=function(t){return t*(this.m_impulse*this.m_JwA)},e.prototype.initVelocityConstraints=function(t){this.m_lcA=this.m_bodyA.m_sweep.localCenter,this.m_lcB=this.m_bodyB.m_sweep.localCenter,this.m_lcC=this.m_bodyC.m_sweep.localCenter,this.m_lcD=this.m_bodyD.m_sweep.localCenter,this.m_mA=this.m_bodyA.m_invMass,this.m_mB=this.m_bodyB.m_invMass,this.m_mC=this.m_bodyC.m_invMass,this.m_mD=this.m_bodyD.m_invMass,this.m_iA=this.m_bodyA.m_invI,this.m_iB=this.m_bodyB.m_invI,this.m_iC=this.m_bodyC.m_invI,this.m_iD=this.m_bodyD.m_invI;var e=this.m_bodyA.c_position.a,i=this.m_bodyA.c_velocity.v,s=this.m_bodyA.c_velocity.w,o=this.m_bodyB.c_position.a,n=this.m_bodyB.c_velocity.v,r=this.m_bodyB.c_velocity.w,a=this.m_bodyC.c_position.a,h=this.m_bodyC.c_velocity.v,m=this.m_bodyC.c_velocity.w,c=this.m_bodyD.c_position.a,l=this.m_bodyD.c_velocity.v,_=this.m_bodyD.c_velocity.w,u=pt.neo(e),p=pt.neo(o),d=pt.neo(a),f=pt.neo(c);if(this.m_mass=0,this.m_type1==Hs.TYPE)this.m_JvAC=y.zero(),this.m_JwA=1,this.m_JwC=1,this.m_mass+=this.m_iA+this.m_iC;else{var v=pt.mulVec2(d,this.m_localAxisC),x=pt.mulSub(d,this.m_localAnchorC,this.m_lcC),g=pt.mulSub(u,this.m_localAnchorA,this.m_lcA);this.m_JvAC=v,this.m_JwC=y.crossVec2Vec2(x,v),this.m_JwA=y.crossVec2Vec2(g,v),this.m_mass+=this.m_mC+this.m_mA+this.m_iC*this.m_JwC*this.m_JwC+this.m_iA*this.m_JwA*this.m_JwA}if(this.m_type2==Hs.TYPE)this.m_JvBD=y.zero(),this.m_JwB=this.m_ratio,this.m_JwD=this.m_ratio,this.m_mass+=this.m_ratio*this.m_ratio*(this.m_iB+this.m_iD);else{v=pt.mulVec2(f,this.m_localAxisD);var b=pt.mulSub(f,this.m_localAnchorD,this.m_lcD),A=pt.mulSub(p,this.m_localAnchorB,this.m_lcB);this.m_JvBD=y.mulNumVec2(this.m_ratio,v),this.m_JwD=this.m_ratio*y.crossVec2Vec2(b,v),this.m_JwB=this.m_ratio*y.crossVec2Vec2(A,v),this.m_mass+=this.m_ratio*this.m_ratio*(this.m_mD+this.m_mB)+this.m_iD*this.m_JwD*this.m_JwD+this.m_iB*this.m_JwB*this.m_JwB}this.m_mass=this.m_mass>0?1/this.m_mass:0,t.warmStarting?(i.addMul(this.m_mA*this.m_impulse,this.m_JvAC),s+=this.m_iA*this.m_impulse*this.m_JwA,n.addMul(this.m_mB*this.m_impulse,this.m_JvBD),r+=this.m_iB*this.m_impulse*this.m_JwB,h.subMul(this.m_mC*this.m_impulse,this.m_JvAC),m-=this.m_iC*this.m_impulse*this.m_JwC,l.subMul(this.m_mD*this.m_impulse,this.m_JvBD),_-=this.m_iD*this.m_impulse*this.m_JwD):this.m_impulse=0,this.m_bodyA.c_velocity.v.setVec2(i),this.m_bodyA.c_velocity.w=s,this.m_bodyB.c_velocity.v.setVec2(n),this.m_bodyB.c_velocity.w=r,this.m_bodyC.c_velocity.v.setVec2(h),this.m_bodyC.c_velocity.w=m,this.m_bodyD.c_velocity.v.setVec2(l),this.m_bodyD.c_velocity.w=_},e.prototype.solveVelocityConstraints=function(t){var e=this.m_bodyA.c_velocity.v,i=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=this.m_bodyC.c_velocity.v,r=this.m_bodyC.c_velocity.w,a=this.m_bodyD.c_velocity.v,h=this.m_bodyD.c_velocity.w,m=y.dot(this.m_JvAC,e)-y.dot(this.m_JvAC,n)+y.dot(this.m_JvBD,s)-y.dot(this.m_JvBD,a);m+=this.m_JwA*i-this.m_JwC*r+(this.m_JwB*o-this.m_JwD*h);var c=-this.m_mass*m;this.m_impulse+=c,e.addMul(this.m_mA*c,this.m_JvAC),i+=this.m_iA*c*this.m_JwA,s.addMul(this.m_mB*c,this.m_JvBD),o+=this.m_iB*c*this.m_JwB,n.subMul(this.m_mC*c,this.m_JvAC),r-=this.m_iC*c*this.m_JwC,a.subMul(this.m_mD*c,this.m_JvBD),h-=this.m_iD*c*this.m_JwD,this.m_bodyA.c_velocity.v.setVec2(e),this.m_bodyA.c_velocity.w=i,this.m_bodyB.c_velocity.v.setVec2(s),this.m_bodyB.c_velocity.w=o,this.m_bodyC.c_velocity.v.setVec2(n),this.m_bodyC.c_velocity.w=r,this.m_bodyD.c_velocity.v.setVec2(a),this.m_bodyD.c_velocity.w=h},e.prototype.solvePositionConstraints=function(t){var e,i,s,o,n,r,a,h,m=this.m_bodyA.c_position.c,c=this.m_bodyA.c_position.a,l=this.m_bodyB.c_position.c,_=this.m_bodyB.c_position.a,u=this.m_bodyC.c_position.c,p=this.m_bodyC.c_position.a,d=this.m_bodyD.c_position.c,f=this.m_bodyD.c_position.a,v=pt.neo(c),x=pt.neo(_),g=pt.neo(p),A=pt.neo(f),B=0;if(this.m_type1==Hs.TYPE)s=y.zero(),n=1,a=1,B+=this.m_iA+this.m_iC,e=c-p-this.m_referenceAngleA;else{var w=pt.mulVec2(g,this.m_localAxisC),M=pt.mulSub(g,this.m_localAnchorC,this.m_lcC),C=pt.mulSub(v,this.m_localAnchorA,this.m_lcA);s=w,a=y.crossVec2Vec2(M,w),n=y.crossVec2Vec2(C,w),B+=this.m_mC+this.m_mA+this.m_iC*a*a+this.m_iA*n*n;var V=y.sub(this.m_localAnchorC,this.m_lcC),S=pt.mulTVec2(g,y.add(C,y.sub(m,u)));e=y.dot(y.sub(S,V),this.m_localAxisC)}if(this.m_type2==Hs.TYPE)o=y.zero(),r=this.m_ratio,h=this.m_ratio,B+=this.m_ratio*this.m_ratio*(this.m_iB+this.m_iD),i=_-f-this.m_referenceAngleB;else{w=pt.mulVec2(A,this.m_localAxisD);var I=pt.mulSub(A,this.m_localAnchorD,this.m_lcD),P=pt.mulSub(x,this.m_localAnchorB,this.m_lcB);o=y.mulNumVec2(this.m_ratio,w),h=this.m_ratio*y.crossVec2Vec2(I,w),r=this.m_ratio*y.crossVec2Vec2(P,w),B+=this.m_ratio*this.m_ratio*(this.m_mD+this.m_mB)+this.m_iD*h*h+this.m_iB*r*r;var T=y.sub(this.m_localAnchorD,this.m_lcD),z=pt.mulTVec2(A,y.add(P,y.sub(l,d)));i=y.dot(z,this.m_localAxisD)-y.dot(T,this.m_localAxisD)}var F=e+this.m_ratio*i-this.m_constant,L=0;return B>0&&(L=-F/B),m.addMul(this.m_mA*L,s),c+=this.m_iA*L*n,l.addMul(this.m_mB*L,o),_+=this.m_iB*L*r,u.subMul(this.m_mC*L,s),p-=this.m_iC*L*a,d.subMul(this.m_mD*L,o),f-=this.m_iD*L*h,this.m_bodyA.c_position.c.setVec2(m),this.m_bodyA.c_position.a=c,this.m_bodyB.c_position.c.setVec2(l),this.m_bodyB.c_position.a=_,this.m_bodyC.c_position.c.setVec2(u),this.m_bodyC.c_position.a=p,this.m_bodyD.c_position.c.setVec2(d),this.m_bodyD.c_position.a=f,0<b.linearSlop},e.TYPE="gear-joint",e}(Yt),eo={maxForce:1,maxTorque:1,correctionFactor:.3},io=function(t){function e(i,s,n){var r=this;return r instanceof e?(i=o(i,eo),s=(r=t.call(this,i,s,n)||this).m_bodyA,n=r.m_bodyB,r.m_type=e.TYPE,r.m_linearOffset=y.isValid(i.linearOffset)?y.clone(i.linearOffset):s.getLocalPoint(n.getPosition()),r.m_angularOffset=Number.isFinite(i.angularOffset)?i.angularOffset:n.getAngle()-s.getAngle(),r.m_linearImpulse=y.zero(),r.m_angularImpulse=0,r.m_maxForce=i.maxForce,r.m_maxTorque=i.maxTorque,r.m_correctionFactor=i.correctionFactor,r):new e(i,s,n)}return i(e,t),e.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,maxForce:this.m_maxForce,maxTorque:this.m_maxTorque,correctionFactor:this.m_correctionFactor,linearOffset:this.m_linearOffset,angularOffset:this.m_angularOffset}},e._deserialize=function(t,i,o){return(t=s({},t)).bodyA=o(Ot,t.bodyA,i),t.bodyB=o(Ot,t.bodyB,i),new e(t)},e.prototype._reset=function(t){Number.isFinite(t.angularOffset)&&(this.m_angularOffset=t.angularOffset),Number.isFinite(t.maxForce)&&(this.m_maxForce=t.maxForce),Number.isFinite(t.maxTorque)&&(this.m_maxTorque=t.maxTorque),Number.isFinite(t.correctionFactor)&&(this.m_correctionFactor=t.correctionFactor),y.isValid(t.linearOffset)&&this.m_linearOffset.set(t.linearOffset)},e.prototype.setMaxForce=function(t){this.m_maxForce=t},e.prototype.getMaxForce=function(){return this.m_maxForce},e.prototype.setMaxTorque=function(t){this.m_maxTorque=t},e.prototype.getMaxTorque=function(){return this.m_maxTorque},e.prototype.setCorrectionFactor=function(t){this.m_correctionFactor=t},e.prototype.getCorrectionFactor=function(){return this.m_correctionFactor},e.prototype.setLinearOffset=function(t){t.x==this.m_linearOffset.x&&t.y==this.m_linearOffset.y||(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_linearOffset.set(t))},e.prototype.getLinearOffset=function(){return this.m_linearOffset},e.prototype.setAngularOffset=function(t){t!=this.m_angularOffset&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_angularOffset=t)},e.prototype.getAngularOffset=function(){return this.m_angularOffset},e.prototype.getAnchorA=function(){return this.m_bodyA.getPosition()},e.prototype.getAnchorB=function(){return this.m_bodyB.getPosition()},e.prototype.getReactionForce=function(t){return y.mulNumVec2(t,this.m_linearImpulse)},e.prototype.getReactionTorque=function(t){return t*this.m_angularImpulse},e.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var e=this.m_bodyA.c_position.c,i=this.m_bodyA.c_position.a,s=this.m_bodyA.c_velocity.v,o=this.m_bodyA.c_velocity.w,n=this.m_bodyB.c_position.c,r=this.m_bodyB.c_position.a,a=this.m_bodyB.c_velocity.v,h=this.m_bodyB.c_velocity.w,m=pt.neo(i),c=pt.neo(r);this.m_rA=pt.mulVec2(m,y.sub(this.m_linearOffset,this.m_localCenterA)),this.m_rB=pt.mulVec2(c,y.neg(this.m_localCenterB));var l=this.m_invMassA,_=this.m_invMassB,u=this.m_invIA,p=this.m_invIB,d=new si;if(d.ex.x=l+_+u*this.m_rA.y*this.m_rA.y+p*this.m_rB.y*this.m_rB.y,d.ex.y=-u*this.m_rA.x*this.m_rA.y-p*this.m_rB.x*this.m_rB.y,d.ey.x=d.ex.y,d.ey.y=l+_+u*this.m_rA.x*this.m_rA.x+p*this.m_rB.x*this.m_rB.x,this.m_linearMass=d.getInverse(),this.m_angularMass=u+p,this.m_angularMass>0&&(this.m_angularMass=1/this.m_angularMass),this.m_linearError=y.zero(),this.m_linearError.addCombine(1,n,1,this.m_rB),this.m_linearError.subCombine(1,e,1,this.m_rA),this.m_angularError=r-i-this.m_angularOffset,t.warmStarting){this.m_linearImpulse.mul(t.dtRatio),this.m_angularImpulse*=t.dtRatio;var f=y.neo(this.m_linearImpulse.x,this.m_linearImpulse.y);s.subMul(l,f),o-=u*(y.crossVec2Vec2(this.m_rA,f)+this.m_angularImpulse),a.addMul(_,f),h+=p*(y.crossVec2Vec2(this.m_rB,f)+this.m_angularImpulse)}else this.m_linearImpulse.setZero(),this.m_angularImpulse=0;this.m_bodyA.c_velocity.v=s,this.m_bodyA.c_velocity.w=o,this.m_bodyB.c_velocity.v=a,this.m_bodyB.c_velocity.w=h},e.prototype.solveVelocityConstraints=function(t){var e=this.m_bodyA.c_velocity.v,i=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=this.m_invMassA,r=this.m_invMassB,a=this.m_invIA,h=this.m_invIB,c=t.dt,l=t.inv_dt,_=o-i+l*this.m_correctionFactor*this.m_angularError,u=-this.m_angularMass*_,p=this.m_angularImpulse,d=c*this.m_maxTorque;this.m_angularImpulse=m(this.m_angularImpulse+u,-d,d),i-=a*(u=this.m_angularImpulse-p),o+=h*u,(_=y.zero()).addCombine(1,s,1,y.crossNumVec2(o,this.m_rB)),_.subCombine(1,e,1,y.crossNumVec2(i,this.m_rA)),_.addMul(l*this.m_correctionFactor,this.m_linearError);u=y.neg(si.mulVec2(this.m_linearMass,_)),p=y.clone(this.m_linearImpulse);this.m_linearImpulse.add(u);d=c*this.m_maxForce;this.m_linearImpulse.clamp(d),u=y.sub(this.m_linearImpulse,p),e.subMul(n,u),i-=a*y.crossVec2Vec2(this.m_rA,u),s.addMul(r,u),o+=h*y.crossVec2Vec2(this.m_rB,u),this.m_bodyA.c_velocity.v=e,this.m_bodyA.c_velocity.w=i,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},e.prototype.solvePositionConstraints=function(t){return!0},e.TYPE="motor-joint",e}(Yt),so=Math.PI,oo={maxForce:0,frequencyHz:5,dampingRatio:.7},no=function(t){function e(i,s,n,r){var a=this;return a instanceof e?(i=o(i,oo),s=(a=t.call(this,i,s,n)||this).m_bodyA,n=a.m_bodyB,a.m_type=e.TYPE,y.isValid(r)?a.m_targetA=y.clone(r):y.isValid(i.target)?a.m_targetA=y.clone(i.target):a.m_targetA=y.zero(),a.m_localAnchorB=xt.mulTVec2(n.getTransform(),a.m_targetA),a.m_maxForce=i.maxForce,a.m_impulse=y.zero(),a.m_frequencyHz=i.frequencyHz,a.m_dampingRatio=i.dampingRatio,a.m_beta=0,a.m_gamma=0,a.m_rB=y.zero(),a.m_localCenterB=y.zero(),a.m_invMassB=0,a.m_invIB=0,a.m_mass=new si,a.m_C=y.zero(),a):new e(i,s,n,r)}return i(e,t),e.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,target:this.m_targetA,maxForce:this.m_maxForce,frequencyHz:this.m_frequencyHz,dampingRatio:this.m_dampingRatio,_localAnchorB:this.m_localAnchorB}},e._deserialize=function(t,i,o){(t=s({},t)).bodyA=o(Ot,t.bodyA,i),t.bodyB=o(Ot,t.bodyB,i),t.target=y.clone(t.target);var n=new e(t);return t._localAnchorB&&(n.m_localAnchorB=t._localAnchorB),n},e.prototype._reset=function(t){Number.isFinite(t.maxForce)&&(this.m_maxForce=t.maxForce),Number.isFinite(t.frequencyHz)&&(this.m_frequencyHz=t.frequencyHz),Number.isFinite(t.dampingRatio)&&(this.m_dampingRatio=t.dampingRatio)},e.prototype.setTarget=function(t){y.areEqual(t,this.m_targetA)||(this.m_bodyB.setAwake(!0),this.m_targetA.set(t))},e.prototype.getTarget=function(){return this.m_targetA},e.prototype.setMaxForce=function(t){this.m_maxForce=t},e.prototype.getMaxForce=function(){return this.m_maxForce},e.prototype.setFrequency=function(t){this.m_frequencyHz=t},e.prototype.getFrequency=function(){return this.m_frequencyHz},e.prototype.setDampingRatio=function(t){this.m_dampingRatio=t},e.prototype.getDampingRatio=function(){return this.m_dampingRatio},e.prototype.getAnchorA=function(){return y.clone(this.m_targetA)},e.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},e.prototype.getReactionForce=function(t){return y.mulNumVec2(t,this.m_impulse)},e.prototype.getReactionTorque=function(t){return 0*t},e.prototype.shiftOrigin=function(t){this.m_targetA.sub(t)},e.prototype.initVelocityConstraints=function(t){this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIB=this.m_bodyB.m_invI;var e=this.m_bodyB.c_position,i=this.m_bodyB.c_velocity,s=e.c,o=e.a,n=i.v,r=i.w,a=pt.neo(o),h=this.m_bodyB.getMass(),m=2*so*this.m_frequencyHz,c=2*h*this.m_dampingRatio*m,l=h*(m*m),_=t.dt;this.m_gamma=_*(c+_*l),0!=this.m_gamma&&(this.m_gamma=1/this.m_gamma),this.m_beta=_*l*this.m_gamma,this.m_rB=pt.mulVec2(a,y.sub(this.m_localAnchorB,this.m_localCenterB));var u=new si;u.ex.x=this.m_invMassB+this.m_invIB*this.m_rB.y*this.m_rB.y+this.m_gamma,u.ex.y=-this.m_invIB*this.m_rB.x*this.m_rB.y,u.ey.x=u.ex.y,u.ey.y=this.m_invMassB+this.m_invIB*this.m_rB.x*this.m_rB.x+this.m_gamma,this.m_mass=u.getInverse(),this.m_C.setVec2(s),this.m_C.addCombine(1,this.m_rB,-1,this.m_targetA),this.m_C.mul(this.m_beta),r*=.98,t.warmStarting?(this.m_impulse.mul(t.dtRatio),n.addMul(this.m_invMassB,this.m_impulse),r+=this.m_invIB*y.crossVec2Vec2(this.m_rB,this.m_impulse)):this.m_impulse.setZero(),i.v.setVec2(n),i.w=r},e.prototype.solveVelocityConstraints=function(t){var e=this.m_bodyB.c_velocity,i=y.clone(e.v),s=e.w,o=y.crossNumVec2(s,this.m_rB);o.add(i),o.addCombine(1,this.m_C,this.m_gamma,this.m_impulse),o.neg();var n=si.mulVec2(this.m_mass,o),r=y.clone(this.m_impulse);this.m_impulse.add(n);var a=t.dt*this.m_maxForce;this.m_impulse.clamp(a),n=y.sub(this.m_impulse,r),i.addMul(this.m_invMassB,n),s+=this.m_invIB*y.crossVec2Vec2(this.m_rB,n),e.v.setVec2(i),e.w=s},e.prototype.solvePositionConstraints=function(t){return!0},e.TYPE="mouse-joint",e}(Yt),ro=Math.abs,ao={collideConnected:!0},ho=function(t){function e(i,s,n,r,a,h,m,c){var l=this;return l instanceof e?(i=o(i,ao),s=(l=t.call(this,i,s,n)||this).m_bodyA,n=l.m_bodyB,l.m_type=e.TYPE,l.m_groundAnchorA=y.clone(r||(i.groundAnchorA||y.neo(-1,1))),l.m_groundAnchorB=y.clone(a||(i.groundAnchorB||y.neo(1,1))),l.m_localAnchorA=y.clone(h?s.getLocalPoint(h):i.localAnchorA||y.neo(-1,0)),l.m_localAnchorB=y.clone(m?n.getLocalPoint(m):i.localAnchorB||y.neo(1,0)),l.m_lengthA=Number.isFinite(i.lengthA)?i.lengthA:y.distance(h,r),l.m_lengthB=Number.isFinite(i.lengthB)?i.lengthB:y.distance(m,a),l.m_ratio=Number.isFinite(c)?c:i.ratio,l.m_constant=l.m_lengthA+l.m_ratio*l.m_lengthB,l.m_impulse=0,l):new e(i,s,n,r,a,h,m,c)}return i(e,t),e.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,groundAnchorA:this.m_groundAnchorA,groundAnchorB:this.m_groundAnchorB,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,lengthA:this.m_lengthA,lengthB:this.m_lengthB,ratio:this.m_ratio}},e._deserialize=function(t,i,o){return(t=s({},t)).bodyA=o(Ot,t.bodyA,i),t.bodyB=o(Ot,t.bodyB,i),new e(t)},e.prototype._reset=function(t){y.isValid(t.groundAnchorA)&&this.m_groundAnchorA.set(t.groundAnchorA),y.isValid(t.groundAnchorB)&&this.m_groundAnchorB.set(t.groundAnchorB),y.isValid(t.localAnchorA)?this.m_localAnchorA.set(t.localAnchorA):y.isValid(t.anchorA)&&this.m_localAnchorA.set(this.m_bodyA.getLocalPoint(t.anchorA)),y.isValid(t.localAnchorB)?this.m_localAnchorB.set(t.localAnchorB):y.isValid(t.anchorB)&&this.m_localAnchorB.set(this.m_bodyB.getLocalPoint(t.anchorB)),Number.isFinite(t.lengthA)&&(this.m_lengthA=t.lengthA),Number.isFinite(t.lengthB)&&(this.m_lengthB=t.lengthB),Number.isFinite(t.ratio)&&(this.m_ratio=t.ratio)},e.prototype.getGroundAnchorA=function(){return this.m_groundAnchorA},e.prototype.getGroundAnchorB=function(){return this.m_groundAnchorB},e.prototype.getLengthA=function(){return this.m_lengthA},e.prototype.getLengthB=function(){return this.m_lengthB},e.prototype.getRatio=function(){return this.m_ratio},e.prototype.getCurrentLengthA=function(){var t=this.m_bodyA.getWorldPoint(this.m_localAnchorA),e=this.m_groundAnchorA;return y.distance(t,e)},e.prototype.getCurrentLengthB=function(){var t=this.m_bodyB.getWorldPoint(this.m_localAnchorB),e=this.m_groundAnchorB;return y.distance(t,e)},e.prototype.shiftOrigin=function(t){this.m_groundAnchorA.sub(t),this.m_groundAnchorB.sub(t)},e.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},e.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},e.prototype.getReactionForce=function(t){return y.mulNumVec2(this.m_impulse,this.m_uB).mul(t)},e.prototype.getReactionTorque=function(t){return 0},e.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var e=this.m_bodyA.c_position.c,i=this.m_bodyA.c_position.a,s=this.m_bodyA.c_velocity.v,o=this.m_bodyA.c_velocity.w,n=this.m_bodyB.c_position.c,r=this.m_bodyB.c_position.a,a=this.m_bodyB.c_velocity.v,h=this.m_bodyB.c_velocity.w,m=pt.neo(i),c=pt.neo(r);this.m_rA=pt.mulVec2(m,y.sub(this.m_localAnchorA,this.m_localCenterA)),this.m_rB=pt.mulVec2(c,y.sub(this.m_localAnchorB,this.m_localCenterB)),this.m_uA=y.sub(y.add(e,this.m_rA),this.m_groundAnchorA),this.m_uB=y.sub(y.add(n,this.m_rB),this.m_groundAnchorB);var l=this.m_uA.length(),_=this.m_uB.length();l>10*b.linearSlop?this.m_uA.mul(1/l):this.m_uA.setZero(),_>10*b.linearSlop?this.m_uB.mul(1/_):this.m_uB.setZero();var u=y.crossVec2Vec2(this.m_rA,this.m_uA),p=y.crossVec2Vec2(this.m_rB,this.m_uB),d=this.m_invMassA+this.m_invIA*u*u,f=this.m_invMassB+this.m_invIB*p*p;if(this.m_mass=d+this.m_ratio*this.m_ratio*f,this.m_mass>0&&(this.m_mass=1/this.m_mass),t.warmStarting){this.m_impulse*=t.dtRatio;var v=y.mulNumVec2(-this.m_impulse,this.m_uA),x=y.mulNumVec2(-this.m_ratio*this.m_impulse,this.m_uB);s.addMul(this.m_invMassA,v),o+=this.m_invIA*y.crossVec2Vec2(this.m_rA,v),a.addMul(this.m_invMassB,x),h+=this.m_invIB*y.crossVec2Vec2(this.m_rB,x)}else this.m_impulse=0;this.m_bodyA.c_velocity.v=s,this.m_bodyA.c_velocity.w=o,this.m_bodyB.c_velocity.v=a,this.m_bodyB.c_velocity.w=h},e.prototype.solveVelocityConstraints=function(t){var e=this.m_bodyA.c_velocity.v,i=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=y.add(e,y.crossNumVec2(i,this.m_rA)),r=y.add(s,y.crossNumVec2(o,this.m_rB)),a=-y.dot(this.m_uA,n)-this.m_ratio*y.dot(this.m_uB,r),h=-this.m_mass*a;this.m_impulse+=h;var m=y.mulNumVec2(-h,this.m_uA),c=y.mulNumVec2(-this.m_ratio*h,this.m_uB);e.addMul(this.m_invMassA,m),i+=this.m_invIA*y.crossVec2Vec2(this.m_rA,m),s.addMul(this.m_invMassB,c),o+=this.m_invIB*y.crossVec2Vec2(this.m_rB,c),this.m_bodyA.c_velocity.v=e,this.m_bodyA.c_velocity.w=i,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},e.prototype.solvePositionConstraints=function(t){var e=this.m_bodyA.c_position.c,i=this.m_bodyA.c_position.a,s=this.m_bodyB.c_position.c,o=this.m_bodyB.c_position.a,n=pt.neo(i),r=pt.neo(o),a=pt.mulVec2(n,y.sub(this.m_localAnchorA,this.m_localCenterA)),h=pt.mulVec2(r,y.sub(this.m_localAnchorB,this.m_localCenterB)),m=y.sub(y.add(e,this.m_rA),this.m_groundAnchorA),c=y.sub(y.add(s,this.m_rB),this.m_groundAnchorB),l=m.length(),_=c.length();l>10*b.linearSlop?m.mul(1/l):m.setZero(),_>10*b.linearSlop?c.mul(1/_):c.setZero();var u=y.crossVec2Vec2(a,m),p=y.crossVec2Vec2(h,c),d=this.m_invMassA+this.m_invIA*u*u,f=this.m_invMassB+this.m_invIB*p*p,v=d+this.m_ratio*this.m_ratio*f;v>0&&(v=1/v);var x=this.m_constant-l-this.m_ratio*_,g=ro(x),A=-v*x,B=y.mulNumVec2(-A,m),w=y.mulNumVec2(-this.m_ratio*A,c);return e.addMul(this.m_invMassA,B),i+=this.m_invIA*y.crossVec2Vec2(a,B),s.addMul(this.m_invMassB,w),o+=this.m_invIB*y.crossVec2Vec2(h,w),this.m_bodyA.c_position.c=e,this.m_bodyA.c_position.a=i,this.m_bodyB.c_position.c=s,this.m_bodyB.c_position.a=o,g<b.linearSlop},e.TYPE="pulley-joint",e}(Yt),mo=Math.min;!function(t){t[t.inactiveLimit=0]="inactiveLimit",t[t.atLowerLimit=1]="atLowerLimit",t[t.atUpperLimit=2]="atUpperLimit",t[t.equalLimits=3]="equalLimits"}(Zs||(Zs={}));var co,lo={maxLength:0},_o=function(t){function e(i,s,n,r){var a=this;return a instanceof e?(i=o(i,lo),s=(a=t.call(this,i,s,n)||this).m_bodyA,n=a.m_bodyB,a.m_type=e.TYPE,a.m_localAnchorA=y.clone(r?s.getLocalPoint(r):i.localAnchorA||y.neo(-1,0)),a.m_localAnchorB=y.clone(r?n.getLocalPoint(r):i.localAnchorB||y.neo(1,0)),a.m_maxLength=i.maxLength,a.m_mass=0,a.m_impulse=0,a.m_length=0,a.m_state=Zs.inactiveLimit,a):new e(i,s,n,r)}return i(e,t),e.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,maxLength:this.m_maxLength}},e._deserialize=function(t,i,o){return(t=s({},t)).bodyA=o(Ot,t.bodyA,i),t.bodyB=o(Ot,t.bodyB,i),new e(t)},e.prototype._reset=function(t){Number.isFinite(t.maxLength)&&(this.m_maxLength=t.maxLength)},e.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},e.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},e.prototype.setMaxLength=function(t){this.m_maxLength=t},e.prototype.getMaxLength=function(){return this.m_maxLength},e.prototype.getLimitState=function(){return this.m_state},e.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},e.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},e.prototype.getReactionForce=function(t){return y.mulNumVec2(this.m_impulse,this.m_u).mul(t)},e.prototype.getReactionTorque=function(t){return 0},e.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var e=this.m_bodyA.c_position.c,i=this.m_bodyA.c_position.a,s=this.m_bodyA.c_velocity.v,o=this.m_bodyA.c_velocity.w,n=this.m_bodyB.c_position.c,r=this.m_bodyB.c_position.a,a=this.m_bodyB.c_velocity.v,h=this.m_bodyB.c_velocity.w,m=pt.neo(i),c=pt.neo(r);this.m_rA=pt.mulSub(m,this.m_localAnchorA,this.m_localCenterA),this.m_rB=pt.mulSub(c,this.m_localAnchorB,this.m_localCenterB),this.m_u=y.zero(),this.m_u.addCombine(1,n,1,this.m_rB),this.m_u.subCombine(1,e,1,this.m_rA),this.m_length=this.m_u.length();var l=this.m_length-this.m_maxLength;if(this.m_state=l>0?Zs.atUpperLimit:Zs.inactiveLimit,!(this.m_length>b.linearSlop))return this.m_u.setZero(),this.m_mass=0,void(this.m_impulse=0);this.m_u.mul(1/this.m_length);var _=y.crossVec2Vec2(this.m_rA,this.m_u),u=y.crossVec2Vec2(this.m_rB,this.m_u),p=this.m_invMassA+this.m_invIA*_*_+this.m_invMassB+this.m_invIB*u*u;if(this.m_mass=0!=p?1/p:0,t.warmStarting){this.m_impulse*=t.dtRatio;var d=y.mulNumVec2(this.m_impulse,this.m_u);s.subMul(this.m_invMassA,d),o-=this.m_invIA*y.crossVec2Vec2(this.m_rA,d),a.addMul(this.m_invMassB,d),h+=this.m_invIB*y.crossVec2Vec2(this.m_rB,d)}else this.m_impulse=0;this.m_bodyA.c_velocity.v.setVec2(s),this.m_bodyA.c_velocity.w=o,this.m_bodyB.c_velocity.v.setVec2(a),this.m_bodyB.c_velocity.w=h},e.prototype.solveVelocityConstraints=function(t){var e=this.m_bodyA.c_velocity.v,i=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=y.addCrossNumVec2(e,i,this.m_rA),r=y.addCrossNumVec2(s,o,this.m_rB),a=this.m_length-this.m_maxLength,h=y.dot(this.m_u,y.sub(r,n));a<0&&(h+=t.inv_dt*a);var m=-this.m_mass*h,c=this.m_impulse;this.m_impulse=mo(0,this.m_impulse+m),m=this.m_impulse-c;var l=y.mulNumVec2(m,this.m_u);e.subMul(this.m_invMassA,l),i-=this.m_invIA*y.crossVec2Vec2(this.m_rA,l),s.addMul(this.m_invMassB,l),o+=this.m_invIB*y.crossVec2Vec2(this.m_rB,l),this.m_bodyA.c_velocity.v=e,this.m_bodyA.c_velocity.w=i,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},e.prototype.solvePositionConstraints=function(t){var e=this.m_bodyA.c_position.c,i=this.m_bodyA.c_position.a,s=this.m_bodyB.c_position.c,o=this.m_bodyB.c_position.a,n=pt.neo(i),r=pt.neo(o),a=pt.mulSub(n,this.m_localAnchorA,this.m_localCenterA),h=pt.mulSub(r,this.m_localAnchorB,this.m_localCenterB),c=y.zero();c.addCombine(1,s,1,h),c.subCombine(1,e,1,a);var l=c.normalize(),_=l-this.m_maxLength;_=m(_,0,b.maxLinearCorrection);var u=-this.m_mass*_,p=y.mulNumVec2(u,c);return e.subMul(this.m_invMassA,p),i-=this.m_invIA*y.crossVec2Vec2(a,p),s.addMul(this.m_invMassB,p),o+=this.m_invIB*y.crossVec2Vec2(h,p),this.m_bodyA.c_position.c.setVec2(e),this.m_bodyA.c_position.a=i,this.m_bodyB.c_position.c.setVec2(s),this.m_bodyB.c_position.a=o,l-this.m_maxLength<b.linearSlop},e.TYPE="rope-joint",e}(Yt),uo=Math.abs,po=Math.PI,yo={frequencyHz:0,dampingRatio:0},fo=function(t){function e(i,s,n,r){var a=this;return a instanceof e?(i=o(i,yo),s=(a=t.call(this,i,s,n)||this).m_bodyA,n=a.m_bodyB,a.m_type=e.TYPE,a.m_localAnchorA=y.clone(r?s.getLocalPoint(r):i.localAnchorA||y.zero()),a.m_localAnchorB=y.clone(r?n.getLocalPoint(r):i.localAnchorB||y.zero()),a.m_referenceAngle=Number.isFinite(i.referenceAngle)?i.referenceAngle:n.getAngle()-s.getAngle(),a.m_frequencyHz=i.frequencyHz,a.m_dampingRatio=i.dampingRatio,a.m_impulse=new rs,a.m_bias=0,a.m_gamma=0,a.m_rA,a.m_rB,a.m_localCenterA,a.m_localCenterB,a.m_invMassA,a.m_invMassB,a.m_invIA,a.m_invIB,a.m_mass=new Ns,a):new e(i,s,n,r)}return i(e,t),e.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,frequencyHz:this.m_frequencyHz,dampingRatio:this.m_dampingRatio,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,referenceAngle:this.m_referenceAngle}},e._deserialize=function(t,i,o){return(t=s({},t)).bodyA=o(Ot,t.bodyA,i),t.bodyB=o(Ot,t.bodyB,i),new e(t)},e.prototype._reset=function(t){t.anchorA?this.m_localAnchorA.setVec2(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.setVec2(t.localAnchorA),t.anchorB?this.m_localAnchorB.setVec2(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.setVec2(t.localAnchorB),Number.isFinite(t.frequencyHz)&&(this.m_frequencyHz=t.frequencyHz),Number.isFinite(t.dampingRatio)&&(this.m_dampingRatio=t.dampingRatio)},e.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},e.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},e.prototype.getReferenceAngle=function(){return this.m_referenceAngle},e.prototype.setFrequency=function(t){this.m_frequencyHz=t},e.prototype.getFrequency=function(){return this.m_frequencyHz},e.prototype.setDampingRatio=function(t){this.m_dampingRatio=t},e.prototype.getDampingRatio=function(){return this.m_dampingRatio},e.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},e.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},e.prototype.getReactionForce=function(t){return y.neo(this.m_impulse.x,this.m_impulse.y).mul(t)},e.prototype.getReactionTorque=function(t){return t*this.m_impulse.z},e.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var e=this.m_bodyA.c_position.a,i=this.m_bodyA.c_velocity.v,s=this.m_bodyA.c_velocity.w,o=this.m_bodyB.c_position.a,n=this.m_bodyB.c_velocity.v,r=this.m_bodyB.c_velocity.w,a=pt.neo(e),h=pt.neo(o);this.m_rA=pt.mulVec2(a,y.sub(this.m_localAnchorA,this.m_localCenterA)),this.m_rB=pt.mulVec2(h,y.sub(this.m_localAnchorB,this.m_localCenterB));var m=this.m_invMassA,c=this.m_invMassB,l=this.m_invIA,_=this.m_invIB,u=new Ns;if(u.ex.x=m+c+this.m_rA.y*this.m_rA.y*l+this.m_rB.y*this.m_rB.y*_,u.ey.x=-this.m_rA.y*this.m_rA.x*l-this.m_rB.y*this.m_rB.x*_,u.ez.x=-this.m_rA.y*l-this.m_rB.y*_,u.ex.y=u.ey.x,u.ey.y=m+c+this.m_rA.x*this.m_rA.x*l+this.m_rB.x*this.m_rB.x*_,u.ez.y=this.m_rA.x*l+this.m_rB.x*_,u.ex.z=u.ez.x,u.ey.z=u.ez.y,u.ez.z=l+_,this.m_frequencyHz>0){u.getInverse22(this.m_mass);var p=l+_,d=p>0?1/p:0,f=o-e-this.m_referenceAngle,v=2*po*this.m_frequencyHz,x=2*d*this.m_dampingRatio*v,g=d*v*v,b=t.dt;this.m_gamma=b*(x+b*g),this.m_gamma=0!=this.m_gamma?1/this.m_gamma:0,this.m_bias=f*b*g*this.m_gamma,p+=this.m_gamma,this.m_mass.ez.z=0!=p?1/p:0}else 0==u.ez.z?(u.getInverse22(this.m_mass),this.m_gamma=0,this.m_bias=0):(u.getSymInverse33(this.m_mass),this.m_gamma=0,this.m_bias=0);if(t.warmStarting){this.m_impulse.mul(t.dtRatio);var A=y.neo(this.m_impulse.x,this.m_impulse.y);i.subMul(m,A),s-=l*(y.crossVec2Vec2(this.m_rA,A)+this.m_impulse.z),n.addMul(c,A),r+=_*(y.crossVec2Vec2(this.m_rB,A)+this.m_impulse.z)}else this.m_impulse.setZero();this.m_bodyA.c_velocity.v=i,this.m_bodyA.c_velocity.w=s,this.m_bodyB.c_velocity.v=n,this.m_bodyB.c_velocity.w=r},e.prototype.solveVelocityConstraints=function(t){var e=this.m_bodyA.c_velocity.v,i=this.m_bodyA.c_velocity.w,s=this.m_bodyB.c_velocity.v,o=this.m_bodyB.c_velocity.w,n=this.m_invMassA,r=this.m_invMassB,a=this.m_invIA,h=this.m_invIB;if(this.m_frequencyHz>0){var m=o-i,c=-this.m_mass.ez.z*(m+this.m_bias+this.m_gamma*this.m_impulse.z);this.m_impulse.z+=c,i-=a*c,o+=h*c,(u=y.zero()).addCombine(1,s,1,y.crossNumVec2(o,this.m_rB)),u.subCombine(1,e,1,y.crossNumVec2(i,this.m_rA));var l=y.neg(Ns.mulVec2(this.m_mass,u));this.m_impulse.x+=l.x,this.m_impulse.y+=l.y;var _=y.clone(l);e.subMul(n,_),i-=a*y.crossVec2Vec2(this.m_rA,_),s.addMul(r,_),o+=h*y.crossVec2Vec2(this.m_rB,_)}else{var u;(u=y.zero()).addCombine(1,s,1,y.crossNumVec2(o,this.m_rB)),u.subCombine(1,e,1,y.crossNumVec2(i,this.m_rA));m=o-i;var p=new rs(u.x,u.y,m),d=rs.neg(Ns.mulVec3(this.m_mass,p));this.m_impulse.add(d);_=y.neo(d.x,d.y);e.subMul(n,_),i-=a*(y.crossVec2Vec2(this.m_rA,_)+d.z),s.addMul(r,_),o+=h*(y.crossVec2Vec2(this.m_rB,_)+d.z)}this.m_bodyA.c_velocity.v=e,this.m_bodyA.c_velocity.w=i,this.m_bodyB.c_velocity.v=s,this.m_bodyB.c_velocity.w=o},e.prototype.solvePositionConstraints=function(t){var e,i,s=this.m_bodyA.c_position.c,o=this.m_bodyA.c_position.a,n=this.m_bodyB.c_position.c,r=this.m_bodyB.c_position.a,a=pt.neo(o),h=pt.neo(r),m=this.m_invMassA,c=this.m_invMassB,l=this.m_invIA,_=this.m_invIB,u=pt.mulVec2(a,y.sub(this.m_localAnchorA,this.m_localCenterA)),p=pt.mulVec2(h,y.sub(this.m_localAnchorB,this.m_localCenterB)),d=new Ns;if(d.ex.x=m+c+u.y*u.y*l+p.y*p.y*_,d.ey.x=-u.y*u.x*l-p.y*p.x*_,d.ez.x=-u.y*l-p.y*_,d.ex.y=d.ey.x,d.ey.y=m+c+u.x*u.x*l+p.x*p.x*_,d.ez.y=u.x*l+p.x*_,d.ex.z=d.ez.x,d.ey.z=d.ez.y,d.ez.z=l+_,this.m_frequencyHz>0){(v=y.zero()).addCombine(1,n,1,p),v.subCombine(1,s,1,u),e=v.length(),i=0;var f=y.neg(d.solve22(v));s.subMul(m,f),o-=l*y.crossVec2Vec2(u,f),n.addMul(c,f),r+=_*y.crossVec2Vec2(p,f)}else{var v;(v=y.zero()).addCombine(1,n,1,p),v.subCombine(1,s,1,u);var x=r-o-this.m_referenceAngle;e=v.length(),i=uo(x);var g=new rs(v.x,v.y,x),A=new rs;if(d.ez.z>0)A=rs.neg(d.solve33(g));else{var B=y.neg(d.solve22(v));A.set(B.x,B.y,0)}f=y.neo(A.x,A.y);s.subMul(m,f),o-=l*(y.crossVec2Vec2(u,f)+A.z),n.addMul(c,f),r+=_*(y.crossVec2Vec2(p,f)+A.z)}return this.m_bodyA.c_position.c=s,this.m_bodyA.c_position.a=o,this.m_bodyB.c_position.c=n,this.m_bodyB.c_position.a=r,e<=b.linearSlop&&i<=b.angularSlop},e.TYPE="weld-joint",e}(Yt),vo=Math.abs,xo=Math.PI,go={enableMotor:!1,maxMotorTorque:0,motorSpeed:0,frequencyHz:2,dampingRatio:.7},bo=function(t){function e(i,s,n,r,a){var h=this;return h instanceof e?(i=o(i,go),s=(h=t.call(this,i,s,n)||this).m_bodyA,n=h.m_bodyB,h.m_ax=y.zero(),h.m_ay=y.zero(),h.m_type=e.TYPE,h.m_localAnchorA=y.clone(r?s.getLocalPoint(r):i.localAnchorA||y.zero()),h.m_localAnchorB=y.clone(r?n.getLocalPoint(r):i.localAnchorB||y.zero()),y.isValid(a)?h.m_localXAxisA=s.getLocalVector(a):y.isValid(i.localAxisA)?h.m_localXAxisA=y.clone(i.localAxisA):y.isValid(i.localAxis)?h.m_localXAxisA=y.clone(i.localAxis):h.m_localXAxisA=y.neo(1,0),h.m_localYAxisA=y.crossNumVec2(1,h.m_localXAxisA),h.m_mass=0,h.m_impulse=0,h.m_motorMass=0,h.m_motorImpulse=0,h.m_springMass=0,h.m_springImpulse=0,h.m_maxMotorTorque=i.maxMotorTorque,h.m_motorSpeed=i.motorSpeed,h.m_enableMotor=i.enableMotor,h.m_frequencyHz=i.frequencyHz,h.m_dampingRatio=i.dampingRatio,h.m_bias=0,h.m_gamma=0,h):new e(i,s,n,r,a)}return i(e,t),e.prototype._serialize=function(){return{type:this.m_type,bodyA:this.m_bodyA,bodyB:this.m_bodyB,collideConnected:this.m_collideConnected,enableMotor:this.m_enableMotor,maxMotorTorque:this.m_maxMotorTorque,motorSpeed:this.m_motorSpeed,frequencyHz:this.m_frequencyHz,dampingRatio:this.m_dampingRatio,localAnchorA:this.m_localAnchorA,localAnchorB:this.m_localAnchorB,localAxisA:this.m_localXAxisA}},e._deserialize=function(t,i,o){return(t=s({},t)).bodyA=o(Ot,t.bodyA,i),t.bodyB=o(Ot,t.bodyB,i),new e(t)},e.prototype._reset=function(t){t.anchorA?this.m_localAnchorA.setVec2(this.m_bodyA.getLocalPoint(t.anchorA)):t.localAnchorA&&this.m_localAnchorA.setVec2(t.localAnchorA),t.anchorB?this.m_localAnchorB.setVec2(this.m_bodyB.getLocalPoint(t.anchorB)):t.localAnchorB&&this.m_localAnchorB.setVec2(t.localAnchorB),t.localAxisA&&(this.m_localXAxisA.setVec2(t.localAxisA),this.m_localYAxisA.setVec2(y.crossNumVec2(1,t.localAxisA))),void 0!==t.enableMotor&&(this.m_enableMotor=t.enableMotor),Number.isFinite(t.maxMotorTorque)&&(this.m_maxMotorTorque=t.maxMotorTorque),Number.isFinite(t.motorSpeed)&&(this.m_motorSpeed=t.motorSpeed),Number.isFinite(t.frequencyHz)&&(this.m_frequencyHz=t.frequencyHz),Number.isFinite(t.dampingRatio)&&(this.m_dampingRatio=t.dampingRatio)},e.prototype.getLocalAnchorA=function(){return this.m_localAnchorA},e.prototype.getLocalAnchorB=function(){return this.m_localAnchorB},e.prototype.getLocalAxisA=function(){return this.m_localXAxisA},e.prototype.getJointTranslation=function(){var t=this.m_bodyA,e=this.m_bodyB,i=t.getWorldPoint(this.m_localAnchorA),s=e.getWorldPoint(this.m_localAnchorB),o=y.sub(s,i),n=t.getWorldVector(this.m_localXAxisA);return y.dot(o,n)},e.prototype.getJointSpeed=function(){var t=this.m_bodyA.m_angularVelocity;return this.m_bodyB.m_angularVelocity-t},e.prototype.isMotorEnabled=function(){return this.m_enableMotor},e.prototype.enableMotor=function(t){t!=this.m_enableMotor&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_enableMotor=t)},e.prototype.setMotorSpeed=function(t){t!=this.m_motorSpeed&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_motorSpeed=t)},e.prototype.getMotorSpeed=function(){return this.m_motorSpeed},e.prototype.setMaxMotorTorque=function(t){t!=this.m_maxMotorTorque&&(this.m_bodyA.setAwake(!0),this.m_bodyB.setAwake(!0),this.m_maxMotorTorque=t)},e.prototype.getMaxMotorTorque=function(){return this.m_maxMotorTorque},e.prototype.getMotorTorque=function(t){return t*this.m_motorImpulse},e.prototype.setSpringFrequencyHz=function(t){this.m_frequencyHz=t},e.prototype.getSpringFrequencyHz=function(){return this.m_frequencyHz},e.prototype.setSpringDampingRatio=function(t){this.m_dampingRatio=t},e.prototype.getSpringDampingRatio=function(){return this.m_dampingRatio},e.prototype.getAnchorA=function(){return this.m_bodyA.getWorldPoint(this.m_localAnchorA)},e.prototype.getAnchorB=function(){return this.m_bodyB.getWorldPoint(this.m_localAnchorB)},e.prototype.getReactionForce=function(t){return y.combine(this.m_impulse,this.m_ay,this.m_springImpulse,this.m_ax).mul(t)},e.prototype.getReactionTorque=function(t){return t*this.m_motorImpulse},e.prototype.initVelocityConstraints=function(t){this.m_localCenterA=this.m_bodyA.m_sweep.localCenter,this.m_localCenterB=this.m_bodyB.m_sweep.localCenter,this.m_invMassA=this.m_bodyA.m_invMass,this.m_invMassB=this.m_bodyB.m_invMass,this.m_invIA=this.m_bodyA.m_invI,this.m_invIB=this.m_bodyB.m_invI;var e=this.m_invMassA,i=this.m_invMassB,s=this.m_invIA,o=this.m_invIB,n=this.m_bodyA.c_position.c,r=this.m_bodyA.c_position.a,a=this.m_bodyA.c_velocity.v,h=this.m_bodyA.c_velocity.w,m=this.m_bodyB.c_position.c,c=this.m_bodyB.c_position.a,l=this.m_bodyB.c_velocity.v,_=this.m_bodyB.c_velocity.w,u=pt.neo(r),p=pt.neo(c),d=pt.mulVec2(u,y.sub(this.m_localAnchorA,this.m_localCenterA)),f=pt.mulVec2(p,y.sub(this.m_localAnchorB,this.m_localCenterB)),v=y.zero();if(v.addCombine(1,m,1,f),v.subCombine(1,n,1,d),this.m_ay=pt.mulVec2(u,this.m_localYAxisA),this.m_sAy=y.crossVec2Vec2(y.add(v,d),this.m_ay),this.m_sBy=y.crossVec2Vec2(f,this.m_ay),this.m_mass=e+i+s*this.m_sAy*this.m_sAy+o*this.m_sBy*this.m_sBy,this.m_mass>0&&(this.m_mass=1/this.m_mass),this.m_springMass=0,this.m_bias=0,this.m_gamma=0,this.m_frequencyHz>0){this.m_ax=pt.mulVec2(u,this.m_localXAxisA),this.m_sAx=y.crossVec2Vec2(y.add(v,d),this.m_ax),this.m_sBx=y.crossVec2Vec2(f,this.m_ax);var x=e+i+s*this.m_sAx*this.m_sAx+o*this.m_sBx*this.m_sBx;if(x>0){this.m_springMass=1/x;var g=y.dot(v,this.m_ax),b=2*xo*this.m_frequencyHz,A=2*this.m_springMass*this.m_dampingRatio*b,B=this.m_springMass*b*b,w=t.dt;this.m_gamma=w*(A+w*B),this.m_gamma>0&&(this.m_gamma=1/this.m_gamma),this.m_bias=g*w*B*this.m_gamma,this.m_springMass=x+this.m_gamma,this.m_springMass>0&&(this.m_springMass=1/this.m_springMass)}}else this.m_springImpulse=0;if(this.m_enableMotor?(this.m_motorMass=s+o,this.m_motorMass>0&&(this.m_motorMass=1/this.m_motorMass)):(this.m_motorMass=0,this.m_motorImpulse=0),t.warmStarting){this.m_impulse*=t.dtRatio,this.m_springImpulse*=t.dtRatio,this.m_motorImpulse*=t.dtRatio;var M=y.combine(this.m_impulse,this.m_ay,this.m_springImpulse,this.m_ax),C=this.m_impulse*this.m_sAy+this.m_springImpulse*this.m_sAx+this.m_motorImpulse,V=this.m_impulse*this.m_sBy+this.m_springImpulse*this.m_sBx+this.m_motorImpulse;a.subMul(this.m_invMassA,M),h-=this.m_invIA*C,l.addMul(this.m_invMassB,M),_+=this.m_invIB*V}else this.m_impulse=0,this.m_springImpulse=0,this.m_motorImpulse=0;this.m_bodyA.c_velocity.v.setVec2(a),this.m_bodyA.c_velocity.w=h,this.m_bodyB.c_velocity.v.setVec2(l),this.m_bodyB.c_velocity.w=_},e.prototype.solveVelocityConstraints=function(t){var e=this.m_invMassA,i=this.m_invMassB,s=this.m_invIA,o=this.m_invIB,n=this.m_bodyA.c_velocity.v,r=this.m_bodyA.c_velocity.w,a=this.m_bodyB.c_velocity.v,h=this.m_bodyB.c_velocity.w,c=y.dot(this.m_ax,a)-y.dot(this.m_ax,n)+this.m_sBx*h-this.m_sAx*r,l=-this.m_springMass*(c+this.m_bias+this.m_gamma*this.m_springImpulse);this.m_springImpulse+=l;var _=y.mulNumVec2(l,this.m_ax),u=l*this.m_sAx,p=l*this.m_sBx;n.subMul(e,_),r-=s*u,a.addMul(i,_);c=(h+=o*p)-r-this.m_motorSpeed,l=-this.m_motorMass*c;var d=this.m_motorImpulse,f=t.dt*this.m_maxMotorTorque;this.m_motorImpulse=m(this.m_motorImpulse+l,-f,f),r-=s*(l=this.m_motorImpulse-d),h+=o*l;c=y.dot(this.m_ay,a)-y.dot(this.m_ay,n)+this.m_sBy*h-this.m_sAy*r,l=-this.m_mass*c;this.m_impulse+=l;_=y.mulNumVec2(l,this.m_ay),u=l*this.m_sAy,p=l*this.m_sBy;n.subMul(e,_),r-=s*u,a.addMul(i,_),h+=o*p,this.m_bodyA.c_velocity.v.setVec2(n),this.m_bodyA.c_velocity.w=r,this.m_bodyB.c_velocity.v.setVec2(a),this.m_bodyB.c_velocity.w=h},e.prototype.solvePositionConstraints=function(t){var e=this.m_bodyA.c_position.c,i=this.m_bodyA.c_position.a,s=this.m_bodyB.c_position.c,o=this.m_bodyB.c_position.a,n=pt.neo(i),r=pt.neo(o),a=pt.mulVec2(n,y.sub(this.m_localAnchorA,this.m_localCenterA)),h=pt.mulVec2(r,y.sub(this.m_localAnchorB,this.m_localCenterB)),m=y.zero();m.addCombine(1,s,1,h),m.subCombine(1,e,1,a);var c=pt.mulVec2(n,this.m_localYAxisA),l=y.crossVec2Vec2(y.add(m,a),c),_=y.crossVec2Vec2(h,c),u=y.dot(m,c),p=this.m_invMassA+this.m_invMassB+this.m_invIA*this.m_sAy*this.m_sAy+this.m_invIB*this.m_sBy*this.m_sBy,d=0!=p?-u/p:0,f=y.mulNumVec2(d,c),v=d*l,x=d*_;return e.subMul(this.m_invMassA,f),i-=this.m_invIA*v,s.addMul(this.m_invMassB,f),o+=this.m_invIB*x,this.m_bodyA.c_position.c.setVec2(e),this.m_bodyA.c_position.a=i,this.m_bodyB.c_position.c.setVec2(s),this.m_bodyB.c_position.a=o,vo(u)<=b.linearSlop},e.TYPE="wheel-joint",e}(Yt),Ao=0,Bo={World:ns,Body:Ot,Joint:Yt,Fixture:Tt,Shape:Mt},wo={Vec2:y,Vec3:rs,World:ns,Body:Ot,Joint:Yt,Fixture:Tt,Shape:Mt},Mo=((co={})[Ot.STATIC]=Ot,co[Ot.DYNAMIC]=Ot,co[Ot.KINEMATIC]=Ot,co[us.TYPE]=us,co[Bs.TYPE]=Bs,co[ms.TYPE]=ms,co[Is.TYPE]=Is,co[Ls.TYPE]=Ls,co[qs.TYPE]=qs,co[to.TYPE]=to,co[io.TYPE]=io,co[no.TYPE]=no,co[Qs.TYPE]=Qs,co[ho.TYPE]=ho,co[Hs.TYPE]=Hs,co[_o.TYPE]=_o,co[fo.TYPE]=fo,co[bo.TYPE]=bo,co),Co={rootClass:ns,preSerialize:function(t){return t},postSerialize:function(t,e){return t},preDeserialize:function(t){return t},postDeserialize:function(t,e){return t}},Vo=function(t){var e=this;this.toJson=function(t){var i=e.options.preSerialize,s=e.options.postSerialize,o=[],n=[t],r={};function a(t,e){if(t.__sid=t.__sid||++Ao,!r[t.__sid]){n.push(t);var i={refIndex:o.length+n.length,refType:e};r[t.__sid]=i}return r[t.__sid]}function h(t,e){if(void 0===e&&(e=!1),"object"!=typeof t||null===t)return t;if("function"==typeof t._serialize){if(!e)for(var o in Bo)if(t instanceof Bo[o])return a(t,o);t=function(t){var e=(t=i(t))._serialize();return s(e,t)}(t)}if(Array.isArray(t)){for(var n=[],r=0;r<t.length;r++)n[r]=h(t[r]);t=n}else{for(var r in n={},t)t.hasOwnProperty(r)&&(n[r]=h(t[r]));t=n}return t}for(;n.length;){var m=h(n.shift(),!0);o.push(m)}return o},this.fromJson=function(t){var i=e.options.preDeserialize,s=e.options.postDeserialize,o=e.options.rootClass,n={};function r(t,e,o){if(t&&t._deserialize||(t=Mo[e.type]),t&&t._deserialize){e=i(e);var n=(0,t._deserialize)(e,o,a);return n=s(n,e)}}function a(e,i,s){if(!i.refIndex||!i.refType)return r(e,i,s);var o=i;wo[o.refType]&&(e=wo[o.refType]);var a=o.refIndex;if(!n[a]){var h=r(e,t[a],s);n[a]=h}return n[a]}return r(o,t[0],null)},this.options=s(s({},Co),t)},So=new Vo({rootClass:ns});Vo.fromJson=So.fromJson,Vo.toJson=So.toJson;var Io=function(){function t(){this.width=80,this.height=60,this.x=0,this.y=-10,this.scaleY=-1,this.hz=60,this.speed=1,this.ratio=16,this.background="#222222",this.activeKeys={},this.step=function(t,e){},this.keydown=function(t,e){},this.keyup=function(t,e){},this.statusText="",this.statusMap={}}return t.mount=function(t){throw new Error("Not implemented")},t.start=function(e){var i=t.mount();return i.start(e),i},t.prototype.status=function(t,e){if(void 0!==e){var i=t,s=e;"function"!=typeof s&&"object"!=typeof s&&(this.statusMap[i]=s)}else if(t&&"object"==typeof t)for(var o in t){var n=t[o];"function"!=typeof n&&"object"!=typeof n&&(this.statusMap[o]=n)}else"string"==typeof t&&(this.statusText=t);var r=this.statusText||"";for(var a in this.statusMap){var h=this.statusMap[a];"function"!=typeof h&&(r+=(r&&"\n")+a+": "+h)}this._status(r)},t.prototype.info=function(t){this._info(t)},t.prototype.color=function(t,e,i){return"rgb("+(t=256*t|0)+", "+(e=256*e|0)+", "+(i=256*i|0)+")"},t}();function Po(t,e){var i,s;"function"==typeof t?(i=t,s=e):"function"==typeof e?(i=e,s=t):s=null!=t?t:e;var o=Io.mount(s);if(!i)return o;var n=i(o)||o.world;o.start(n)}var To=function(t){function e(i,s,o,n){var r=this;return r instanceof e?((r=t.call(this)||this)._setAsBox(i,s,o,n),r):new e(i,s,o,n)}return i(e,t),e.TYPE="polygon",e}(Bs),zo=To;ss.addType(Is.TYPE,Is.TYPE,(function(t,e,i,s,o,n,r){ko(t,i.getShape(),e,n.getShape(),o)}));var Fo=k(0,0),Lo=k(0,0),ko=function(e,i,s,o,n){e.pointCount=0,at(Fo,s,i.m_p),at(Lo,n,o.m_p);var r=it(Lo,Fo),a=i.m_radius+o.m_radius;r>a*a||(e.type=t.ManifoldType.e_circles,N(e.localPoint,i.m_p),j(e.localNormal),e.pointCount=1,N(e.points[0].localPoint,o.m_p),e.points[0].id.setFeatures(0,t.ContactFeatureType.e_vertex,0,t.ContactFeatureType.e_vertex))};ss.addType(ms.TYPE,Is.TYPE,(function(t,e,i,s,o,n,r){var a=i.getShape(),h=n.getShape();Eo(t,a,e,h,o)})),ss.addType(us.TYPE,Is.TYPE,(function(t,e,i,s,o,n,r){var a=i.getShape(),h=new ms;a.getChildEdge(h,s);var m=h,c=n.getShape();Eo(t,m,e,c,o)}));var qo=k(0,0),No=k(0,0),jo=k(0,0),Do=k(0,0),Ro=k(0,0),Oo=k(0,0),Eo=function(e,i,s,o,n){e.pointCount=0,mt(Do,n,s,o.m_p);var r=i.m_vertex1,a=i.m_vertex2;E(qo,a,r);var h=$(qo,a)-$(qo,Do),m=$(qo,Do)-$(qo,r),c=i.m_radius+o.m_radius;if(m<=0){if(N(Ro,r),it(Do,r)>c*c)return;if(i.m_hasVertex0){var l=i.m_vertex0,_=r;if(E(No,_,l),$(No,_)-$(No,Do)>0)return}return e.type=t.ManifoldType.e_circles,j(e.localNormal),N(e.localPoint,Ro),e.pointCount=1,N(e.points[0].localPoint,o.m_p),void e.points[0].id.setFeatures(0,t.ContactFeatureType.e_vertex,0,t.ContactFeatureType.e_vertex)}if(h<=0){if(N(Ro,a),it(Do,Ro)>c*c)return;if(i.m_hasVertex3){var u=i.m_vertex3,p=a;if(E(jo,u,p),$(jo,Do)-$(jo,p)>0)return}return e.type=t.ManifoldType.e_circles,j(e.localNormal),N(e.localPoint,Ro),e.pointCount=1,N(e.points[0].localPoint,o.m_p),void e.points[0].id.setFeatures(1,t.ContactFeatureType.e_vertex,0,t.ContactFeatureType.e_vertex)}var y=tt(qo);X(Ro,h/y,r,m/y,a),it(Do,Ro)>c*c||(G(Oo,1,qo),$(Oo,Do)-$(Oo,r)<0&&D(Oo),K(Oo),e.type=t.ManifoldType.e_faceA,N(e.localNormal,Oo),N(e.localPoint,r),e.pointCount=1,N(e.points[0].localPoint,o.m_p),e.points[0].id.setFeatures(0,t.ContactFeatureType.e_face,0,t.ContactFeatureType.e_vertex))},Yo=[new ui,new ui],Wo=[new ui,new ui],Jo=[new ui,new ui],Ho=k(0,0),Xo=k(0,0),Uo=k(0,0),Ko=nt(0,0,0),Zo=k(0,0),Go=k(0,0),Qo=k(0,0),$o=k(0,0),tn=k(0,0),en=k(0,0),sn=k(0,0),on=k(0,0);function nn(t,e,i,s,o){var n=t.m_count,r=i.m_count,a=t.m_normals,h=t.m_vertices,m=i.m_vertices;ct(Ko,s,e);for(var c=0,l=-1/0,_=0;_<n;++_){st(Uo,Ko.q,a[_]),at(Xo,Ko,h[_]);for(var u=1/0,p=0;p<r;++p){var y=$(Uo,m[p])-$(Uo,Xo);y<u&&(u=y)}u>l&&(l=u,c=_)}o.maxSeparation=l,o.bestIndex=c}ss.addType(Bs.TYPE,Bs.TYPE,(function(t,e,i,s,o,n,r){an(t,i.getShape(),e,n.getShape(),o)}));var rn={maxSeparation:0,bestIndex:0},an=function(e,i,s,o,n){e.pointCount=0;var r=i.m_radius+o.m_radius;nn(i,s,o,n,rn);var a=rn.bestIndex,h=rn.maxSeparation;if(!(h>r)){nn(o,n,i,s,rn);var m=rn.bestIndex,c=rn.maxSeparation;if(!(c>r)){var l,_,u,p,y,d;c>h+.1*b.linearSlop?(l=o,_=i,u=n,p=s,y=m,e.type=t.ManifoldType.e_faceB,d=!0):(l=i,_=o,u=s,p=n,y=a,e.type=t.ManifoldType.e_faceA,d=!1),Yo[0].recycle(),Yo[1].recycle(),function(e,i,s,o,n,r){var a=i.m_normals,h=n.m_count,m=n.m_vertices,c=n.m_normals;!function(t,e,i,s){var o=e.c*s.x+e.s*s.y,n=-e.s*s.x+e.c*s.y,r=i.c*o-i.s*n,a=i.s*o+i.c*n;t.x=r,t.y=a}(on,r.q,s.q,a[o]);for(var l=0,_=1/0,u=0;u<h;++u){var p=$(on,c[u]);p<_&&(_=p,l=u)}var y=l,d=y+1<h?y+1:0;at(e[0].v,r,m[y]),e[0].id.setFeatures(o,t.ContactFeatureType.e_face,y,t.ContactFeatureType.e_vertex),at(e[1].v,r,m[d]),e[1].id.setFeatures(o,t.ContactFeatureType.e_face,d,t.ContactFeatureType.e_vertex)}(Yo,l,u,y,_,p);var f=l.m_count,v=l.m_vertices,x=y,g=y+1<f?y+1:0;N(Zo,v[x]),N(Go,v[g]),E(Qo,Go,Zo),K(Qo),Z($o,Qo,1),X(tn,.5,Zo,.5,Go),st(en,u.q,Qo),Z(sn,en,1),at(Zo,u,Zo),at(Go,u,Go);var A=$(sn,Zo),B=-$(en,Zo)+r,w=$(en,Go)+r;if(Wo[0].recycle(),Wo[1].recycle(),Jo[0].recycle(),Jo[1].recycle(),q(Ho,-en.x,-en.y),!(xi(Wo,Yo,Ho,B,x)<2))if(q(Ho,en.x,en.y),!(xi(Jo,Wo,Ho,w,g)<2)){N(e.localNormal,$o),N(e.localPoint,tn);for(var M=0,C=0;C<Jo.length;++C){if($(sn,Jo[C].v)-A<=r){var V=e.points[M];ht(V.localPoint,p,Jo[C].v),V.id.set(Jo[C].id),d&&V.id.swapFeatures(),++M}}e.pointCount=M}}}};ss.addType(Bs.TYPE,Is.TYPE,(function(t,e,i,s,o,n,r){cn(t,i.getShape(),e,n.getShape(),o)}));var hn=k(0,0),mn=k(0,0),cn=function(e,i,s,o,n){e.pointCount=0,mt(hn,n,s,o.m_p);for(var a=0,h=-1/0,m=i.m_radius+o.m_radius,c=i.m_count,l=i.m_vertices,_=i.m_normals,u=0;u<c;++u){var p=$(_[u],hn)-$(_[u],l[u]);if(p>m)return;p>h&&(h=p,a=u)}var y=a,d=y+1<c?y+1:0,f=l[y],v=l[d];if(h<r)return e.pointCount=1,e.type=t.ManifoldType.e_faceA,N(e.localNormal,_[a]),X(e.localPoint,.5,f,.5,v),N(e.points[0].localPoint,o.m_p),void e.points[0].id.setFeatures(0,t.ContactFeatureType.e_vertex,0,t.ContactFeatureType.e_vertex);var x=$(hn,v)-$(hn,f)-$(f,v)+$(f,f),g=$(hn,f)-$(hn,v)-$(v,f)+$(v,v);if(x<=0){if(it(hn,f)>m*m)return;e.pointCount=1,e.type=t.ManifoldType.e_faceA,E(e.localNormal,hn,f),K(e.localNormal),N(e.localPoint,f),N(e.points[0].localPoint,o.m_p),e.points[0].id.setFeatures(0,t.ContactFeatureType.e_vertex,0,t.ContactFeatureType.e_vertex)}else if(g<=0){if(it(hn,v)>m*m)return;e.pointCount=1,e.type=t.ManifoldType.e_faceA,E(e.localNormal,hn,v),K(e.localNormal),N(e.localPoint,v),N(e.points[0].localPoint,o.m_p),e.points[0].id.setFeatures(0,t.ContactFeatureType.e_vertex,0,t.ContactFeatureType.e_vertex)}else{if(X(mn,.5,f,.5,v),$(hn,_[y])-$(mn,_[y])>m)return;e.pointCount=1,e.type=t.ManifoldType.e_faceA,N(e.localNormal,_[y]),N(e.localPoint,mn),N(e.points[0].localPoint,o.m_p),e.points[0].id.setFeatures(0,t.ContactFeatureType.e_vertex,0,t.ContactFeatureType.e_vertex)}},ln=Math.min;ss.addType(ms.TYPE,Bs.TYPE,(function(t,e,i,s,o,n,r){jn(t,i.getShape(),e,n.getShape(),o)})),ss.addType(us.TYPE,Bs.TYPE,(function(t,e,i,s,o,n,r){i.getShape().getChildEdge(pn,s),jn(t,pn,e,n.getShape(),o)}));var _n,un,pn=new ms;!function(t){t[t.e_unknown=-1]="e_unknown",t[t.e_edgeA=1]="e_edgeA",t[t.e_edgeB=2]="e_edgeB"}(_n||(_n={})),function(t){t[t.e_isolated=0]="e_isolated",t[t.e_concave=1]="e_concave",t[t.e_convex=2]="e_convex"}(un||(un={}));var yn=function(){},dn=function(){this.vertices=[],this.normals=[],this.count=0;for(var t=0;t<b.maxPolygonVertices;t++)this.vertices.push(k(0,0)),this.normals.push(k(0,0))},fn=function(){function t(){this.v1=k(0,0),this.v2=k(0,0),this.normal=k(0,0),this.sideNormal1=k(0,0),this.sideNormal2=k(0,0)}return t.prototype.recycle=function(){j(this.v1),j(this.v2),j(this.normal),j(this.sideNormal1),j(this.sideNormal2)},t}(),vn=[new ui,new ui],xn=[new ui,new ui],gn=[new ui,new ui],bn=new yn,An=new yn,Bn=new dn,wn=new fn,Mn=k(0,0),Cn=k(0,0),Vn=k(0,0),Sn=k(0,0),In=nt(0,0,0),Pn=k(0,0),Tn=k(0,0),zn=k(0,0),Fn=k(0,0),Ln=k(0,0),kn=k(0,0),qn=k(0,0),Nn=k(0,0),jn=function(e,i,s,o,n){ct(In,s,n),at(Mn,In,o.m_centroid);var r=i.m_vertex0,a=i.m_vertex1,h=i.m_vertex2,m=i.m_vertex3,c=i.m_hasVertex0,l=i.m_hasVertex3;E(Vn,h,a),K(Vn),q(zn,Vn.y,-Vn.x);var _,u=$(zn,Mn)-$(zn,a),p=0,d=0,f=!1,v=!1;j(Tn),j(Fn),c&&(E(Cn,a,r),K(Cn),q(Tn,Cn.y,-Cn.x),f=Q(Cn,Vn)>=0,p=y.dot(Tn,Mn)-y.dot(Tn,r)),l&&(E(Sn,m,h),K(Sn),q(Fn,Sn.y,-Sn.x),v=y.crossVec2Vec2(Vn,Sn)>0,d=y.dot(Fn,Mn)-y.dot(Fn,h)),j(Pn),j(Ln),j(kn),c&&l?f&&v?(_=p>=0||u>=0||d>=0)?(N(Pn,zn),N(Ln,Tn),N(kn,Fn)):(W(Pn,-1,zn),W(Ln,-1,zn),W(kn,-1,zn)):f?(_=p>=0||u>=0&&d>=0)?(N(Pn,zn),N(Ln,Tn),N(kn,zn)):(W(Pn,-1,zn),W(Ln,-1,Fn),W(kn,-1,zn)):v?(_=d>=0||p>=0&&u>=0)?(N(Pn,zn),N(Ln,zn),N(kn,Fn)):(W(Pn,-1,zn),W(Ln,-1,zn),W(kn,-1,Tn)):(_=p>=0&&u>=0&&d>=0)?(N(Pn,zn),N(Ln,zn),N(kn,zn)):(W(Pn,-1,zn),W(Ln,-1,Fn),W(kn,-1,Tn)):c?f?(_=p>=0||u>=0)?(N(Pn,zn),N(Ln,Tn),W(kn,-1,zn)):(W(Pn,-1,zn),N(Ln,zn),W(kn,-1,zn)):(_=p>=0&&u>=0)?(N(Pn,zn),N(Ln,zn),W(kn,-1,zn)):(W(Pn,-1,zn),N(Ln,zn),W(kn,-1,Tn)):l?v?(_=u>=0||d>=0)?(N(Pn,zn),W(Ln,-1,zn),N(kn,Fn)):(W(Pn,-1,zn),W(Ln,-1,zn),N(kn,zn)):(_=u>=0&&d>=0)?(N(Pn,zn),W(Ln,-1,zn),N(kn,zn)):(W(Pn,-1,zn),W(Ln,-1,Fn),N(kn,zn)):(_=u>=0)?(N(Pn,zn),W(Ln,-1,zn),W(kn,-1,zn)):(W(Pn,-1,zn),N(Ln,zn),N(kn,zn)),Bn.count=o.m_count;for(var x=0;x<o.m_count;++x)at(Bn.vertices[x],In,o.m_vertices[x]),st(Bn.normals[x],In.q,o.m_normals[x]);var g=o.m_radius+i.m_radius;e.pointCount=0,bn.type=_n.e_edgeA,bn.index=_?0:1,bn.separation=1/0;for(x=0;x<Bn.count;++x){var A=Bn.vertices[x];(B=$(Pn,A)-$(Pn,a))<bn.separation&&(bn.separation=B)}if(bn.type!=_n.e_unknown&&!(bn.separation>g)){An.type=_n.e_unknown,An.index=-1,An.separation=-1/0,q(qn,-Pn.y,Pn.x);for(x=0;x<Bn.count;++x){W(Nn,-1,Bn.normals[x]);var B,w=$(Nn,Bn.vertices[x])-$(Nn,a),M=$(Nn,Bn.vertices[x])-$(Nn,h);if((B=ln(w,M))>g){An.type=_n.e_edgeB,An.index=x,An.separation=B;break}if($(Nn,qn)>=0){if($(Nn,Pn)-$(kn,Pn)<-b.angularSlop)continue}else if($(Nn,Pn)-$(Ln,Pn)<-b.angularSlop)continue;B>An.separation&&(An.type=_n.e_edgeB,An.index=x,An.separation=B)}if(!(An.type!=_n.e_unknown&&An.separation>g)){var C;if(C=An.type==_n.e_unknown?bn:An.separation>.98*bn.separation+.001?An:bn,gn[0].recycle(),gn[1].recycle(),C.type==_n.e_edgeA){e.type=t.ManifoldType.e_faceA;var V=0,S=$(Pn,Bn.normals[0]);for(x=1;x<Bn.count;++x){var I=$(Pn,Bn.normals[x]);I<S&&(S=I,V=x)}var P=V,T=P+1<Bn.count?P+1:0;N(gn[0].v,Bn.vertices[P]),gn[0].id.setFeatures(0,t.ContactFeatureType.e_face,P,t.ContactFeatureType.e_vertex),N(gn[1].v,Bn.vertices[T]),gn[1].id.setFeatures(0,t.ContactFeatureType.e_face,T,t.ContactFeatureType.e_vertex),_?(wn.i1=0,wn.i2=1,N(wn.v1,a),N(wn.v2,h),N(wn.normal,zn)):(wn.i1=1,wn.i2=0,N(wn.v1,h),N(wn.v2,a),W(wn.normal,-1,zn))}else e.type=t.ManifoldType.e_faceB,N(gn[0].v,a),gn[0].id.setFeatures(0,t.ContactFeatureType.e_vertex,C.index,t.ContactFeatureType.e_face),N(gn[1].v,h),gn[1].id.setFeatures(0,t.ContactFeatureType.e_vertex,C.index,t.ContactFeatureType.e_face),wn.i1=C.index,wn.i2=wn.i1+1<Bn.count?wn.i1+1:0,N(wn.v1,Bn.vertices[wn.i1]),N(wn.v2,Bn.vertices[wn.i2]),N(wn.normal,Bn.normals[wn.i1]);if(q(wn.sideNormal1,wn.normal.y,-wn.normal.x),q(wn.sideNormal2,-wn.sideNormal1.x,-wn.sideNormal1.y),wn.sideOffset1=$(wn.sideNormal1,wn.v1),wn.sideOffset2=$(wn.sideNormal2,wn.v2),vn[0].recycle(),vn[1].recycle(),xn[0].recycle(),xn[1].recycle(),!(xi(vn,gn,wn.sideNormal1,wn.sideOffset1,wn.i1)<b.maxManifoldPoints))if(!(xi(xn,vn,wn.sideNormal2,wn.sideOffset2,wn.i2)<b.maxManifoldPoints)){C.type==_n.e_edgeA?(N(e.localNormal,wn.normal),N(e.localPoint,wn.v1)):(N(e.localNormal,o.m_normals[wn.i1]),N(e.localPoint,o.m_vertices[wn.i1]));var z=0;for(x=0;x<b.maxManifoldPoints;++x){if($(wn.normal,xn[x].v)-$(wn.normal,wn.v1)<=g){var F=e.points[z];C.type==_n.e_edgeA?(ht(F.localPoint,In,xn[x].v),F.id.set(xn[x].id)):(N(F.localPoint,xn[x].v),F.id.set(xn[x].id),F.id.swapFeatures()),++z}}e.pointCount=z}}}},Dn={CollidePolygons:an,Settings:b,Sweep:vt,Manifold:pi,Distance:oe,TimeOfImpact:Ne,DynamicTree:V,stats:Wt},Rn=Object.defineProperty,On=(t,e,i)=>(((t,e,i)=>{e in t?Rn(t,e,{enumerable:!0,configurable:!0,writable:!0,value:i}):t[e]=i})(t,"symbol"!=typeof e?e+"":e,i),i);const En={create:0,tick:0,node:0,draw:0,fps:0};class Yn{constructor(t,e,i,s,o,n){this.reset(t,e,i,s,o,n)}toString(){return"["+this.a+", "+this.b+", "+this.c+", "+this.d+", "+this.e+", "+this.f+"]"}clone(){return new Yn(this.a,this.b,this.c,this.d,this.e,this.f)}reset(t,e,i,s,o,n){return this._dirty=!0,"object"==typeof t?(this.a=t.a,this.d=t.d,this.b=t.b,this.c=t.c,this.e=t.e,this.f=t.f):(this.a=t||1,this.d=s||1,this.b=e||0,this.c=i||0,this.e=o||0,this.f=n||0),this}identity(){return this._dirty=!0,this.a=1,this.b=0,this.c=0,this.d=1,this.e=0,this.f=0,this}rotate(t){if(!t)return this;this._dirty=!0;var e=t?Math.cos(t):1,i=t?Math.sin(t):0,s=e*this.a-i*this.b,o=e*this.b+i*this.a,n=e*this.c-i*this.d,r=e*this.d+i*this.c,a=e*this.e-i*this.f,h=e*this.f+i*this.e;return this.a=s,this.b=o,this.c=n,this.d=r,this.e=a,this.f=h,this}translate(t,e){return t||e?(this._dirty=!0,this.e+=t,this.f+=e,this):this}scale(t,e){return t-1||e-1?(this._dirty=!0,this.a*=t,this.b*=e,this.c*=t,this.d*=e,this.e*=t,this.f*=e,this):this}skew(t,e){if(!t&&!e)return this;this._dirty=!0;var i=this.a+this.b*t,s=this.b+this.a*e,o=this.c+this.d*t,n=this.d+this.c*e,r=this.e+this.f*t,a=this.f+this.e*e;return this.a=i,this.b=s,this.c=o,this.d=n,this.e=r,this.f=a,this}concat(t){this._dirty=!0;var e=this,i=e.a*t.a+e.b*t.c,s=e.b*t.d+e.a*t.b,o=e.c*t.a+e.d*t.c,n=e.d*t.d+e.c*t.b,r=e.e*t.a+t.e+e.f*t.c,a=e.f*t.d+t.f+e.e*t.b;return this.a=i,this.b=s,this.c=o,this.d=n,this.e=r,this.f=a,this}inverse(){if(this._dirty){this._dirty=!1,this.inverted=this.inverted||new Yn;var t=this.a*this.d-this.b*this.c;this.inverted.a=this.d/t,this.inverted.b=-this.b/t,this.inverted.c=-this.c/t,this.inverted.d=this.a/t,this.inverted.e=(this.c*this.f-this.e*this.d)/t,this.inverted.f=(this.e*this.b-this.a*this.f)/t}return this.inverted}map(t,e){return(e=e||{}).x=this.a*t.x+this.c*t.y+this.e,e.y=this.b*t.x+this.d*t.y+this.f,e}mapX(t,e){return"object"==typeof t&&(e=t.y,t=t.x),this.a*t+this.c*e+this.e}mapY(t,e){return"object"==typeof t&&(e=t.y,t=t.x),this.b*t+this.d*e+this.f}}var Wn=0;function Jn(t){this._owner=t,this._parent=null,this._relativeMatrix=new Yn,this._absoluteMatrix=new Yn,this.reset()}Jn.prototype.reset=function(){this._textureAlpha=1,this._alpha=1,this._width=0,this._height=0,this._scaleX=1,this._scaleY=1,this._skewX=0,this._skewY=0,this._rotation=0,this._pivoted=!1,this._pivotX=null,this._pivotY=null,this._handled=!1,this._handleX=0,this._handleY=0,this._aligned=!1,this._alignX=0,this._alignY=0,this._offsetX=0,this._offsetY=0,this._boxX=0,this._boxY=0,this._boxWidth=this._width,this._boxHeight=this._height,this._ts_translate=++Wn,this._ts_transform=++Wn,this._ts_matrix=++Wn},Jn.prototype._update=function(){return this._parent=this._owner._parent&&this._owner._parent._pin,this._handled&&this._mo_handle!=this._ts_transform&&(this._mo_handle=this._ts_transform,this._ts_translate=++Wn),this._aligned&&this._parent&&this._mo_align!=this._parent._ts_transform&&(this._mo_align=this._parent._ts_transform,this._ts_translate=++Wn),this},Jn.prototype.toString=function(){return this._owner+" ("+(this._parent?this._parent._owner:null)+")"},Jn.prototype.absoluteMatrix=function(){this._update();var t=Math.max(this._ts_transform,this._ts_translate,this._parent?this._parent._ts_matrix:0);if(this._mo_abs==t)return this._absoluteMatrix;this._mo_abs=t;var e=this._absoluteMatrix;return e.reset(this.relativeMatrix()),this._parent&&e.concat(this._parent._absoluteMatrix),this._ts_matrix=++Wn,e},Jn.prototype.relativeMatrix=function(){this._update();var t=Math.max(this._ts_transform,this._ts_translate,this._parent?this._parent._ts_transform:0);if(this._mo_rel==t)return this._relativeMatrix;this._mo_rel=t;var e,i,s=this._relativeMatrix;(s.identity(),this._pivoted&&s.translate(-this._pivotX*this._width,-this._pivotY*this._height),s.scale(this._scaleX,this._scaleY),s.skew(this._skewX,this._skewY),s.rotate(this._rotation),this._pivoted&&s.translate(this._pivotX*this._width,this._pivotY*this._height),this._pivoted)?(this._boxX=0,this._boxY=0,this._boxWidth=this._width,this._boxHeight=this._height):(s.a>0&&s.c>0||s.a<0&&s.c<0?(e=0,i=s.a*this._width+s.c*this._height):(e=s.a*this._width,i=s.c*this._height),e>i?(this._boxX=i,this._boxWidth=e-i):(this._boxX=e,this._boxWidth=i-e),s.b>0&&s.d>0||s.b<0&&s.d<0?(e=0,i=s.b*this._width+s.d*this._height):(e=s.b*this._width,i=s.d*this._height),e>i?(this._boxY=i,this._boxHeight=e-i):(this._boxY=e,this._boxHeight=i-e));return this._x=this._offsetX,this._y=this._offsetY,this._x-=this._boxX+this._handleX*this._boxWidth,this._y-=this._boxY+this._handleY*this._boxHeight,this._aligned&&this._parent&&(this._parent.relativeMatrix(),this._x+=this._alignX*this._parent._width,this._y+=this._alignY*this._parent._height),s.translate(this._x,this._y),this._relativeMatrix},Jn.prototype.get=function(t){if("function"==typeof Hn[t])return Hn[t](this)},Jn.prototype.set=function(t,e){if("string"==typeof t)"function"==typeof Xn[t]&&void 0!==e&&Xn[t](this,e);else if("object"==typeof t)for(e in t)"function"==typeof Xn[e]&&void 0!==t[e]&&Xn[e](this,t[e],t);return this._owner&&(this._owner._ts_pin=++Wn,this._owner.touch()),this};var Hn={alpha:function(t){return t._alpha},textureAlpha:function(t){return t._textureAlpha},width:function(t){return t._width},height:function(t){return t._height},boxWidth:function(t){return t._boxWidth},boxHeight:function(t){return t._boxHeight},scaleX:function(t){return t._scaleX},scaleY:function(t){return t._scaleY},skewX:function(t){return t._skewX},skewY:function(t){return t._skewY},rotation:function(t){return t._rotation},pivotX:function(t){return t._pivotX},pivotY:function(t){return t._pivotY},offsetX:function(t){return t._offsetX},offsetY:function(t){return t._offsetY},alignX:function(t){return t._alignX},alignY:function(t){return t._alignY},handleX:function(t){return t._handleX},handleY:function(t){return t._handleY}},Xn={alpha:function(t,e){t._alpha=e},textureAlpha:function(t,e){t._textureAlpha=e},width:function(t,e){t._width_=e,t._width=e,t._ts_transform=++Wn},height:function(t,e){t._height_=e,t._height=e,t._ts_transform=++Wn},scale:function(t,e){t._scaleX=e,t._scaleY=e,t._ts_transform=++Wn},scaleX:function(t,e){t._scaleX=e,t._ts_transform=++Wn},scaleY:function(t,e){t._scaleY=e,t._ts_transform=++Wn},skew:function(t,e){t._skewX=e,t._skewY=e,t._ts_transform=++Wn},skewX:function(t,e){t._skewX=e,t._ts_transform=++Wn},skewY:function(t,e){t._skewY=e,t._ts_transform=++Wn},rotation:function(t,e){t._rotation=e,t._ts_transform=++Wn},pivot:function(t,e){t._pivotX=e,t._pivotY=e,t._pivoted=!0,t._ts_transform=++Wn},pivotX:function(t,e){t._pivotX=e,t._pivoted=!0,t._ts_transform=++Wn},pivotY:function(t,e){t._pivotY=e,t._pivoted=!0,t._ts_transform=++Wn},offset:function(t,e){t._offsetX=e,t._offsetY=e,t._ts_translate=++Wn},offsetX:function(t,e){t._offsetX=e,t._ts_translate=++Wn},offsetY:function(t,e){t._offsetY=e,t._ts_translate=++Wn},align:function(t,e){this.alignX(t,e),this.alignY(t,e)},alignX:function(t,e){t._alignX=e,t._aligned=!0,t._ts_translate=++Wn,this.handleX(t,e)},alignY:function(t,e){t._alignY=e,t._aligned=!0,t._ts_translate=++Wn,this.handleY(t,e)},handle:function(t,e){this.handleX(t,e),this.handleY(t,e)},handleX:function(t,e){t._handleX=e,t._handled=!0,t._ts_translate=++Wn},handleY:function(t,e){t._handleY=e,t._handled=!0,t._ts_translate=++Wn},resizeMode:function(t,e,i){i&&("in"==e?e="in-pad":"out"==e&&(e="out-crop"),Un(t,i.resizeWidth,i.resizeHeight,e))},resizeWidth:function(t,e,i){i&&i.resizeMode||Un(t,e,null)},resizeHeight:function(t,e,i){i&&i.resizeMode||Un(t,null,e)},scaleMode:function(t,e,i){i&&Un(t,i.scaleWidth,i.scaleHeight,e)},scaleWidth:function(t,e,i){i&&i.scaleMode||Un(t,e,null)},scaleHeight:function(t,e,i){i&&i.scaleMode||Un(t,null,e)},matrix:function(t,e){this.scaleX(t,e.a),this.skewX(t,e.c/e.d),this.skewY(t,e.b/e.a),this.scaleY(t,e.d),this.offsetX(t,e.e),this.offsetY(t,e.f),this.rotation(t,0)}};function Un(t,e,i,s){var o="number"==typeof e,n="number"==typeof i,r="string"==typeof s;t._ts_transform=++Wn,o&&(t._scaleX=e/t._width_,t._width=t._width_),n&&(t._scaleY=i/t._height_,t._height=t._height_),o&&n&&r&&("out"==s||"out-crop"==s?t._scaleX=t._scaleY=Math.max(t._scaleX,t._scaleY):"in"!=s&&"in-pad"!=s||(t._scaleX=t._scaleY=Math.min(t._scaleX,t._scaleY)),"out-crop"!=s&&"in-pad"!=s||(t._width=e/t._scaleX,t._height=i/t._scaleY))}Jn.prototype.scaleTo=function(t,e,i){Un(this,t,e,i)},Jn._add_shortcuts=function(t){t.size=function(t,e){return this.pin("width",t),this.pin("height",e),this},t.width=function(t){return void 0===t?this.pin("width"):(this.pin("width",t),this)},t.height=function(t){return void 0===t?this.pin("height"):(this.pin("height",t),this)},t.offset=function(t,e){return"object"==typeof t&&(e=t.y,t=t.x),this.pin("offsetX",t),this.pin("offsetY",e),this},t.rotate=function(t){return this.pin("rotation",t),this},t.skew=function(t,e){return"object"==typeof t?(e=t.y,t=t.x):void 0===e&&(e=t),this.pin("skewX",t),this.pin("skewY",e),this},t.scale=function(t,e){return"object"==typeof t?(e=t.y,t=t.x):void 0===e&&(e=t),this.pin("scaleX",t),this.pin("scaleY",e),this},t.alpha=function(t,e){return this.pin("alpha",t),void 0!==e&&this.pin("textureAlpha",e),this}};var Kn=0;function Zn(t){if(t&&t instanceof Qn)return t;throw"Invalid node: "+t}En.create=0;const Gn=function(){return new Qn};function Qn(){En.create++,this._pin=new Jn(this)}function $n(t,e){Zn(e),Zn(t),e.remove(),t._last&&(t._last._next=e,e._prev=t._last),e._parent=t,t._last=e,t._first||(t._first=e),e._parent._flag(e,!0),e._ts_parent=++Kn,t._ts_children=++Kn,t.touch()}function tr(t,e){Zn(e),Zn(t),e.remove(),t._first&&(t._first._prev=e,e._next=t._first),e._parent=t,t._first=e,t._last||(t._last=e),e._parent._flag(e,!0),e._ts_parent=++Kn,t._ts_children=++Kn,t.touch()}function er(t,e){Zn(t),Zn(e),t.remove();var i=e._parent,s=e._prev;e._prev=t,s&&(s._next=t)||i&&(i._first=t),t._parent=i,t._prev=s,t._next=e,t._parent._flag(t,!0),t._ts_parent=++Kn,t.touch()}function ir(t,e){Zn(t),Zn(e),t.remove();var i=e._parent,s=e._next;e._next=t,s&&(s._prev=t)||i&&(i._last=t),t._parent=i,t._prev=e,t._next=s,t._parent._flag(t,!0),t._ts_parent=++Kn,t.touch()}Qn.prototype.matrix=function(t){return!0===t?this._pin.relativeMatrix():this._pin.absoluteMatrix()},Qn.prototype.pin=function(t,e){return"object"==typeof t?(this._pin.set(t),this):"string"==typeof t?void 0===e?this._pin.get(t):(this._pin.set(t,e),this):void 0===t?this._pin:void 0},Qn.prototype.scaleTo=function(t,e,i){return"object"==typeof t&&(i=e,e=t.y,t=t.x),this._pin.scaleTo(t,e,i),this},Jn._add_shortcuts(Qn.prototype),Qn.prototype._label="",Qn.prototype._visible=!0,Qn.prototype._parent=null,Qn.prototype._next=null,Qn.prototype._prev=null,Qn.prototype._first=null,Qn.prototype._last=null,Qn.prototype._attrs=null,Qn.prototype._flags=null,Qn.prototype.toString=function(){return"["+this._label+"]"},Qn.prototype.id=function(t){return this.label(t)},Qn.prototype.label=function(t){return void 0===t?this._label:(this._label=t,this)},Qn.prototype.attr=function(t,e){return void 0===e?null!==this._attrs?this._attrs[t]:void 0:((null!==this._attrs?this._attrs:this._attrs={})[t]=e,this)},Qn.prototype.visible=function(t){return void 0===t?this._visible:(this._visible=t,this._parent&&(this._parent._ts_children=++Kn),this._ts_pin=++Kn,this.touch(),this)},Qn.prototype.hide=function(){return this.visible(!1)},Qn.prototype.show=function(){return this.visible(!0)},Qn.prototype.parent=function(){return this._parent},Qn.prototype.next=function(t){for(var e=this._next;e&&t&&!e._visible;)e=e._next;return e},Qn.prototype.prev=function(t){for(var e=this._prev;e&&t&&!e._visible;)e=e._prev;return e},Qn.prototype.first=function(t){for(var e=this._first;e&&t&&!e._visible;)e=e._next;return e},Qn.prototype.last=function(t){for(var e=this._last;e&&t&&!e._visible;)e=e._prev;return e},Qn.prototype.visit=function(t,e){var i=t.reverse,s=t.visible;if(!t.start||!t.start(this,e)){for(var o,n=i?this.last(s):this.first(s);o=n;)if(n=i?o.prev(s):o.next(s),o.visit(t,e))return!0;return t.end&&t.end(this,e)}},Qn.prototype.append=function(t,e){if(Array.isArray(t))for(var i=0;i<t.length;i++)$n(this,t[i]);else if(void 0!==e)for(i=0;i<arguments.length;i++)$n(this,arguments[i]);else void 0!==t&&$n(this,t);return this},Qn.prototype.prepend=function(t,e){if(Array.isArray(t))for(var i=t.length-1;i>=0;i--)tr(this,t[i]);else if(void 0!==e)for(i=arguments.length-1;i>=0;i--)tr(this,arguments[i]);else void 0!==t&&tr(this,t);return this},Qn.prototype.appendTo=function(t){return $n(t,this),this},Qn.prototype.prependTo=function(t){return tr(t,this),this},Qn.prototype.insertNext=function(t,e){if(Array.isArray(t))for(var i=0;i<t.length;i++)ir(t[i],this);else if(void 0!==e)for(i=0;i<arguments.length;i++)ir(arguments[i],this);else void 0!==t&&ir(t,this);return this},Qn.prototype.insertPrev=function(t,e){if(Array.isArray(t))for(var i=t.length-1;i>=0;i--)er(t[i],this);else if(void 0!==e)for(i=arguments.length-1;i>=0;i--)er(arguments[i],this);else void 0!==t&&er(t,this);return this},Qn.prototype.insertAfter=function(t){return ir(this,t),this},Qn.prototype.insertBefore=function(t){return er(this,t),this},Qn.prototype.remove=function(t,e){if(void 0!==t){if(Array.isArray(t))for(var i=0;i<t.length;i++)Zn(t[i]).remove();else if(void 0!==e)for(i=0;i<arguments.length;i++)Zn(arguments[i]).remove();else Zn(t).remove();return this}return this._prev&&(this._prev._next=this._next),this._next&&(this._next._prev=this._prev),this._parent&&(this._parent._first===this&&(this._parent._first=this._next),this._parent._last===this&&(this._parent._last=this._prev),this._parent._flag(this,!1),this._parent._ts_children=++Kn,this._parent.touch()),this._prev=this._next=this._parent=null,this._ts_parent=++Kn,this},Qn.prototype.empty=function(){for(var t,e=this._first;t=e;)e=t._next,t._prev=t._next=t._parent=null,this._flag(t,!1);return this._first=this._last=null,this._ts_children=++Kn,this.touch(),this},Qn.prototype._ts_touch=null,Qn.prototype.touch=function(){return this._ts_touch=++Kn,this._parent&&this._parent.touch(),this},Qn.prototype._flag=function(t,e){if(void 0===e)return null!==this._flags&&this._flags[t]||0;if("string"==typeof t&&(e?(this._flags=this._flags||{},!this._flags[t]&&this._parent&&this._parent._flag(t,!0),this._flags[t]=(this._flags[t]||0)+1):this._flags&&this._flags[t]>0&&(1==this._flags[t]&&this._parent&&this._parent._flag(t,!1),this._flags[t]=this._flags[t]-1)),"object"==typeof t&&t._flags)for(var i in t._flags)t._flags[i]>0&&this._flag(i,e);return this},Qn.prototype.hitTest=function(t){var e=this._pin._width,i=this._pin._height;return t.x>=0&&t.x<=e&&t.y>=0&&t.y<=i},Qn.prototype._textures=null,Qn.prototype._alpha=1,Qn.prototype.render=function(t){if(this._visible){En.node++;var e=this.matrix();t.setTransform(e.a,e.b,e.c,e.d,e.e,e.f),this._alpha=this._pin._alpha*(this._parent?this._parent._alpha:1);var i=this._pin._textureAlpha*this._alpha;if(t.globalAlpha!=i&&(t.globalAlpha=i),null!==this._textures)for(var s=0,o=this._textures.length;s<o;s++)this._textures[s].draw(t);t.globalAlpha!=this._alpha&&(t.globalAlpha=this._alpha);for(var n,r=this._first;n=r;)r=n._next,n.render(t)}},Qn.prototype._tickBefore=null,Qn.prototype._tickAfter=null,Qn.prototype.MAX_ELAPSE=1/0,Qn.prototype._tick=function(t,e,i){if(this._visible){t>this.MAX_ELAPSE&&(t=this.MAX_ELAPSE);var s=!1;if(null!==this._tickBefore)for(var o=0;o<this._tickBefore.length;o++){En.tick++,s=!0===this._tickBefore[o].call(this,t,e,i)||s}for(var n,r=this._first;n=r;)r=n._next,n._flag("_tick")&&(s=!0===n._tick(t,e,i)||s);if(null!==this._tickAfter)for(o=0;o<this._tickAfter.length;o++){En.tick++,s=!0===this._tickAfter[o].call(this,t,e,i)||s}return s}},Qn.prototype.tick=function(t,e){"function"==typeof t&&(e?(null===this._tickBefore&&(this._tickBefore=[]),this._tickBefore.push(t)):(null===this._tickAfter&&(this._tickAfter=[]),this._tickAfter.push(t)),this._flag("_tick",null!==this._tickAfter&&this._tickAfter.length>0||null!==this._tickBefore&&this._tickBefore.length>0))},Qn.prototype.untick=function(t){var e;"function"==typeof t&&(null!==this._tickBefore&&(e=this._tickBefore.indexOf(t))>=0&&this._tickBefore.splice(e,1),null!==this._tickAfter&&(e=this._tickAfter.indexOf(t))>=0&&this._tickAfter.splice(e,1))},Qn.prototype.timeout=function(t,e){this.setTimeout(t,e)},Qn.prototype.setTimeout=function(t,e){function i(s){if(!((e-=s)<0))return!0;this.untick(i),t.call(this)}return this.tick(i),i},Qn.prototype.clearTimeout=function(t){this.untick(t)},Qn.prototype._listeners=null,Qn.prototype._event_callback=function(t,e){this._flag(t,e)},Qn.prototype.on=function(t,e){if(!t||!t.length||"function"!=typeof e)return this;if(null===this._listeners&&(this._listeners={}),t=("string"!=typeof t&&"function"==typeof t.join?t.join(" "):t).match(/\S+/g))for(var i=0;i<t.length;i++){var s=t[i];this._listeners[s]=this._listeners[s]||[],this._listeners[s].push(e),"function"==typeof this._event_callback&&this._event_callback(s,!0)}return this},Qn.prototype.off=function(t,e){if(!t||!t.length||"function"!=typeof e)return this;if(null===this._listeners)return this;if(t=("string"!=typeof t&&"function"==typeof t.join?t.join(" "):t).match(/\S+/g))for(var i=0;i<t.length;i++){var s,o=t[i],n=this._listeners[o];n&&(s=n.indexOf(e))>=0&&(n.splice(s,1),n.length||delete this._listeners[o],"function"==typeof this._event_callback&&this._event_callback(o,!1))}return this},Qn.prototype.listeners=function(t){return this._listeners&&this._listeners[t]},Qn.prototype.publish=function(t,e){var i=this.listeners(t);if(!i||!i.length)return 0;for(var s=0;s<i.length;s++)i[s].apply(this,e);return i.length},Qn.prototype.trigger=function(t,e){return this.publish(t,e),this};var sr=Math;const or=Object.create(Math);or.random=function(t,e){return void 0===t?(e=1,t=0):void 0===e&&(e=t,t=0),t==e?t:sr.random()*(e-t)+t},or.wrap=function(t,e,i){return void 0===e?(i=1,e=0):void 0===i&&(i=e,e=0),i>e?(t=(t-e)%(i-e))+(t<0?i:e):(t=(t-i)%(e-i))+(t<=0?e:i)},or.clamp=function(t,e,i){return t<e?e:t>i?i:t},or.length=function(t,e){return sr.sqrt(t*t+e*e)},or.rotate=or.wrap,or.limit=or.clamp;const nr=function(t){var e=Object.prototype.toString.call(t);return"[object Function]"===e||"[object GeneratorFunction]"===e||"[object AsyncFunction]"===e},rr=function(t){return"[object Object]"===Object.prototype.toString.call(t)&&t.constructor===Object};class ar{constructor(t,e){"object"==typeof t&&this.src(t,e)}pipe(){return new ar(this)}src(t,e,i,s){if("object"==typeof t){var o=t,n=e||1;this._image=o,this._sx=this._dx=0,this._sy=this._dy=0,this._sw=this._dw=o.width/n,this._sh=this._dh=o.height/n,this.width=o.width/n,this.height=o.height/n,this.ratio=n}else void 0===i?(i=t,s=e):(this._sx=t,this._sy=e),this._sw=this._dw=i,this._sh=this._dh=s,this.width=i,this.height=s;return this}dest(t,e,i,s){return this._dx=t,this._dy=e,this._dx=t,this._dy=e,void 0!==i&&(this._dw=i,this._dh=s,this.width=i,this.height=s),this}draw(t,e,i,s,o,n,r,a,h){var m=this._image;if(null!==m&&"object"==typeof m){var c=this._sx,l=this._sy,_=this._sw,u=this._sh,p=this._dx,y=this._dy,d=this._dw,f=this._dh;void 0!==n?(e=or.clamp(e,0,this._sw),s=or.clamp(s,0,this._sw-e),c+=e,l+=i=or.clamp(i,0,this._sh),_=s,u=o=or.clamp(o,0,this._sh-i),p=n,y=r,d=a,f=h):void 0!==s?(p=e,y=i,d=s,f=o):void 0!==e&&(d=e,f=i);var v=this.ratio||1;c*=v,l*=v,_*=v,u*=v;try{"function"==typeof m.draw?m.draw(t,c,l,_,u,p,y,d,f):(En.draw++,t.drawImage(m,c,l,_,u,p,y,d,f))}catch(t){m._draw_failed||(console.log("Unable to draw: ",m),console.log(t),m._draw_failed=!0)}}}}var hr=new class extends ar{constructor(){super(),On(this,"pipe",(function(){return this})),On(this,"src",(function(){return this})),On(this,"dest",(function(){return this})),On(this,"draw",(function(){})),this.x=this.y=this.width=this.height=0}},mr=new ur(hr);var cr={},lr=[];class _r extends ar{constructor(t){super();var e=this;yr(t,"filter"),yr(t,"cutouts"),yr(t,"sprites"),yr(t,"factory");var i=t.map||t.filter,s=t.ppu||t.ratio||1,o=t.trim||0,n=t.textures,r=t.factory,a=t.cutouts||t.sprites;function h(t){if(!t||nr(t.draw))return t;t=Object.assign({},t),nr(i)&&(t=i(t)),1!=s&&(t.x*=s,t.y*=s,t.width*=s,t.height*=s,t.top*=s,t.bottom*=s,t.left*=s,t.right*=s),0!=o&&(t.x+=o,t.y+=o,t.width-=2*o,t.height-=2*o,t.top-=o,t.bottom-=o,t.left-=o,t.right-=o);var n=e.pipe();return n.top=t.top,n.bottom=t.bottom,n.left=t.left,n.right=t.right,n.src(t.x,t.y,t.width,t.height),n}function m(t){if(n){if(nr(n))return n(t);if(rr(n))return n[t]}if(a){for(var e=null,i=0,s=0;s<a.length;s++)string.startsWith(a[s].name,t)&&(0===i?e=a[s]:1===i?e=[e,a[s]]:e.push(a[s]),i++);return 0===i&&nr(r)&&(e=function(e){return r(t+(e||""))}),e}}this.select=function(t){if(!t)return new ur(this.pipe());var e=m(t);return e?new ur(e,m,h):void 0}}}function ur(t,e,i){function s(t,o){return t?nr(t.draw)?t:rr(t)&&"number"==typeof t.width&&"number"==typeof t.height&&nr(i)?i(t):rr(t)&&void 0!==o?s(t[o]):nr(t)?s(t(o)):Array.isArray(t)?s(t[0]):"string"==typeof t&&nr(e)?s(e(t)):void 0:hr}this.one=function(e){return s(t,e)},this.array=function(e){var i=Array.isArray(e)?e:[];if(Array.isArray(t))for(var o=0;o<t.length;o++)i[o]=s(t[o]);else i[0]=s(t);return i}}const pr=function(t){if("string"!=typeof t)return new ur(t);var e,i,s=null;for((i=t.indexOf(":"))>0&&t.length>i+1&&(s=(e=cr[t.slice(0,i)])&&e.select(t.slice(i+1))),!s&&(e=cr[t])&&(s=e.select()),i=0;!s&&i<lr.length;i++)s=lr[i].select(t);return s||(console.error("Texture not found: "+t),s=mr),s};function yr(t,e,i){e in t&&console.log(i?i.replace("%name",e):"'"+e+"' field of texture atlas is deprecated.")}let dr;class fr{constructor(){On(this,"x",0),On(this,"y",0),On(this,"ratio",1),On(this,"stage"),On(this,"elem"),On(this,"clicklist",[]),On(this,"cancellist",[]),On(this,"handleStart",(t=>{t.preventDefault(),this.locate(t),this.publish(t.type,t),this.lookup("click",this.clicklist),this.lookup("mousecancel",this.cancellist)})),On(this,"handleMove",(t=>{t.preventDefault(),this.locate(t),this.publish(t.type,t)})),On(this,"handleEnd",(t=>{t.preventDefault(),this.publish(t.type,t),this.clicklist.length&&this.publish("click",t,this.clicklist),this.cancellist.length=0})),On(this,"handleCancel",(t=>{this.cancellist.length&&this.publish("mousecancel",t,this.cancellist),this.clicklist.length=0})),On(this,"toString",(function(){return(0|this.x)+"x"+(0|this.y)})),On(this,"locate",(function(t){const e=this.elem;let i,s;t.touches&&t.touches.length?(i=t.touches[0].clientX,s=t.touches[0].clientY):(i=t.clientX,s=t.clientY);var o=e.getBoundingClientRect();i-=o.left,s-=o.top,i-=0|e.clientLeft,s-=0|e.clientTop,this.x=i*this.ratio,this.y=s*this.ratio})),On(this,"lookup",(function(t,e){this.type=t,this.root=this.stage,this.event=null,e.length=0,this.collect=e,this.root.visit({reverse:!0,visible:!0,start:this.visitStart,end:this.visitEnd},this)})),On(this,"publish",(function(t,e,i){if(this.type=t,this.root=this.stage,this.event=e,this.collect=!1,this.timeStamp=Date.now(),"mousemove"!==t&&"touchmove"!==t&&console.log(this.type+" "+this),i){for(;i.length&&!this.visitEnd(i.shift()););i.length=0}else this.root.visit({reverse:!0,visible:!0,start:this.visitStart,end:this.visitEnd},this)})),On(this,"visitStart",(t=>!t._flag(this.type))),On(this,"visitEnd",(t=>{vr.raw=this.event,vr.type=this.type,vr.timeStamp=this.timeStamp,vr.abs.x=this.x,vr.abs.y=this.y;var e=t.listeners(this.type);if(e&&(t.matrix().inverse().map(this,vr),(t===this.root||t.attr("spy")||t.hitTest(vr))&&(this.collect&&this.collect.push(t),this.event))){for(var i=!1,s=0;s<e.length;s++)i=!!e[s].call(t,vr)||i;return i}}))}mount(t,e){return this.stage=t,this.elem=e,this.ratio=t.viewport().ratio||1,t.on("viewport",(t=>{this.ratio=t.ratio??this.ratio})),e.addEventListener("touchstart",this.handleStart),e.addEventListener("touchend",this.handleEnd),e.addEventListener("touchmove",this.handleMove),e.addEventListener("touchcancel",this.handleCancel),e.addEventListener("mousedown",this.handleStart),e.addEventListener("mouseup",this.handleEnd),e.addEventListener("mousemove",this.handleMove),document.addEventListener("mouseup",this.handleCancel),window.addEventListener("blur",this.handleCancel),this}unmount(){const t=this.elem;return t.removeEventListener("touchstart",this.handleStart),t.removeEventListener("touchend",this.handleEnd),t.removeEventListener("touchmove",this.handleMove),t.removeEventListener("touchcancel",this.handleCancel),t.removeEventListener("mousedown",this.handleStart),t.removeEventListener("mouseup",this.handleEnd),t.removeEventListener("mousemove",this.handleMove),document.removeEventListener("mouseup",this.handleCancel),window.removeEventListener("blur",this.handleCancel),this}}On(fr,"CLICK","click"),On(fr,"START","touchstart mousedown"),On(fr,"MOVE","touchmove mousemove"),On(fr,"END","touchend mouseup"),On(fr,"CANCEL","touchcancel mousecancel");var vr={},xr={};function gr(t,e,i){Object.defineProperty(t,e,{value:i})}function br(t){return t}gr(vr,"clone",(function(t){return(t=t||{}).x=this.x,t.y=this.y,t})),gr(vr,"toString",(function(){return(0|this.x)+"x"+(0|this.y)+" ("+this.abs+")"})),gr(vr,"abs",xr),gr(xr,"clone",(function(t){return(t=t||{}).x=this.x,t.y=this.y,t})),gr(xr,"toString",(function(){return(0|this.x)+"x"+(0|this.y)}));var Ar={},Br={},wr={};class Mr{static get(t,e=br){if("function"==typeof t)return t;if("string"!=typeof t)return e;var i=Ar[t];if(i)return i;var s=/^(\w+)(-(in|out|in-out|out-in))?(\((.*)\))?$/i.exec(t);if(!s||!s.length)return e;var o=wr[s[1]],n=Br[s[3]],r=s[5];return i=o&&o.fn?o.fn:o&&o.fc?o.fc.apply(o.fc,r&&r.replace(/\s+/,"").split(",")):e,n&&(i=n.fn(i)),Ar[t]=i,i}static add(t){for(var e=(t.name||t.mode).split(/\s+/),i=0;i<e.length;i++){var s=e[i];s&&((t.name?wr:Br)[s]=t)}}}Mr.add({mode:"in",fn:function(t){return t}}),Mr.add({mode:"out",fn:function(t){return function(e){return 1-t(1-e)}}}),Mr.add({mode:"in-out",fn:function(t){return function(e){return e<.5?t(2*e)/2:1-t(2*(1-e))/2}}}),Mr.add({mode:"out-in",fn:function(t){return function(e){return e<.5?1-t(2*(1-e))/2:t(2*e)/2}}}),Mr.add({name:"linear",fn:function(t){return t}}),Mr.add({name:"quad",fn:function(t){return t*t}}),Mr.add({name:"cubic",fn:function(t){return t*t*t}}),Mr.add({name:"quart",fn:function(t){return t*t*t*t}}),Mr.add({name:"quint",fn:function(t){return t*t*t*t*t}}),Mr.add({name:"sin sine",fn:function(t){return 1-Math.cos(t*Math.PI/2)}}),Mr.add({name:"exp expo",fn:function(t){return 0==t?0:Math.pow(2,10*(t-1))}}),Mr.add({name:"circle circ",fn:function(t){return 1-Math.sqrt(1-t*t)}}),Mr.add({name:"bounce",fn:function(t){return t<1/2.75?7.5625*t*t:t<2/2.75?7.5625*(t-=1.5/2.75)*t+.75:t<2.5/2.75?7.5625*(t-=2.25/2.75)*t+.9375:7.5625*(t-=2.625/2.75)*t+.984375}}),Mr.add({name:"poly",fc:function(t){return function(e){return Math.pow(e,t)}}}),Mr.add({name:"elastic",fc:function(t,e){t=t||1;var i=(e=e||.45)/(2*Math.PI)*Math.asin(1/t);return function(s){return 1+t*Math.pow(2,-10*s)*Math.sin((s-i)*(2*Math.PI)/e)}}}),Mr.add({name:"back",fc:function(t){return t=void 0!==t?t:1.70158,function(e){return e*e*((t+1)*e-t)}}}),Qn.prototype.tween=function(t,e,i){let s;if(s="object"==typeof t&&null!==t?t:"number"==typeof t&&"number"==typeof e?{duration:t,delay:e,append:i}:"number"==typeof t?{duration:t,delay:0,append:e}:{duration:400,delay:0,append:t},!this._tweens){this._tweens=[];var o=0;this.tick((function(t,e,i){if(!this._tweens.length)return!1;var s=o!=i;if(o=e,s)return!0;var n=this._tweens[0];if(n.tick(this,t,e,i)){n===this._tweens[0]&&this._tweens.shift();var r=n.finish();r&&this._tweens.unshift(r)}return!0}),!0)}this.touch(),s.append||(this._tweens.length=0);var n=new Cr(this,s);return this._tweens.push(n),n};class Cr{constructor(t,e={}){On(this,"_ending",[]),this._end={},this._duration=e.duration||400,this._delay=e.delay||0,this._owner=t,this._time=0}tick(t,e,i,s){if(this._time+=e,!(this._time<this._delay)){var o=this._time-this._delay;if(!this._start)for(var n in this._start={},this._end)this._start[n]=this._owner.pin(n);var r=Math.min(o/this._duration,1),a=r>=1;"function"==typeof this._easing&&(r=this._easing(r));var h=1-r;for(var n in this._end)this._owner.pin(n,this._start[n]*h+this._end[n]*r);return a}}finish(){return this._ending.forEach((t=>{try{t.call(this._owner)}catch(t){console.error(t)}})),this._next}tween(t,e){return this._next=new Cr(this._owner,t,e)}duration(t){return this._duration=t,this}delay(t){return this._delay=t,this}ease(t){return this._easing=Mr.get(t),this}done(t){return this._ending.push(t),this}hide(){return this._ending.push((function(){this.hide()})),this._hide=!0,this}remove(){return this._ending.push((function(){this.remove()})),this._remove=!0,this}pin(t,e){if("object"==typeof t)for(var i in t)Vr(this._owner,this._end,i,t[i]);else void 0!==e&&Vr(this._owner,this._end,t,e);return this}then(t){return this.done(t),this}clear(t){return this}}function Vr(t,e,i,s){"number"==typeof t.pin(i)?e[i]=s:"number"==typeof t.pin(i+"X")&&"number"==typeof t.pin(i+"Y")&&(e[i+"X"]=s,e[i+"Y"]=s)}Jn._add_shortcuts(Cr.prototype);const Sr=[];class Ir extends Qn{constructor(){super(),On(this,"canvas",null),On(this,"dom",null),On(this,"context",null),On(this,"pixelWidth",-1),On(this,"pixelHeight",-1),On(this,"pixelRatio",1),On(this,"drawingWidth",0),On(this,"drawingHeight",0),On(this,"mounted",!1),On(this,"paused",!1),On(this,"sleep",!1),On(this,"mount",((t={})=>{if("string"==typeof t.canvas?this.canvas=document.getElementById(t.canvas):t.canvas instanceof HTMLCanvasElement?this.canvas=t.canvas:t.canvas,this.canvas||(this.canvas=document.getElementById("cutjs")||document.getElementById("stage")),!this.canvas){console.log("Creating Canvas..."),this.canvas=document.createElement("canvas"),Object.assign(this.canvas.style,{position:"absolute",display:"block",top:"0",left:"0",bottom:"0",right:"0",width:"100%",height:"100%"});let t=document.body;t.insertBefore(this.canvas,t.firstChild)}this.dom=this.canvas,this.context=this.canvas.getContext("2d"),this.devicePixelRatio=window.devicePixelRatio||1,this.backingStoreRatio=this.context.webkitBackingStorePixelRatio||this.context.mozBackingStorePixelRatio||this.context.msBackingStorePixelRatio||this.context.oBackingStorePixelRatio||this.context.backingStorePixelRatio||1,this.pixelRatio=this.devicePixelRatio/this.backingStoreRatio,this.mounted=!0,Sr.push(this),this.requestFrame(this.onFrame)})),On(this,"frameRequested",!1),On(this,"requestFrame",(()=>{this.frameRequested||(this.frameRequested=!0,requestAnimationFrame(this.onFrame))})),On(this,"lastTime",0),On(this,"_mo_touch",null),On(this,"onFrame",(t=>{if(this.frameRequested=!1,!this.mounted)return;this.requestFrame();const e=this.canvas.clientWidth,i=this.canvas.clientHeight;this.pixelWidth===e&&this.pixelHeight===i||(this.pixelWidth=e,this.pixelHeight=i,this.drawingWidth=e*this.pixelRatio,this.drawingHeight=i*this.pixelRatio,this.canvas.width===this.drawingWidth&&this.canvas.height===this.drawingHeight||(this.canvas.width=this.drawingWidth,this.canvas.height=this.drawingHeight,console.log("Resize: ["+this.drawingWidth+", "+this.drawingHeight+"] = "+this.pixelRatio+" x ["+this.pixelWidth+", "+this.pixelHeight+"]"),this.viewport({width:this.drawingWidth,height:this.drawingHeight,ratio:this.pixelRatio})));let s=this.lastTime||t,o=t-s;if(!this.mounted||this.paused||this.sleep)return;this.lastTime=t;let n=this._tick(o,t,s);this._mo_touch!=this._ts_touch?(this._mo_touch=this._ts_touch,this.sleep=!1,this.drawingWidth>0&&this.drawingHeight>0&&(this.context.setTransform(1,0,0,1,0,0),this.context.clearRect(0,0,this.drawingWidth,this.drawingHeight),this.render(this.context))):this.sleep=!n,En.fps=o?1e3/o:0})),this.label("Root")}resume(){return(this.sleep||this.paused)&&this.requestFrame(),this.paused=!1,this.sleep=!1,this.publish("resume"),this}pause(){return this.paused||this.publish("pause"),this.paused=!0,this}touch(){return(this.sleep||this.paused)&&this.requestFrame(),this.sleep=!1,Qn.prototype.touch()}unmount(){var t;this.mounted=!1;let e=Sr.indexOf(this);return e>=0&&Sr.splice(e,1),null==(t=this.mouse)||t.unmount(),this}background(t){return this.dom.style.backgroundColor=t,this}viewport(t,e,i){if(void 0===t)return Object.assign({},this._viewport);if("object"==typeof t){const s=t;t=s.width,e=s.height,i=s.ratio}this._viewport={width:t,height:e,ratio:i||1},this.viewbox();let s=Object.assign({},this._viewport);return this.visit({start:function(t){if(!t._flag("viewport"))return!0;t.publish("viewport",[s])}}),this}viewbox(t,e,i){return"number"==typeof t&&"number"==typeof e?this._viewbox={width:t,height:e,mode:i}:"object"==typeof t&&null!==t&&(this._viewbox={...t}),this.rescale(),this}camera(t){return this._camera=t,this.rescale(),this}rescale(){let t=this._viewbox,e=this._viewport,i=this._camera;if(e&&t){const s=e.width,o=e.height,n=/^(in|out|in-pad|out-crop)$/.test(t.mode)?t.mode:"in-pad",r=t.width,a=t.height;this.pin({width:r,height:a}),this.scaleTo(s,o,n);const h=t.x||0,m=t.y||0,c=(null==i?void 0:i.a)||1,l=(null==i?void 0:i.e)||0,_=(null==i?void 0:i.f)||0,u=this.pin("scaleX"),p=this.pin("scaleY");this.pin("scaleX",u*c),this.pin("scaleY",p*c),this.pin("offsetX",l-h*u*c),this.pin("offsetY",_-m*p*c)}else e&&this.pin({width:e.width,height:e.height});return this}}const Pr=function(t){var e=new Tr;return t&&e.texture(t),e};function Tr(){Tr._super.call(this),this.label("Sprite"),this._textures=[],this._image=null}Tr._super=Qn,Tr.prototype=Object.create(Tr._super.prototype),Tr.prototype.texture=function(t){return this._image=pr(t).one(),this.pin("width",this._image?this._image.width:0),this.pin("height",this._image?this._image.height:0),this._textures[0]=this._image.pipe(),this._textures.length=1,this},Tr.prototype.tile=function(t){return this._repeat(!1,t),this},Tr.prototype.stretch=function(t){return this._repeat(!0,t),this},Tr.prototype._repeat=function(t,e){var i=this;function s(t,e,s,o,n,r,a,h,m){var c=i._textures.length>t?i._textures[t]:i._textures[t]=i._image.pipe();c.src(e,s,o,n),c.dest(r,a,h,m)}this.untick(this._repeatTicker),this.tick(this._repeatTicker=function(){if(this._mo_stretch!=this._pin._ts_transform){this._mo_stretch=this._pin._ts_transform;var i=this.pin("width"),o=this.pin("height");this._textures.length=function(t,e,i,s,o,n){var r=t.width,a=t.height,h=t.left,m=t.right,c=t.top,l=t.bottom;r=r-(h="number"==typeof h&&h==h?h:0)-(m="number"==typeof m&&m==m?m:0),a=a-(c="number"==typeof c&&c==c?c:0)-(l="number"==typeof l&&l==l?l:0),o||(e=Math.max(e-h-m,0),i=Math.max(i-c-l,0));var _=0;c>0&&h>0&&n(_++,0,0,h,c,0,0,h,c);l>0&&h>0&&n(_++,0,a+c,h,l,0,i+c,h,l);c>0&&m>0&&n(_++,r+h,0,m,c,e+h,0,m,c);l>0&&m>0&&n(_++,r+h,a+c,m,l,e+h,i+c,m,l);if(s)c>0&&n(_++,h,0,r,c,h,0,e,c),l>0&&n(_++,h,a+c,r,l,h,i+c,e,l),h>0&&n(_++,0,c,h,a,0,c,h,i),m>0&&n(_++,r+h,c,m,a,e+h,c,m,i),n(_++,h,c,r,a,h,c,e,i);else for(var u,p=h,y=e;y>0;){u=Math.min(r,y),y-=r;for(var d,f=c,v=i;v>0;)d=Math.min(a,v),v-=a,n(_++,h,c,u,d,p,f,u,d),y<=0&&(h&&n(_++,0,c,h,d,0,f,h,d),m&&n(_++,r+h,c,m,d,p+u,f,m,d)),f+=d;c&&n(_++,h,0,u,c,p,0,u,c),l&&n(_++,h,a+c,u,l,p,f,u,l),p+=u}return _}(this._image,i,o,t,e,s)}})},Tr.prototype.image=Tr.prototype.texture;const zr=Pr,Fr=Tr;Lr._super=Qn,Lr.prototype=Object.create(Lr._super.prototype);function Lr(){Lr._super.call(this),this.label("Anim"),this._textures=[],this._fps=15,this._ft=1e3/this._fps,this._time=-1,this._repeat=0,this._index=0,this._frames=[];var t=0;this.tick((function(e,i,s){if(!(this._time<0||this._frames.length<=1)){var o=t!=s;if(t=i,o)return!0;if(this._time+=e,this._time<this._ft)return!0;var n=this._time/this._ft|0;return this._time-=n*this._ft,this.moveFrame(n),!(this._repeat>0&&(this._repeat-=n)<=0)||(this.stop(),this._callback&&this._callback(),!1)}}),!1)}Lr.prototype.fps=function(t){return void 0===t?this._fps:(this._fps=t>0?t:15,this._ft=1e3/this._fps,this)},Lr.prototype.setFrames=function(t,e,i){return this.frames(t,e,i)},Lr.prototype.frames=function(t){return this._index=0,this._frames=pr(t).array(),this.touch(),this},Lr.prototype.length=function(){return this._frames?this._frames.length:0},Lr.prototype.gotoFrame=function(t,e){return this._index=0|or.wrap(t,this._frames.length),e=e||!this._textures[0],this._textures[0]=this._frames[this._index],e&&(this.pin("width",this._textures[0].width),this.pin("height",this._textures[0].height)),this.touch(),this},Lr.prototype.moveFrame=function(t){return this.gotoFrame(this._index+t)},Lr.prototype.repeat=function(t,e){return this._repeat=t*this._frames.length-1,this._callback=e,this.play(),this},Lr.prototype.play=function(t){return void 0!==t?(this.gotoFrame(t),this._time=0):this._time<0&&(this._time=0),this.touch(),this},Lr.prototype.stop=function(t){return this._time=-1,void 0!==t&&this.gotoFrame(t),this};function kr(){kr._super.call(this),this.label("String"),this._textures=[]}kr._super=Qn,kr.prototype=Object.create(kr._super.prototype),kr.prototype.setFont=function(t,e,i){return this.frames(t,e,i)},kr.prototype.frames=function(t){return this._textures=[],"string"==typeof t?(t=pr(t),this._item=function(e){return t.one(e)}):"object"==typeof t?this._item=function(e){return t[e]}:"function"==typeof t&&(this._item=t),this},kr.prototype.setValue=function(t,e,i){return this.value(t,e,i)},kr.prototype.value=function(t){if(void 0===t)return this._value;if(this._value===t)return this;this._value=t,null===t?t="":"string"==typeof t||Array.isArray(t)||(t=t.toString()),this._spacing=this._spacing||0;for(var e=0,i=0,s=0;s<t.length;s++){var o=this._textures[s]=this._item(t[s]);e+=s>0?this._spacing:0,o.dest(e,0),e+=o.width,i=Math.max(i,o.height)}return this.pin("width",e),this.pin("height",i),this._textures.length=t.length,this};Qn.prototype.row=function(t){return this.align("row",t),this};Qn.prototype.column=function(t){return this.align("column",t),this},Qn.prototype.align=function(t,e){return this._padding=this._padding||0,this._spacing=this._spacing||0,this.untick(this._layoutTiker),this.tick(this._layoutTiker=function(){if(this._mo_seq!=this._ts_touch){this._mo_seq=this._ts_touch;var i=this._mo_seqAlign!=this._ts_children;this._mo_seqAlign=this._ts_children;for(var s,o=0,n=0,r=this.first(!0),a=!0;s=r;){r=s.next(!0),s.matrix(!0);var h=s.pin("boxWidth"),m=s.pin("boxHeight");"column"==t?(!a&&(n+=this._spacing),s.pin("offsetY")!=n&&s.pin("offsetY",n),o=Math.max(o,h),n+=m,i&&s.pin("alignX",e)):"row"==t&&(!a&&(o+=this._spacing),s.pin("offsetX")!=o&&s.pin("offsetX",o),o+=h,n=Math.max(n,m),i&&s.pin("alignY",e)),a=!1}o+=2*this._padding,n+=2*this._padding,this.pin("width")!=o&&this.pin("width",o),this.pin("height")!=n&&this.pin("height",n)}}),this};Qn.prototype.box=function(){return this._padding=this._padding||0,this.untick(this._layoutTiker),this.tick(this._layoutTiker=function(){if(this._mo_box!=this._ts_touch){this._mo_box=this._ts_touch;for(var t,e=0,i=0,s=this.first(!0);t=s;){s=t.next(!0),t.matrix(!0);var o=t.pin("boxWidth"),n=t.pin("boxHeight");e=Math.max(e,o),i=Math.max(i,n)}e+=2*this._padding,i+=2*this._padding,this.pin("width")!=e&&this.pin("width",e),this.pin("height")!=i&&this.pin("height",i)}}),this};Qn.prototype.layer=function(){return this.untick(this._layoutTiker),this.tick(this._layoutTiker=function(){var t=this.parent();if(t){var e=t.pin("width");this.pin("width")!=e&&this.pin("width",e);var i=t.pin("height");this.pin("height")!=i&&this.pin("height",i)}},!0),this},Qn.prototype.padding=function(t){return this._padding=t,this},Qn.prototype.spacing=function(t){return this._spacing=t,this};const qr=Object.freeze(Object.defineProperty({__proto__:null,Anim:Lr,Atlas:_r,Image:Fr,Math:or,Matrix:Yn,Mouse:fr,Node:Qn,Pin:Jn,Root:Ir,Sprite:Tr,Str:kr,Texture:ar,Tween:Cr,anim:function(t,e){var i=new Lr;return i.frames(t).gotoFrame(0),e&&i.fps(e),i},atlas:async function(t){var e=nr(t.draw)?t:new _r(t);t.name&&(cr[t.name]=e),lr.push(e),yr(t,"imagePath"),yr(t,"imageRatio");var i,s=t.imagePath,o=t.imageRatio||1;if("string"==typeof t.image?s=t.image:rr(t.image)&&(s=t.image.src||t.image.url,o=t.image.ratio||o),s){const t=await(i=s,console.log("Loading image: "+i),new Promise((function(t,e){const s=new Image;s.onload=function(){console.log("Image loaded: "+i),t(s)},s.onerror=function(t){console.log("Loading failed: "+i),e(t)},s.src=i})));e.src(t,o)}return e},box:function(){return Gn().box().label("Box")},canvas:function(t,e,i){"string"==typeof t?"object"==typeof e||("function"==typeof e&&(i=e),e={}):("function"==typeof t&&(i=t),e={},t="2d");var s=document.createElement("canvas"),o=s.getContext(t,e),n=new ar(s);return n.context=function(){return o},n.size=function(t,e,i){return i=i||1,s.width=t*i,s.height=e*i,this.src(s,i),this},n.canvas=function(t){return"function"==typeof t?t.call(this,o):void 0===t&&"function"==typeof i&&i.call(this,o),this},"function"==typeof i&&i.call(n,o),n},column:function(t){return Gn().column(t).label("Row")},create:Gn,image:zr,layer:function(){return Gn().layer().label("Layer")},math:or,memoizeDraw:function(t,e=(()=>null)){const i="undefined"!=typeof window&&window.devicePixelRatio||1;let s,o=0,n=Stage.canvas(),r=Stage.sprite(),a=!0;return r.tick((function(){let h=this._parent.matrix();if(a&&(a=!1,!(h=dr)))return;dr=h;let m=Math.max(Math.abs(h.a),Math.abs(h.b)),c=o/m;if(0===o||c>1.25||c<.8){const a=e();s!==a&&(o=m,t(2.5*m/i,n,r),r.texture(n),r.__timestamp=Date.now())}}),!1),r},mount:function(t={}){let e=new Ir;return e.mount(t),e.mouse=(new fr).mount(e,e.dom),e},pause:function(){for(let t=Sr.length-1;t>=0;t--)Sr[t].pause()},resume:function(){for(let t=Sr.length-1;t>=0;t--)Sr[t].resume()},row:function(t){return Gn().row(t).label("Row")},sprite:Pr,string:function(t){return(new kr).frames(t)},texture:pr},Symbol.toStringTag,{value:"Module"}));var Nr=Math.atan2,jr=Math.abs,Dr=Math.sqrt,Rr=Math.PI,Or=Math.max,Er=Math.min,Yr=null;Io.mount=function(){if(Yr)return Yr;Yr=new Jr;var t=document.getElementById("testbed-play"),e=document.getElementById("testbed-status"),i=document.getElementById("testbed-info");t.addEventListener("click",(function(){Yr.isPaused()?Yr.resume():Yr.pause()})),Yr._pause=function(){t.classList.add("pause"),t.classList.remove("play")},Yr._resume=function(){t.classList.add("play"),t.classList.remove("pause")};var s="";e.innerText=s,Yr._status=function(t){s!==t&&(s=t,e&&(e.innerText=t))};var o="";return i.innerText=o,Yr._info=function(t){o!==t&&(o=t,i&&(i.innerText=t))},Yr};var Wr=function(t){var e,i;return null!==(i=null!==(e=t.render)&&void 0!==e?e:t.style)&&void 0!==i?i:{}};var Jr=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.paused=!1,e.lastDrawHash="",e.newDrawHash="",e.buffer=[],e.drawSegment=e.drawEdge,e}return i(e,t),e.prototype.start=function(t){var e=this,i=this.stage=qr.mount(),s=this.canvas=i.dom,o=this;this.canvas=s,i.on(qr.Mouse.START,(function(){var t;window.focus(),null===(t=document.activeElement)||void 0===t||t.blur(),s.focus()})),i.MAX_ELAPSE=1e3/30,i.on("resume",(function(){e.paused=!1,e._resume()})),i.on("pause",(function(){e.paused=!0,e._pause()}));var n=new qr.Texture;i.append(qr.sprite(n)),i.tick((function(){e.buffer.length=0}),!0),n.draw=function(t){t.save(),t.transform(1,0,0,e.scaleY,-e.x,-e.y),t.lineWidth=2/e.ratio,t.lineCap="round";for(var i=e.buffer.shift();i;i=e.buffer.shift())i(t,e.ratio);t.restore()},i.background(this.background),i.viewbox(this.width,this.height),i.pin("alignX",-.5),i.pin("alignY",-.5);var r=new Hr(t,this);i.prepend(r);var a=0,h=0;i.tick((function(t,i){a===e.x&&h===e.y||(r.offset(-e.x,-e.y),a=e.x,h=e.y)})),r.tick((function(t,s){return e.step(t,s),l&&e.drawSegment(l.getPosition(),_,"rgba(255,255,255,0.2)"),e.lastDrawHash!==e.newDrawHash&&(e.lastDrawHash=e.newDrawHash,i.touch()),e.newDrawHash="",!0}));var m=t.createBody(),c=null,l=null,_={x:0,y:0};r.attr("spy",!0),r.on(qr.Mouse.START,(function(i){if(i={x:i.x,y:o.scaleY*i.y},!l){var s=function(t,e){var i=null,s={lowerBound:e,upperBound:e};return t.queryAABB(s,(function(t){return!t.getBody().isDynamic()||!t.testPoint(e)||(i=t.getBody(),!1)})),i}(t,i);s&&(e.mouseForce?l=s:(c=new no({maxForce:1e3},m,s,{x:i.x,y:i.y}),t.createJoint(c)))}})),r.on(qr.Mouse.MOVE,(function(t){t={x:t.x,y:o.scaleY*t.y},c&&c.setTarget(t),_.x=t.x,_.y=t.y})),r.on(qr.Mouse.END,(function(i){if(i={x:i.x,y:o.scaleY*i.y},c&&(t.destroyJoint(c),c=null),l&&e.mouseForce){var s=l.getPosition(),n={x:(i.x-s.x)*e.mouseForce,y:(i.y-s.y)*e.mouseForce};l.applyForceToCenter(n,!0),l=null}})),r.on(qr.Mouse.CANCEL,(function(e){e={x:e.x,y:o.scaleY*e.y},c&&(t.destroyJoint(c),c=null),l&&(l=null)}));var u=o.activeKeys,p={};function y(t,e){var i=String.fromCharCode(t);/\w/.test(i)&&(u[i]=e),u.right=p[39]||u.D,u.left=p[37]||u.A,u.up=p[38]||u.W,u.down=p[40]||u.S,u.fire=p[32]||p[13]}window.addEventListener("keydown",(function(t){var e=t.keyCode;p[e]=!0,y(e,!0),o.keydown&&o.keydown(e,String.fromCharCode(e))})),window.addEventListener("keyup",(function(t){var e=t.keyCode;p[e]=!1,y(e,!1),o.keyup&&o.keyup(e,String.fromCharCode(e))})),this.resume()},e.prototype.focus=function(){document.activeElement&&document.activeElement.blur(),this.canvas.focus()},e.prototype._pause=function(){},e.prototype._resume=function(){},e.prototype._status=function(t){},e.prototype._info=function(t){},e.prototype.isPaused=function(){return this.paused},e.prototype.togglePause=function(){this.paused?this.resume():this.pause()},e.prototype.pause=function(){this.stage.pause()},e.prototype.resume=function(){this.stage.resume(),this.focus()},e.prototype.drawPoint=function(t,e,i){this.buffer.push((function(e,s){e.beginPath(),e.arc(t.x,t.y,5/s,0,2*Rr),e.strokeStyle=i,e.stroke()})),this.newDrawHash+="point"+t.x+","+t.y+","+e+","+i},e.prototype.drawCircle=function(t,e,i){this.buffer.push((function(s){s.beginPath(),s.arc(t.x,t.y,e,0,2*Rr),s.strokeStyle=i,s.stroke()})),this.newDrawHash+="circle"+t.x+","+t.y+","+e+","+i},e.prototype.drawEdge=function(t,e,i){this.buffer.push((function(s){s.beginPath(),s.moveTo(t.x,t.y),s.lineTo(e.x,e.y),s.strokeStyle=i,s.stroke()})),this.newDrawHash+="segment"+t.x+","+t.y+","+e.x+","+e.y+","+i},e.prototype.drawPolygon=function(t,e){if(t&&t.length){this.buffer.push((function(i){i.beginPath(),i.moveTo(t[0].x,t[0].y);for(var s=1;s<t.length;s++)i.lineTo(t[s].x,t[s].y);i.strokeStyle=e,i.closePath(),i.stroke()})),this.newDrawHash+="segment";for(var i=1;i<t.length;i++)this.newDrawHash+=t[i].x+","+t[i].y+",";this.newDrawHash+=e}},e.prototype.drawAABB=function(t,e){this.buffer.push((function(i){i.beginPath(),i.moveTo(t.lowerBound.x,t.lowerBound.y),i.lineTo(t.upperBound.x,t.lowerBound.y),i.lineTo(t.upperBound.x,t.upperBound.y),i.lineTo(t.lowerBound.x,t.upperBound.y),i.strokeStyle=e,i.closePath(),i.stroke()})),this.newDrawHash+="aabb",this.newDrawHash+=t.lowerBound.x+","+t.lowerBound.y+",",this.newDrawHash+=t.upperBound.x+","+t.upperBound.y+",",this.newDrawHash+=e},e.prototype.findOne=function(t){throw new Error("Not implemented")},e.prototype.findAll=function(t){throw new Error("Not implemented")},e}(Io),Hr=function(t){function e(e,i){var s,o,n,r;void 0===i&&(i={});var a=t.call(this)||this;a.nodes=new WeakMap,a.options={speed:1,hz:60,scaleY:-1,ratio:16,lineWidth:1,stroke:void 0,fill:void 0},a.label("Planck"),a.options.speed=null!==(s=i.speed)&&void 0!==s?s:a.options.speed,a.options.hz=null!==(o=i.hz)&&void 0!==o?o:a.options.speed,jr(a.options.hz)<1&&(a.options.hz=1/a.options.hz),a.options.scaleY=null!==(n=i.scaleY)&&void 0!==n?n:a.options.scaleY,a.options.ratio=null!==(r=i.ratio)&&void 0!==r?r:a.options.ratio,a.options.lineWidth=2/a.options.ratio,a.world=e,a.testbed=i;var h=1/a.options.hz,m=0,c=!1;return a.tick((function(t){if(c)return!1;try{for(t=.001*t*a.options.speed,m+=t;m>h;)e.step(h),m-=h;return a.renderWorld(),!0}catch(t){return c=!0,console.error(t),!1}}),!0),e.on("remove-fixture",(function(t){var e;null===(e=a.nodes.get(t))||void 0===e||e.remove()})),e.on("remove-joint",(function(t){var e;null===(e=a.nodes.get(t))||void 0===e||e.remove()})),a}return i(e,t),e.prototype.renderWorld=function(){for(var t=this.world,e=this.options,i=this,s=t.getBodyList();s;s=s.getNext())for(var o=s.getFixtureList();o;o=o.getNext()){var n=this.nodes.get(o),r=Wr(o),a=Wr(s);if(!n){r&&r.stroke?e.stroke=r.stroke:a&&a.stroke?e.stroke=a.stroke:s.isDynamic()?e.stroke="rgba(255,255,255,0.9)":s.isKinematic()?e.stroke="rgba(255,255,255,0.7)":s.isStatic()&&(e.stroke="rgba(255,255,255,0.5)"),r&&r.fill?e.fill=r.fill:a&&a.fill?e.fill=a.fill:e.fill="";var h=o.getType(),m=o.getShape();"circle"==h&&(n=i.drawCircle(m,e)),"edge"==h&&(n=i.drawEdge(m,e)),"polygon"==h&&(n=i.drawPolygon(m,e)),"chain"==h&&(n=i.drawChain(m,e)),n&&(n.appendTo(i),this.nodes.set(o,n))}if(n){var c=s.getPosition(),l=s.getAngle();(n.__lastX!==c.x||n.__lastY!==c.y||n.__lastR!==l)&&(n.__lastX=c.x,n.__lastY=c.y,n.__lastR=l,n.offset(c.x,e.scaleY*c.y),n.rotate(e.scaleY*l))}}for(var _=t.getJointList();_;_=_.getNext()){"pulley-joint"==(h=_.getType())?(this.testbed.drawSegment(_.getAnchorA(),_.getGroundAnchorA(),"rgba(255,255,255,0.5)"),this.testbed.drawSegment(_.getAnchorB(),_.getGroundAnchorB(),"rgba(255,255,255,0.5)"),this.testbed.drawSegment(_.getGroundAnchorB(),_.getGroundAnchorA(),"rgba(255,255,255,0.5)")):this.testbed.drawSegment(_.getAnchorA(),_.getAnchorB(),"rgba(255,255,255,0.5)")}},e.prototype.drawCircle=function(t,e){var i=e.lineWidth,s=e.ratio,o=t.m_radius,n=o+i,r=o+i,a=2*o+2*i,h=2*o+2*i,m=qr.canvas((function(t){var i;this.size(a,h,s),t.scale(s,s),t.arc(n,r,o,0,2*Rr),e.fill&&(t.fillStyle=e.fill,t.fill()),t.lineTo(n,r),t.lineWidth=e.lineWidth,t.strokeStyle=null!==(i=e.stroke)&&void 0!==i?i:"",t.stroke()})),c=qr.sprite(m).offset(t.m_p.x-n,e.scaleY*t.m_p.y-r);return qr.create().append(c)},e.prototype.drawEdge=function(t,e){var i=e.lineWidth,s=e.ratio,o=t.m_vertex1,n=t.m_vertex2,r=n.x-o.x,a=n.y-o.y,h=Dr(r*r+a*a),m=qr.canvas((function(t){var o;this.size(h+2*i,2*i,s),t.scale(s,s),t.beginPath(),t.moveTo(i,i),t.lineTo(i+h,i),t.lineCap="round",t.lineWidth=e.lineWidth,t.strokeStyle=null!==(o=e.stroke)&&void 0!==o?o:"",t.stroke()})),c=Er(o.x,n.x),l=Er(e.scaleY*o.y,e.scaleY*n.y),_=qr.sprite(m);return _.rotate(e.scaleY*Nr(a,r)),_.offset(c-i,l-i),qr.create().append(_)},e.prototype.drawPolygon=function(t,e){var i=e.lineWidth,s=e.ratio,o=t.m_vertices;if(o.length){for(var n=1/0,r=1/0,a=-1/0,h=-1/0,m=0;m<o.length;++m){var c=o[m];n=Er(n,c.x),a=Or(a,c.x),r=Er(r,e.scaleY*c.y),h=Or(h,e.scaleY*c.y)}var l=a-n,_=h-r,u=qr.canvas((function(t){var a;this.size(l+2*i,_+2*i,s),t.scale(s,s),t.beginPath();for(var h=0;h<o.length;++h){var m=o[h],c=m.x-n+i,u=e.scaleY*m.y-r+i;0==h?t.moveTo(c,u):t.lineTo(c,u)}o.length>2&&t.closePath(),e.fill&&(t.fillStyle=e.fill,t.fill(),t.closePath()),t.lineCap="round",t.lineWidth=e.lineWidth,t.strokeStyle=null!==(a=e.stroke)&&void 0!==a?a:"",t.stroke()})),p=qr.sprite(u);return p.offset(n-i,r-i),qr.create().append(p)}},e.prototype.drawChain=function(t,e){var i=e.lineWidth,s=e.ratio,o=t.m_vertices;if(o.length){for(var n=1/0,r=1/0,a=-1/0,h=-1/0,m=0;m<o.length;++m){var c=o[m];n=Er(n,c.x),a=Or(a,c.x),r=Er(r,e.scaleY*c.y),h=Or(h,e.scaleY*c.y)}var l=a-n,_=h-r,u=qr.canvas((function(t){var a;this.size(l+2*i,_+2*i,s),t.scale(s,s),t.beginPath();for(var h=0;h<o.length;++h){var m=o[h],c=m.x-n+i,u=e.scaleY*m.y-r+i;0==h?t.moveTo(c,u):t.lineTo(c,u)}o.length,e.fill&&(t.fillStyle=e.fill,t.fill(),t.closePath()),t.lineCap="round",t.lineWidth=e.lineWidth,t.strokeStyle=null!==(a=e.stroke)&&void 0!==a?a:"",t.stroke()})),p=qr.sprite(u);return p.offset(n-i,r-i),qr.create().append(p)}},e}(qr.Node),Xr=Object.freeze({__proto__:null,Math:c,Serializer:Vo,Testbed:Io,testbed:Po,Vec2:y,Vec3:rs,Mat22:si,Mat33:Ns,Transform:xt,Rot:pt,AABB:v,Shape:Mt,FixtureProxy:Pt,Fixture:Tt,Body:Ot,ContactEdge:Ci,mixFriction:Vi,mixRestitution:Si,VelocityConstraintPoint:Pi,Contact:ss,JointEdge:Et,Joint:Yt,World:ns,CircleShape:Is,Circle:Ps,EdgeShape:ms,Edge:cs,PolygonShape:Bs,Polygon:Ms,ChainShape:us,Chain:ps,BoxShape:To,Box:zo,CollideCircles:ko,CollideEdgeCircle:Eo,CollidePolygons:an,CollidePolygonCircle:cn,CollideEdgePolygon:jn,DistanceJoint:Ls,FrictionJoint:qs,GearJoint:to,MotorJoint:io,MouseJoint:no,PrismaticJoint:Qs,PulleyJoint:ho,RevoluteJoint:Hs,RopeJoint:_o,WeldJoint:fo,WheelJoint:bo,Settings:g,SettingsInternal:b,Sweep:vt,get ManifoldType(){return t.ManifoldType},get ContactFeatureType(){return t.ContactFeatureType},get PointState(){return t.PointState},ClipVertex:ui,Manifold:pi,ManifoldPoint:yi,ContactID:di,WorldManifold:fi,getPointStates:vi,clipSegmentToLine:xi,DistanceInput:ee,DistanceOutput:ie,SimplexCache:se,Distance:oe,DistanceProxy:ne,testOverlap:pe,ShapeCastInput:de,ShapeCastOutput:fe,ShapeCast:ve,TOIInput:be,get TOIOutputState(){return t.TOIOutputState},TOIOutput:Ae,TimeOfImpact:Ne,TreeNode:M,DynamicTree:V,stats:Wt,internal:Dn});t.AABB=v,t.Body=Ot,t.Box=zo,t.BoxShape=To,t.Chain=ps,t.ChainShape=us,t.Circle=Ps,t.CircleShape=Is,t.ClipVertex=ui,t.CollideCircles=ko,t.CollideEdgeCircle=Eo,t.CollideEdgePolygon=jn,t.CollidePolygonCircle=cn,t.CollidePolygons=an,t.Contact=ss,t.ContactEdge=Ci,t.ContactID=di,t.Distance=oe,t.DistanceInput=ee,t.DistanceJoint=Ls,t.DistanceOutput=ie,t.DistanceProxy=ne,t.DynamicTree=V,t.Edge=cs,t.EdgeShape=ms,t.Fixture=Tt,t.FixtureProxy=Pt,t.FrictionJoint=qs,t.GearJoint=to,t.Joint=Yt,t.JointEdge=Et,t.Manifold=pi,t.ManifoldPoint=yi,t.Mat22=si,t.Mat33=Ns,t.Math=c,t.MotorJoint=io,t.MouseJoint=no,t.Polygon=Ms,t.PolygonShape=Bs,t.PrismaticJoint=Qs,t.PulleyJoint=ho,t.RevoluteJoint=Hs,t.RopeJoint=_o,t.Rot=pt,t.Serializer=Vo,t.Settings=g,t.SettingsInternal=b,t.Shape=Mt,t.ShapeCast=ve,t.ShapeCastInput=de,t.ShapeCastOutput=fe,t.SimplexCache=se,t.Sweep=vt,t.TOIInput=be,t.TOIOutput=Ae,t.Testbed=Io,t.TimeOfImpact=Ne,t.Transform=xt,t.TreeNode=M,t.Vec2=y,t.Vec3=rs,t.VelocityConstraintPoint=Pi,t.WeldJoint=fo,t.WheelJoint=bo,t.World=ns,t.WorldManifold=fi,t.clipSegmentToLine=xi,t.default=Xr,t.getPointStates=vi,t.internal=Dn,t.mixFriction=Vi,t.mixRestitution=Si,t.stats=Wt,t.testOverlap=pe,t.testbed=Po,Object.defineProperty(t,"__esModule",{value:!0})}));
//# sourceMappingURL=planck-with-testbed.min.js.map
